This is the end of the ChangeLog. After more than nine years of development
the anjuta project (as the whole GNOME project) is switching to git and we
will no longer maintain a seperate ChangeLog file but use the git log instead.
Please still write good messages into the git log, see HACKING for details!

So long and thanks for the fish!

2009-04-16  Johannes Schmid  <jhs@gnome.org>

  * HACKING: Updated for git

2009-04-16  Johannes Schmid  <jhs@gnome.org>

  Based on patch from : Maxim Ermilov <zaspire@rambler.ru>
  
	* configure.in:
	Added some (disabled) option to build with DISABLE_DEPRECATED
	
	* plugins/cvs-plugin/anjuta-cvs-plugin.glade:
	* plugins/cvs-plugin/cvs-actions.c (on_browse_button_clicked),
	(cvs_add_dialog), (cvs_remove_dialog), (cvs_commit_dialog),
	(cvs_update_dialog), (cvs_diff_dialog), (cvs_status_dialog),
	(cvs_log_dialog), (on_menu_cvs_import):
	* plugins/cvs-plugin/cvs-callbacks.c (check_entry),
	(on_cvs_import_response):
	* plugins/subversion/anjuta-subversion.glade:
	* plugins/subversion/subversion-add-dialog.c
	(subversion_add_dialog):
	* plugins/subversion/subversion-diff-dialog.c
	(subversion_diff_dialog):
	* plugins/subversion/subversion-log-dialog.c
	(subversion_log_window_create):
	* plugins/subversion/subversion-merge-dialog.c
	(subversion_merge_dialog):
	* plugins/subversion/subversion-switch-dialog.c
	(subversion_switch_dialog):
	* plugins/subversion/subversion-ui-utils.c
	(on_subversion_browse_button_clicked):
	* plugins/subversion/subversion-ui-utils.h:
	* plugins/subversion/subversion-update-dialog.c
	(subversion_update_dialog):
	* plugins/tools/anjuta-tools.glade:
	* plugins/tools/editor.c (on_editor_icon_entry_clicked),
	(atp_populate_tool_editor), (on_editor_response),
	(on_editor_browse_button_clicked),
	(on_editor_browse_button_dir_clicked), (atp_tool_editor_show):
	* src/main.c (main):
	* src/shell.c (anjuta_test_shell_dispose),
	(anjuta_test_shell_finalize), (main):
	#572754 – Remove deprecated GTK+ symbols

2009-04-13  Massimo Cora'  <mcora@svn.gnome.org>

	* libanjuta/interfaces/libanjuta.idl:
	* plugins/symbol-db/Makefile.am:
	* plugins/symbol-db/plugin.c (on_prefs_buffer_update_toggled):
	* plugins/symbol-db/symbol-db-engine-core.c
	(sdb_engine_get_statement_by_query_id):
	* plugins/symbol-db/symbol-db-iface.c (isymbol_manager_search),
	(isymbol_manager_get_members), (isymbol_manager_get_class_parents),
	(isymbol_manager_get_scope), (isymbol_manager_get_parent_scope),
	(isymbol_manager_get_symbol_more_info),
	(isymbol_manager_get_symbol_by_id), (do_search_prj_glb),
	(isymbol_manager_search_system), (get_unique_async_command_id),
	(on_sdb_search_command_data_arrived), (do_search_prj_glb_async),
	(isymbol_manager_search_system_async),
	(isymbol_manager_search_project),
	(isymbol_manager_search_project_async),
	(isymbol_manager_search_file), (isymbol_manager_search_file_async),
	(isymbol_manager_iface_init):
	* plugins/symbol-db/symbol-db-iface.h:
	* plugins/symbol-db/symbol-db-search-command.c
	(sdb_search_command_init), (sdb_search_command_finalize),
	(do_search_file), (do_search_prj_glb), (sdb_search_command_run),
	(sdb_search_command_class_init), (symbol_db_search_command_new),
	(symbol_db_search_command_set_file),
	(symbol_db_search_command_set_session_packages),
	(symbol_db_search_command_get_iterator_result):
	* plugins/symbol-db/symbol-db-search-command.h:
	* plugins/symbol-db/symbol-db-system.c (on_pkg_config_exit):
	Implemented async interface to search database. Needs test.

2009-04-11  James Liggett  <jrliggett@cox.net>

	* libanjuta/anjuta-glade.xml:
	* libanjuta/anjuta-vcs-status-tree-view.c
	(anjuta_vcs_status_tree_view_add):
	Support Up to date, Locked, and Ignored VCS status codes in 
	AnjutaVcsStatusTreeView.

2009-04-11  James Liggett  <jrliggett@cox.net>

	* libanjuta/anjuta-glade.xml:
	Status tree view properties should be in the General tab, not Common.
	
	Try to be more consistent with other GTK widgets. 

2009-04-11  James Liggett  <jrliggett@cox.net>

	* libanjuta/anjuta-glade.xml:
	Support both libglade and GtkBuilder in the widget catalog.

2009-04-11  James Liggett  <jrliggett@cox.net>

	* plugins/project-import/project-import.glade:
	Don't use a separate label for the option buttons in the project import
	dialog. 
	
	Use the built-in label property of the option buttons instead
	so users can click on that, and not have to click directly on the button 
	itself, so that it's more consistent with usual behavior. 

2009-04-10  Ritesh Khadgaray  <baby.linux@gmail.com>

	reviewed by: James Liggett <jrliggett@cox.net>

	* plugins/git/anjuta-git.glade:
	Fix bug 578600 - commit dialog should not expand log, and buttons

2009-04-08  Johannes Schmid  <jhs@gnome.org>

	* configure.in:
	* manuals/reference/libanjuta/Makefile.am:
	* src/Makefile.am:
	Fixed some build issues

2009-04-08  Johannes Schmid  <jhs@gnome.org>

	* configure.in:
	* plugins/Makefile.am:
	Moved scintilla plugin to anjuta-extras

2009-04-07  Johannes Schmid  <jhs@gnome.org>

	* plugins/sourceview/plugin.c (ipreferences_merge):
	Fixed error->msg vs. error->message problem in DEBUG_PRINT macro

2009-04-07  Johannes Schmid  <jhs@gnome.org>

	* configure.in:
	* plugins/Makefile.am:
	Moved sample1, indent, class-inheritance, valgrind and profiler to
	anjuta-extras repository.

2009-04-07  Johannes Schmid  <jhs@gnome.org>

	* libanjuta/anjuta-preferences.c
	(anjuta_preferences_register_all_properties_from_builder_xml),
	(anjuta_preferences_add_from_builder):
	* libanjuta/anjuta-preferences.h:
	Added methods to add pages from gtkbuilder instead of glade
	
	* plugins/sourceview/Makefile.am:
	* plugins/sourceview/anjuta-editor-sourceview.glade:
	* plugins/sourceview/anjuta-editor-sourceview.ui:
	* plugins/sourceview/plugin.c (on_font_check_toggled),
	(ipreferences_merge), (ipreferences_unmerge):
	* plugins/sourceview/sourceview.c (sourceview_new):
	Replace libglade with gtkbuilder

	* scripts/build-schemas.mk:
	* scripts/builder2schema.pl:
	* scripts/Makefile.am
	Add a new script to generate schemas from gtkbuilder instead of glade
	files and adjusted Makefile.

2009-04-06  Johannes Schmid  <jhs@gnome.org>

	Based on patch from : Maxim Ermilov <zaspire@rambler.ru>

	* libanjuta/interfaces/libanjuta.idl:
	* plugins/build-basic-autotools/plugin.c
	(build_context_destroy_view), (build_regex_load),
	(on_build_terminated), (build_set_animation),
	(build_get_context_with_message):
	* plugins/message-view/anjuta-msgman.c
	(anjuta_msgman_set_view_icon),
	(anjuta_msgman_set_view_icon_from_stock):
	* plugins/message-view/anjuta-msgman.h:
	* plugins/message-view/plugin.c
	(ianjuta_msgman_set_view_icon_from_stock),
	(ianjuta_msgman_set_view_icon), (ianjuta_msgman_iface_init):
  Add animation for running builds. Automatically cancel build once the
  message tab is destroyed. (#564128)	

2009-04-06  Yuriy Penkin <yuriy.penkin@gmail.com>

	* plugins/project-wizard/anjuta-project-wizard.ui:
	Mark a missing string for translation

2009-04-06  Maxim Ermilov <zaspire@rambler.ru>

	reviewed by: Johannes Schmid  <jhs@gnome.org>

	* plugins/file-manager/file-view.c (file_view_query_tooltip):
	#564002 – Files view shows useless tooltip

2009-04-06  Johannes Schmid  <jhs@gnome.org>

	* AUTHORS:
	#578087 – Artwork for Symbol Database is actually not from Monodevelop team

2009-04-02  Johannes Schmid  <jhs@gnome.org>

	* plugins/subversion/subversion-vcs-interface.c
	(subversion_ivcs_query_status):
	Do not work recursive - saves some cycles as we skip the recursive files
	anyway

2009-04-02  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/symbol-db-system.c (sdb_system_do_engine_scan),
	(on_engine_package_scan_end), (on_pkg_config_exit):
	fixed a bug that was breaking the queue scan of system packages in some cases.

2009-04-02  Johannes Schmid  <jhs@gnome.org>

	* plugins/build-basic-autotools/plugin.c (on_build_mesg_format):
	Fix warning about invalid property type

2009-04-02  Johannes Schmid  <jhs@gnome.org>

	* src/main.c (main):
	Bring back gnome_program_init(). It's needed until all gnome widgets are gone

2009-04-02  Johannes Schmid  <jhs@gnome.org>

	* plugins/file-manager/file-model.c (file_model_add_dummy),
	(file_model_vcs_status_callback), (file_model_update_file),
	(file_model_add_file), (on_file_model_changed),
	(on_row_expanded_async), (file_model_new):
	* plugins/file-manager/file-model.h:
	* plugins/git/git-vcs-interface.c (on_status_command_data_arrived):
	
	Use query_status() only on directories. Works fine with svn and should make
	git interface easier. git still has some problems there though.

2009-04-02  Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>

	* plugins/git/Makefile.am:
	* plugins/git/git-vcs-interface.c (git_ivcs_checkout):
	* plugins/git/git-vcs-interface.h:
	* plugins/subversion/subversion-vcs-interface.c
	(subversion_ivcs_checkout):
	Implement checkout option for git and change it for svn so that it
	works for project-import

	* plugins/project-import/Makefile.am:
	* plugins/project-import/plugin.c (project_import_generate_file),
	(project_import_import_project), (checkout_finished),
	(project_import_checkout_project), (import_dialog_response),
	(finalize), (iwizard_activate), (ifile_open):
	* plugins/project-import/plugin.h:
	* plugins/project-import/project-import-dialog.c
	(vcs_entry_changed), (name_entry_changed), (folder_radio_toggled),
	(vcs_radio_toggled), (project_import_dialog_get_vcs_id),
	(project_import_dialog_get_vcs_uri),
	(project_import_dialog_get_dest_dir),
	(project_import_dialog_get_source_dir),
	(project_import_dialog_get_name), (project_import_dialog_new),
	(project_import_dialog_init), (project_import_dialog_finalize),
	(project_import_dialog_class_init):
	* plugins/project-import/project-import-dialog.h:
	* plugins/project-import/project-import.c:
	* plugins/project-import/project-import.glade:
	* plugins/project-import/project-import.h:
	Remove project import wizard and replace with simpler dialog
	that allows to import directly from a version control system.

2009-03-30  Maxim Ermilov <zaspire@rambler.ru>

	reviewed by: Johannes Schmid  <jhs@gnome.org>

	* src/anjuta-app.c (anjuta_app_instance_init):
	#574711 – Menu Toolbar unchecked at the first time while toolbar shown

2009-03-30  Johannes Schmid  <jhs@gnome.org>

  Patch from Maxim Ermilov <zaspire@rambler.ru>:
	* configure.in:
	* libanjuta/anjuta-launcher.c (create_password_dialog):
	* libanjuta/anjuta-plugin.c (anjuta_plugin_class_init),
	(anjuta_plugin_init):
	* libanjuta/anjuta-preferences.c
	(block_update_property_on_change_str),
	(unblock_update_property_on_change_str):
	* libanjuta/anjuta-preferences.h:
	* libanjuta/anjuta-serializer.c:
	* libanjuta/cell-renderer-captioned-image.h:
	* libanjuta/e-splash.h:
	* plugins/build-basic-autotools/plugin.c:
	* plugins/class-gen/window.c:
	* plugins/class-inheritance/class-inherit.h:
	* plugins/class-inheritance/plugin.c:
	* plugins/cvs-plugin/cvs-execute.c:
	* plugins/debug-manager/breakpoints.c:
	* plugins/debug-manager/data_view.c (dma_data_view_child_type):
	* plugins/debug-manager/memory.c:
	* plugins/debug-manager/plugin.c:
	* plugins/debug-manager/sharedlib.c (sharedlibs_show),
	(sharedlibs_hide):
	* plugins/debug-manager/signals.c (create_signals_gui),
	(signals_show), (signals_hide):
	* plugins/debug-manager/stack_trace.c:
	* plugins/debug-manager/start.c (add_source_show):
	* plugins/debug-manager/threads.c:
	* plugins/debug-manager/watch.c:
	* plugins/document-manager/anjuta-bookmarks.c
	(anjuta_bookmarks_init):
	* plugins/document-manager/anjuta-docman.c:
	* plugins/document-manager/plugin.c (activate_plugin):
	* plugins/document-manager/search-box.c:
	* plugins/file-loader/dnd.c:
	* plugins/file-loader/dnd.h:
	* plugins/file-loader/plugin.c (RowSeparatorFunc),
	(open_with_dialog), (create_open_with_submenu):
	* plugins/file-wizard/anjuta-file-wizard.glade:
	* plugins/file-wizard/file.c (create_new_file_dialog),
	(on_new_file_okbutton_clicked), (on_new_file_entry_changed),
	(on_new_file_type_changed):
	* plugins/file-wizard/file.h:
	* plugins/gdb/debugger.c:
	* plugins/gdb/plugin.c:
	* plugins/gdb/utilities.c:
	* plugins/gdb/utilities.h:
	* plugins/glade/designer-associations-item.c
	(associations_file_from_xml):
	* plugins/glade/plugin.c (activate_plugin):
	* plugins/gtodo/add_edit_item.c (RowSeparatorFunc),
	(gui_add_todo_item), (add_edit_option_changed):
	* plugins/gtodo/callback.c (category_changed), (purge_category):
	* plugins/gtodo/export.c (export_gui):
	* plugins/gtodo/interface.c (gtodo_update_settings),
	(gui_create_todo_widget):
	* plugins/gtodo/list_tooltip.c (get_tooltip_text):
	* plugins/gtodo/main.h:
	* plugins/gtodo/mcategory.c (category_manager):
	* plugins/gtodo/tasklists.c (open_playlist), (create_playlist):
	* plugins/gtodo/todo_db.c (RowSeparatorFunc), (read_categorys),
	(load_category):
	* plugins/indent/indent-dialog.c (indent_connect_items),
	(on_indent_checkbutton_toggled),
	(on_indent_spinbutton_value_changed), (create_dialog):
	* plugins/language-support-cpp-java/plugin.c:
	* plugins/macro/macro-actions.c (on_menu_insert_macro):
	* plugins/macro/macro-util.c:
	* plugins/message-view/anjuta-msgman.c (on_message_view_destroy),
	(anjuta_msgman_append_view), (anjuta_msgman_remove_all_views):
	* plugins/message-view/message-view.h:
	* plugins/patch/patch-plugin.c (patch_show_gui):
	* plugins/project-manager/gbf-project-model.h:
	* plugins/project-manager/gbf-project-view.h:
	* plugins/project-wizard/autogen.c:
	* plugins/project-wizard/druid.c (cb_druid_add_property),
	(npw_druid_new), (npw_druid_free):
	* plugins/project-wizard/property.c:
	* plugins/run-program/parameters.c (run_dialog_init):
	* plugins/scintilla/anjuta-editor-scintilla.glade:
	* plugins/scintilla/print.c:
	* plugins/scintilla/scintilla/PlatGTK.cxx:
	* plugins/scintilla/scintilla/ScintillaGTK.cxx:
	* plugins/scintilla/scintilla/include/ScintillaWidget.h:
	* plugins/scintilla/style-editor.c (on_hilite_style_entry_changed),
	(sync_from_props), (sync_to_props), (create_style_editor_gui):
	* plugins/scintilla/text-editor-iterable.c:
	* plugins/scintilla/text_editor.c:
	* plugins/scintilla/text_editor_cbs.c:
	* plugins/scintilla/text_editor_cbs.h:
	* plugins/search/plugin.c:
	* plugins/search/plugin.h:
	* plugins/search/search-replace.c:
	* plugins/search/search-replace_backend.c:
	* plugins/search/search-replace_backend.h:
	* plugins/search/search_preferences.c:
	* plugins/sourceview/anjuta-view.h:
	* plugins/sourceview/assist-window.c (assist_window_init):
	* plugins/symbol-db/symbol-db-engine-core.c:
	* plugins/symbol-db/symbol-db-view-search.c (sdb_view_search_init):
	* plugins/terminal/terminal.c:
	* plugins/tools/dialog.c (atp_tool_dialog_show):
	* plugins/tools/editor.c (atp_variable_dialog_show),
	(atp_tool_editor_show):
	* plugins/tools/execute.c:
	* plugins/valgrind/vggeneralprefs.h:
	* plugins/valgrind/vghelgrindprefs.c (menu_item_activated),
	(show_last_access_new), (vg_helgrind_prefs_init):
	* plugins/valgrind/vghelgrindprefs.h:
	* plugins/valgrind/vgmemcheckprefs.c (menu_item_activated),
	(combo_box_new), (vg_memcheck_prefs_init):
	* plugins/valgrind/vgmemcheckprefs.h:
	* plugins/valgrind/vgrule-editor.c (type_menu_changed),
	(rule_type_menu_new), (call_stack_frame_new),
	(vg_rule_editor_init), (vg_rule_editor_set_type),
	(vg_rule_editor_get_rule):
	* plugins/valgrind/vgrule-editor.h:
	* plugins/valgrind/vgsearchbar.c (clear_clicked),
	(vg_search_bar_init), (item_activate), (search_bar_set_menu_items):
	* plugins/valgrind/vgsearchbar.h:
	* src/about.c (on_about_plugin_activate):
	* src/action-callbacks.h:
	* src/anjuta-app.c (anjuta_app_add_widget_full):
	* src/main.c (main):
	* src/shell.c (on_shortcuts_activate),
	(anjuta_test_shell_instance_init):
	* src/start-with.c (on_application_wizard_clicked),
	(on_import_wizard_clicked), (on_open_project_clicked),
	(on_open_file_clicked), (on_new_file_clicked):
	#572754 – Remove deprecated GTK+ symbols

2009-03-30  Mario Blättermann  <mariobl@svn.gnome.org>

	* manuals/anjuta-manual/de/de.po:
	  Added partial German translation

	* manuals/anjuta-manual/Makefile.am:
	  Added de.

2009-03-28  James Liggett  <jrliggett@cox.net>

	* ChangeLog:
	Fix up ChangeLog from last commit.

2009-03-28  James Liggett  <jrliggett@cox.net>

	* plugins/git/git-vcs-interface.c (on_status_command_data_arrived):
	Fix an object leak.

2009-03-28  Deniz Koçak  <deniz.kocak@linux.org.tr>

	reviewed by: Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/search/search-replace.c:
	Fix #567588 – highlight default button in Find dialog

2009-03-28  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/search/search-replace.c,
	plugins/search/search-replace_backend.c:
	Fix wrong line number (+1) when searching in editors

2009-03-28  Iasen Karakashev  <ikarakashev@yahoo.com>

	reviewed by: Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/search/search-replace_backend.c
	(file_buffer_line_from_pos):
	#576959 - Search does not point to correct line number on first match
	when file is not opened in editor.

2009-03-28  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/macro/macro-util.c:
	Fix #577006 – crash creating new file

2009-03-28  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/scintilla/text-editor-iterable.c:
	Fix #574607 – Replace function selects text uncorrectly

2009-03-26  Johannes Schmid  <jhs@gnome.org>

	* plugins/scratchbox/plugin.c (ipreferences_merge):
	Fixed warning
	
	* www/htdocs/Makefile.am:
	* www/htdocs/README:
	* www/htdocs/css/Makefile.am:
	* www/htdocs/css/docs.css:
	* www/htdocs/css/layout.css:
	* www/htdocs/css/style.css:
	* www/htdocs/development.html:
	* www/htdocs/downloads.html:
	* www/htdocs/features.html:
	* www/htdocs/index.html:
	* www/htdocs/layout.shtml:
	Removed website directory. Website is in gnomeweb-wml repository now

2009-03-24  Johannes Schmid  <jhs@gnome.org>

	* libanjuta/interfaces/libanjuta.idl:
	Added ianjuta_editor_assist_tip_shown() to determine if a calltip is
	currently active.

	* plugins/language-support-cpp-java/cpp-java-assist.c
	(cpp_java_assist_get_calltip_context),
	(cpp_java_assist_show_calltip), (cpp_java_assist_check),
	(on_editor_char_added), (on_assist_chosen),
	(cpp_java_assist_finalize):

	* plugins/language-support-cpp-java/cpp-java-assist.h:
	* plugins/language-support-cpp-java/plugin.c (on_auto_complete):
	- Avoid jumping tooltips
	- Fix #574802 – show calltips makes the editing lag
	- Fixed backspace problems

	* plugins/scintilla/text_editor.c (iassist_show_tips),
	(iassist_tip_shown), (iassist_iface_init):
	Implemented changed calltip behaviour

	* plugins/sourceview/assist-tip.c (assist_tip_get_coordinates),
	(assist_tip_move):
	* plugins/sourceview/assist-tip.h:
	* plugins/sourceview/sourceview.c (iassist_show_tips),
	(iassist_tip_shown), (iassist_iface_init):
	Implemented changed calltip behaviour

2009-03-21  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/class-inheritance/class-inherit.c
	(cls_inherit_draw_graph):
	* plugins/profiler/gprof-function-call-chart-view.c
	(async_draw_graph):
	fixed #576057 – doesn't build with graphviz 2.22.2

2009-03-20  Johannes Schmid  <jhs@gnome.org>

	* libanjuta/Makefile.am:
	* libanjuta/anjuta-preferences.c (unbuild_key),
	(anjuta_preferences_get_int), (anjuta_preferences_get_bool),
	(anjuta_preferences_get_int_with_default),
	(anjuta_preferences_get_bool_with_default),
	(anjuta_preferences_default_get_bool),
	(anjuta_preferences_set_int), (anjuta_preferences_set_bool),
	(set_property_value_as_bool), (update_property_on_change_bool),
	(get_property), (register_callbacks),
	(preferences_foreach_callback), (connect_prop_to_object),
	(anjuta_preferences_register_property_custom),
	(anjuta_preferences_foreach), (anjuta_preferences_instance_init),
	(anjuta_preferences_new), (anjuta_preferences_default),
	(gconf_notify), (anjuta_preferences_notify_add_int),
	(anjuta_preferences_notify_add_string),
	(anjuta_preferences_notify_add_bool),
	(anjuta_preferences_get_prefix):
	* libanjuta/anjuta-preferences.h:
	* manuals/reference/libanjuta/libanjuta.types:
	
	Make AnjutaPreferences a singleton (available through anjuta_preferences_default()).
	Add methods for boolean values and be more pedantic that boolean != int when
	setting getting keys.
	Added new notification system that allows to remove any custom gconf code from
	the plugins and instead is really based on the anjuta preferences system though
	it of course still relies on the gconf backend.
	
	* plugins/build-basic-autotools/executer.c (execute_program):
	* plugins/build-basic-autotools/plugin.c
	(build_execute_command_in_context), (get_root_install_command),
	(on_update_indicators_idle):
	* plugins/class-inheritance/class-inherit.c (gtree_compare_func):
	* plugins/cvs-plugin/cvs-callbacks.c (check_entry):
	* plugins/cvs-plugin/cvs-interface.c
	(create_cvs_command_with_cvsroot):
	* plugins/debug-manager/command.c (dma_command_run):
	* plugins/debug-manager/info.c (gdb_info_show_command):
	* plugins/debug-manager/registers.c (on_find_register_list),
	(dma_thread_set_register_list):
	* plugins/debug-manager/stack_trace.c (on_find_stack_trace),
	(dma_thread_set_stack_trace):
	* plugins/document-manager/action-callbacks.c
	(on_editor_linenos1_activate), (on_editor_markers1_activate),
	(on_editor_codefold1_activate), (on_editor_indentguides1_activate),
	(on_editor_whitespaces1_activate), (on_editor_eolchars1_activate),
	(on_editor_linewrap1_activate):
	* plugins/document-manager/anjuta-docman.c
	(on_notebook_tab_btnrelease), (anjuta_docman_save_document_as),
	(on_notebook_switch_page), (anjuta_docman_set_current_document):
	* plugins/document-manager/plugin.c (ui_states_init),
	(on_window_key_release_event), (docman_plugin_set_tab_pos),
	(on_notify_prefs), (on_docman_auto_save), (on_notify_timer),
	(prefs_init):
	* plugins/file-loader/plugin.c (open_with_dialog):
	* plugins/file-manager/plugin.c (on_notify_root), (on_notify),
	(file_manager_activate):
	* plugins/gdb/debugger.c (debugger_set_frame):
	* plugins/language-support-cpp-java/cpp-java-assist.c
	(on_editor_char_added), (on_assist_chosen):
	* plugins/language-support-cpp-java/plugin.c
	(on_editor_char_inserted_cpp):
	* plugins/macro/macro-util.c (get_date_time), (get_use_tabs):
	* plugins/message-view/anjuta-msgman.c (on_notify_message_pref),
	(anjuta_msgman_new), (anjuta_msgman_add_view),
	(anjuta_msgman_deserialize):
	* plugins/message-view/anjuta-msgman.h:
	* plugins/message-view/message-view.c (message_view_query_tooltip),
	(message_view_dispose), (message_view_instance_init),
	(message_view_class_init), (message_view_new), (pref_change_color),
	(on_notify_color), (prefs_init), (prefs_finalize),
	(imessage_view_append):
	* plugins/message-view/message-view.h:
	* plugins/message-view/plugin.c (activate_plugin),
	(ipreferences_merge):
	* plugins/project-import/project-import.c (on_import_next):
	* plugins/project-wizard/druid.c (npw_druid_fill_selection_page):
	* plugins/project-wizard/parser.c (npw_header_list_read),
	(npw_page_read), (npw_action_list_parser_parse):
	* plugins/run-program/execute.c (run_program):
	* plugins/scintilla/print.c (anjuta_print_setup):
	* plugins/scintilla/text_editor.c (text_editor_instance_init),
	(text_editor_dispose), (text_editor_hilite_one), (load_from_file),
	(save_to_file), (text_editor_load_file),
	(text_editor_set_line_number_width):
	* plugins/scintilla/text_editor.h:
	* plugins/scintilla/text_editor_prefs.c (pref_notify),
	(set_n_get_prop_bool), (on_notify_disable_hilite),
	(on_notify_zoom_factor), (on_notify_tab_size),
	(on_notify_use_tab_for_indentation), (on_notify_indent_size),
	(on_notify_wrap_bookmarks), (on_notify_braces_check),
	(on_notify_indent_maintain), (on_notify_tab_indents),
	(on_notify_backspace_unindents), (on_notify_view_eols),
	(on_notify_view_whitespaces), (on_notify_view_linewrap),
	(on_notify_view_indentation_guides), (on_notify_view_folds),
	(on_notify_view_markers), (on_notify_view_linenums),
	(on_notify_fold_symbols), (on_notify_fold_underline),
	(on_notify_edge_column), (text_editor_prefs_init),
	(text_editor_prefs_finalize):
	* plugins/scratchbox/plugin.c (ipreferences_merge):
	* plugins/sourceview/sourceview-io.c (sourceview_io_save_as):
	* plugins/sourceview/sourceview-prefs.c (on_notify_view_spaces),
	(on_notify_view_eol), (on_notify_line_wrap),
	(on_notify_disable_hilite), (on_notify_highlight_current_line),
	(on_notify_tab_size), (on_notify_use_tab_for_indentation),
	(on_notify_braces_check), (on_notify_view_marks),
	(on_notify_view_linenums), (on_notify_view_right_margin),
	(on_notify_right_margin_position), (on_notify_font),
	(on_notify_font_theme), (init_fonts), (get_key_int),
	(get_key_bool), (sourceview_prefs_init),
	(sourceview_prefs_destroy):
	* plugins/sourceview/sourceview-print.c (print_setup):
	* plugins/sourceview/sourceview-private.h:
	* plugins/subversion/subversion-ui-utils.c (check_input):
	* plugins/terminal/terminal.c (terminal_set_preferences),
	(on_notify_prefs_profile), (on_notify_prefs_default), (prefs_init):
	* plugins/tools/fileop.c (atp_tool_list_load_from_file):
	* src/action-callbacks.c (on_toolbar_view_toggled):
	* src/anjuta-app.c (on_toolbar_style_changed),
	(on_gdl_style_changed), (anjuta_app_instance_init):
	* src/anjuta.c (anjuta_new):
	Fixed code to use the new notification system and to use 
	anjuta_preferences_get_bool() were appropriate.
	
		* plugins/symbol-db/plugin.c (value_added_current_editor),
	(on_session_load), (on_scan_end_manager):
	* plugins/symbol-db/symbol-db-prefs.c
	(on_prefs_executable_changed), (on_notify_prefs),
	(sdb_prefs_init1):
	* plugins/symbol-db/symbol-db-prefs.h:
	Fix symbol-db preference system. It was totally broken. This part will be
	backported to 2.26.
	
	* plugins/file-manager/Makefile.am:
	Install schemas for file-manager plugin (was missing somehow)

	* scripts/build-schemas.mk:
	#575893 – plugins schema files are not installed
	(thanks to Marcin Banasiak for the patch)

2009-03-18  Johannes Schmid  <jhs@gnome.org>
	
	Patch from Michael Trimarchi <michael@evidence.eu.com>
	* plugins/scratchbox/plugin.c (on_update_target),
	(sbox2_environment_override), (ipreferences_merge):
	Fix the parameter passing to the sb2 shell script, enclose them in ""	

2009-03-18  Tobias Müller <gnome-bugs@auftrags-killer.org>

	* libanjuta/anjuta-message-area.c:
	* libanjuta/anjuta-message-area.h:
	* libanjuta/anjuta-widgets.c:
	* libanjuta/anjuta-widgets.h:
	* libanjuta/gbf-project.c:
	* libanjuta/gbf-project.h:
	* plugins/file-loader/anjuta-recent-chooser-menu.c:
	* plugins/file-loader/anjuta-recent-chooser-menu.h:
	* plugins/gbf-am/gbf-am-config.c:
	* plugins/gbf-am/gbf-am-config.h:
	* plugins/gbf-am/gbf-am-project.c:
	* plugins/gbf-am/gbf-am-project.h:
	* plugins/gbf-am/gbf-am-properties.c:
	* plugins/gbf-am/gbf-am-properties.h:
	* plugins/gbf-mkfile/gbf-mkfile-config.c:
	* plugins/gbf-mkfile/gbf-mkfile-config.h:
	* plugins/gbf-mkfile/gbf-mkfile-project.c:
	* plugins/gbf-mkfile/gbf-mkfile-project.h:
	* plugins/gbf-mkfile/gbf-mkfile-properties.c:
	* plugins/gbf-mkfile/gbf-mkfile-properties.h:
	* plugins/git/giggle-graph-renderer.c:
	* plugins/git/giggle-graph-renderer.h:
	* plugins/project-manager/gbf-project-model.c:
	* plugins/project-manager/gbf-project-model.h:
	* plugins/project-manager/gbf-project-util.c:
	* plugins/project-manager/gbf-project-util.h:
	* plugins/project-manager/gbf-project-view.c:
	* plugins/project-manager/gbf-project-view.h:
	* plugins/project-manager/gbf-tree-data.c:
	* plugins/project-manager/gbf-tree-data.h:
	* setup-gettext:
	* www/htdocs/home.php:
	#575617 – Update FSF address

2009-03-16  Johannes Schmid  <jhs@gnome.org>

	* NEWS: Update for release
	* configure.in: Bumped to 2.26.0

2009-03-15  Johannes Schmid <jhs@gnome.org>

	* libanjuta/anjuta-shell.c (anjuta_shell_saving_push),
	(anjuta_shell_saving_pop):
	* libanjuta/anjuta-shell.h:
	* src/anjuta-app.c (anjuta_app_instance_init),
	(anjuta_app_saving_push), (anjuta_app_saving_pop),
	(anjuta_shell_iface_init):
	* src/anjuta-app.h:
	* src/anjuta.c (on_anjuta_delete_event):
	Implemented infrastructure to wait for all async save operation before 
	exiting

	* src/main.c (main):
	Fix trivial warning (error->message instead of error)

	* plugins/sourceview/sourceview-io.c (on_save_finished),
	(sourceview_io_save_as):
	Use saving infrastructure to fix #574376 – Save doesn't always save. Use
	g_file_replace_contents_async instead of GOutputStream to avoid duplicated
	code with gio.

2009-03-11  Johannes Schmid  <jhs@gnome.org>

	* configure.in: Fixed "--enable-editor-scintilla"
	(Thanks to Debarshi Ray for reporting this)

2009-03-09  Johannes Schmid  <jhs@gnome.org>

	* plugins/subversion/anjuta-subversion.plugin.in:
	Add a license exception for linking with OpenSSL
	
	* src/about.c (about_box_new), (on_about_plugin_activate),
	(about_create_plugins_submenu):
	#397883 – The license info is almost empty

2009-03-09  Johannes Schmid  <jhs@gnome.org>

	* plugins/sourceview/sourceview.c (sourceview_dispose):
	Removed double unref

2009-03-09  Johannes Schmid  <jhs@gnome.org>

	* plugins/project-wizard/Makefile.am:
	* plugins/project-wizard/anjuta-project-wizard.ui:
	Just use the GtkBuilder file and no longer autogenerate it (fixed intltool problems)
	
	* plugins/sourceview/sourceview-io.c (on_save_finished),
	(sourceview_io_save_as):
	* plugins/sourceview/sourceview.c (sourceview_dispose):
	#574376 – Save doesn't always save

2009-03-07  James Liggett  <jrliggett@cox.net>

	* plugins/git/git-vcs-interface.c (git_ivcs_query_status):
	Fix a crash that happens sometimes when retrieving status via IAnjutaVcs 
	with the Git plugin.

2009-03-04  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/symbol-db-engine-core.c:
	* plugins/symbol-db/symbol-db-engine-priv.h:
	* plugins/symbol-db/symbol-db-engine-queries.c:
	* plugins/symbol-db/symbol-db-engine-utils.c:
	fixed #573858 – link fail on Solaris for plugin symbol-db.

2009-03-04  Johannes Schmid  <jhs@gnome.org>

	* configure.in:
	* plugins/tools/scripts/Makefile.am:
	* scripts/build-schemas.mk:
	Fixed schema file generation and distcheck completely

2009-03-04  Johannes Schmid  <jhs@gnome.org>

	* libanjuta/e-splash.c (e_splash_init), (e_splash_set):
	Fixed critical in new splash code

2009-03-03  Johannes Schmid  <jhs@gnome.org>

	* plugins/file-manager/plugin.c (file_manager_set_default_uri):
	Fixed critical when no path is set in preferences

2009-03-02  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/build-basic-autotools/plugin.c:
	Check Makefile.am too, to enable project menu items

2009-03-02  Johannes Schmid  <jhs@gnome.org>

	* libanjuta/Makefile.am:
	* scripts/build-schemas.mk:
	Fixed distcheck (mostly)

2009-03-02  Johannes Schmid  <jhs@gnome.org>

	* libanjuta/anjuta-preferences.c (set_property_value_as_string):
	(removed dead code)
	* manuals/anjuta-manual/C/projects.xml:
	Fixed make check (thanks to Claude)

2009-03-02  Claude Paroz  <claude@2xlibre.net>

	* manuals/anjuta-build-tutorial/C/anjuta-build-tutorial.xml:
	Fix #562113 – Clean docbook syntax in order to validate.

2009-03-02  Johannes Schmid  <jhs@gnome.org>

  Patch from: Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>:
	* libanjuta/e-splash.c (impl_destroy), (e_splash_init),
	(on_expose_event_cb), (e_splash_construct), (e_splash_new),
	(e_splash_set):
	#571740 – Get rid of deprecated libgnomecanvas
	
=== 2.25.903.0 ===

2009-03-02  Johannes Schmid  <jhs@gnome.org>

	* MAINTAINERS: Added myself after five releases.
	* NEWS: Updated for release
	* configure.in: Bumped version
	* plugins/sourceview/sourceview.c (on_sourceview_hover_leave),
	(on_sourceview_hover_destroy), (on_sourceview_hover_over):
	#564891 – Crash when closing editor window

2009-03-02  Johannes Schmid  <jhs@gnome.org>

	* manuals/anjuta-manual/C/projects.xml:
	* manuals/anjuta-manual/Makefile.am:
	Updated project configuration documentation

2009-03-02  Johannes Schmid  <jhs@gnome.org>

	* manuals/anjuta-build-tutorial/C/anjuta-build-tutorial.xml:
	Fixed a validation error

2009-03-01  Sébastien Granjoux  <seb.sfo@free.fr>

	* libanjuta/libanjuta.h,
	libanjuta/Makefile.am:
	Add two new includes of libanjuta

2009-03-01  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/gtodo/interface.c,
	plugins/gtodo/libgtodo.c,
	plugins/symbol-db/symbol-db-engine-core.c,
	libanjuta/anjuta-plugin-manager.c:
	Fix a few memory leaks thanks to Valgrind

2009-02-28  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/build-basic-autotools/plugin.c:
	Fix #564282 – configure error: source directory already configured
	Fix #567513 – Running configure doesn't make anjuta be aware that the
	project doesn't need a configure stage in its menus
	Fix #565170 – Invalid read in plugin.c

	* plugins/project-wizard/templates/terminal.wiz,
	plugins/project-wizard/templates/xlib-dock.wiz,
	plugins/project-wizard/templates/wxwin.wiz,
	plugins/project-wizard/templates/java.wiz,
	plugins/project-wizard/templates/gnome-applet.wiz,
	plugins/project-wizard/templates/anjuta-plugin-vala.wiz,
	plugins/project-wizard/templates/anjuta-plugin.wiz,
	plugins/project-wizard/templates/gtkmm.wiz,
	plugins/project-wizard/templates/python.wiz,
	plugins/project-wizard/templates/cpp.wiz,
	plugins/project-wizard/templates/sdl.wiz,
	plugins/project-wizard/templates/gtk.wiz,
	plugins/project-wizard/templates/minimal.wiz,
	plugins/project-wizard/templates/xlib.wiz,
	plugins/project-wizard/templates/gcj.wiz:
	Do not generate project in the wizard (can be easily done later)

	* plugins/project-wizard/templates/gtkmm/src/main.cc,
	plugins/project-wizard/templates/gtk/src/main.c,
	plugins/run-program/parameters.c:
	Read glade file in a directory relative to project source directory
	Set by default working directory to project source directory

	* plugins/project-wizard/templates/translatable-strings.h:
	Remove translatable string used in the removed GNOME template

	* plugins/gdb/debugger.c:
	Avoid bug #573326 in one additional case

2009-02-28  Claude Paroz  <claude@2xlibre.net>

	* manuals/anjuta-manual/C/debugger.xml: <tip> tag content must be enclosed
	in <para>.
	* manuals/anjuta-manual/C/glade.xml: <sect2> cannot be used without
	parent <sect1>.
	Fixed XML validation of anjuta-manual.

2009-02-28  Johannes Schmid  <jhs@gnome.org>

	* plugins/language-support-cpp-java/cpp-java-assist.c
	(cpp_java_assist_create_word_completion_cache):
	Little correction on the hang check

2009-02-28  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/gdb/debugger.c:
	Fix #573326 – Debug misfunction

2009-02-26  Johannes Schmid  <jhs@gnome.org>

	* plugins/debug-manager/sharedlib.c (create_sharedlibs_gui):
	* plugins/debug-manager/signals.c (create_sharedlibs_gui):
	Don't call set_size_request with values <= -1
	
2009-02-26  Johannes Schmid  <jhs@gnome.org>

	* plugins/debug-manager/breakpoints.c (create_breakpoint_gui):
	* plugins/debug-manager/disassemble.c (create_disassemble_gui):
	* plugins/debug-manager/memory.c (create_memory_gui):
	* plugins/debug-manager/registers.c (create_cpu_registers_gui):
	Add some debugger windows with ANJUTA_PLACEMENT_NONE to avoid cluttering
	UI when just loading the debugger. (IMHO few users will ever look at
	disassemble/memory/registers and those most likely know how to enable those).
	Needs latest gdl from svn trunk to avoid a stupid warning

2009-02-26  Johannes Schmid  <jhs@gnome.org>

	* plugins/language-support-cpp-java/cpp-java-assist.c
	(cpp_java_assist_create_word_completion_cache):
	Fixed a race condition hang if the idle handler is called while the user
	already deleted some characters and the resulting pre_word is too short.

2009-02-25  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/symbol-db-engine-core.c
	(sdb_engine_get_tuple_id_by_unique_name),
	(sdb_engine_get_tuple_id_by_unique_name2),
	(sdb_engine_get_tuple_id_by_unique_name3),
	(sdb_engine_get_tuple_id_by_unique_name4):
	* plugins/symbol-db/symbol-db-engine-priv.h:
	fixed #572637 – Valgrind shows some errors in symbol-db.

2009-02-25  Johannes Schmid  <jhs@gnome.org>

	* plugins/glade/plugin.c (check_deactivation),
	(on_document_destroy), (ifile_open):
	Deactivate plugin if opening of project fails and no other projects are open

2009-02-25  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/scintilla/text_editor_cbs.c,
	plugins/scintilla/text_editor_cbs.h,
	plugins/scintilla/text_editor.c:
	Fix #567068 – autocomplete box should vanish on backspace

2009-02-25  Yuriy Penkin <yuriy.penkin@gmail.com>

	Reviewed by Sébastien Granjoux <seb.sfo@free.fr>

	* plugins/run-program/plugin.c,
	plugins/run-program/parameters.c,
	plugins/run-program/parameters.h:
	Fix #564306 – don't ask which program to run if project has only one
	target

2009-02-25  Yuriy Penkin <yuriy.penkin@gmail.com>

	* plugins/sourceview/sourceview-io.c (on_save_finished):
	#559806 – Anjuta crashes when closing unsaved file (Patch got lost somewhere)

2009-02-25  Johannes Schmid  <jhs@gnome.org>

	* plugins/glade/anjuta-glade.plugin.in:
	Also open xml files (as for gtkbuilder)
	
	* plugins/glade/plugin.c (on_document_destroy),
	(update_separated_designer_layout), (glade_plugin_add_project),
	(activate_plugin), (deactivate_plugin), (iwizard_activate):
	- Fixed seperate layout
	- Fixed duplciated entries in combo box and thus plugin deactivation

2009-02-25  Johannes Schmid  <jhs@gnome.org>

	* plugins/class-gen/plugin.c (cg_plugin_add_to_project),
	(cg_plugin_add_to_repository), (cg_plugin_generator_created_cb):
	* plugins/class-gen/window.c (cg_window_add_project_toggled_cb),
	(cg_window_cc_name_changed_cb), (cg_window_get_add_to_repository):
	Fixed serveral issues in class-gen plugin, including the add to 
	repository feature.

2009-02-24  Johannes Schmid  <jhs@gnome.org>

	* libanjuta/anjuta-utils.c:
	Fix endless loop in g_file_convert_* and some warnings
	
	* plugins/file-wizard/file.c (on_add_to_project_toggled),
	(display_new_file), (on_new_file_okbutton_clicked):
	Fix add to repository for new file wizard

2009-02-23  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/sourceview/sourceview.c:
	Fix #556970 – Swap .h/.c doesn't work for C header files (*.h)

2009-02-23  Yuriy Penkin <yuriy.penkin@gmail.com>

	Reviewed by Sébastien Granjoux <seb.sfo@free.fr>

	* plugins/build-basic-autotools/plugin.c:
	Fix #555895 – Save configure options for build configuration

2009-02-23  Johannes Schmid  <jhs@gnome.org>

	* plugins/build-basic-autotools/plugin.c (on_build_mesg_format):
	Only marks errors as such (e.g. only messages that contains "error:")

2009-02-22  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/search/search-replace.c:
	Fix #572608 – crash clicking on 'find in files...' results.

2009-02-22  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/search/search-replace.c,
	plugins/search/search-replace_backend.c:
	Backward search go back one character at a time
	Fix an error comparing characters with bytes position

2009-02-22  Johannes Schmid <jhs@gnome.org>

	* plugins/message-view/anjuta-msgman.c (anjuta_msgman_dispose):
	Don't explicitly close all message-views in dispose as it's done implicitly by
	GtkContainer anyway (might fix #572451)

2009-02-21  James Liggett  <jrliggett@cox.net>

	* plugins/git/Makefile.am:
	* plugins/git/git-vcs-interface.c (git_ivcs_iface_init),
	(git_ivcs_add), (git_ivcs_checkout),
	(on_diff_command_data_arrived), (git_ivcs_diff),
	(on_status_command_data_arrived), (git_ivcs_query_status),
	(git_ivcs_remove):
	* plugins/git/git-vcs-interface.h:
	* plugins/git/git.plugin.in:
	* plugins/git/plugin.c:
	Implement the beginnings of IAnjutaVcs for the git plugin. Checkout and 
	operation canceling aren't supported yet. Everything else should work.

2009-02-21  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/search/search-replace.c:
	Remove one Valgrind warning when searching something

2009-02-21  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/search/search-replace.c:
	Fix #571760 – Find & Replace is broken (due to my previous changes)

	* plugins/search/Makefile.am:
	Define G_LOG_DOMAINS correctly

2009-02-21  Johannes Schmid  <jhs@gnome.org>

	* libanjuta/anjuta-plugin-description.c
	(anjuta_plugin_description_new_from_string):
	* libanjuta/anjuta-plugin-handle.c (anjuta_plugin_handle_new):
	
	Fixed some errors reported by valgrind

2009-02-20  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/language-support-cpp-java/plugin.c (spaces_only):
	fixed a crasher: press enter on empty line.

2009-02-20  Massimo Cora'  <mcora@svn.gnome.org>

	* .cvsignore:
	* data/.cvsignore:
	* doc/.cvsignore:
	* launcher/.cvsignore:
	* libanjuta/.cvsignore:
	* libanjuta/interfaces/.cvsignore:
	* manuals/.cvsignore:
	* manuals/anjuta-manual/C/figures/.cvsignore:
	* manuals/reference/.cvsignore:
	* manuals/reference/libanjuta/.cvsignore:
	* mime/.cvsignore:
	* omf-install/.cvsignore:
	* pixmaps/.cvsignore:
	* plugins/.cvsignore:
	* plugins/build-basic-autotools/.cvsignore:
	* plugins/class-gen/.cvsignore:
	* plugins/class-inheritance/.cvsignore:
	* plugins/cvs-plugin/.cvsignore:
	* plugins/debug-manager/.cvsignore:
	* plugins/debug-manager/images/.cvsignore:
	* plugins/devhelp/.cvsignore:
	* plugins/document-manager/.cvsignore:
	* plugins/file-loader/.cvsignore:
	* plugins/file-wizard/.cvsignore:
	* plugins/gbf-am/.cvsignore:
	* plugins/gbf-am/GBF/.cvsignore:
	* plugins/gbf-mkfile/.cvsignore:
	* plugins/gbf-mkfile/GBF/.cvsignore:
	* plugins/gdb/.cvsignore:
	* plugins/gdb/images/.cvsignore:
	* plugins/glade/.cvsignore:
	* plugins/gtodo/.cvsignore:
	* plugins/language-support-cpp-java/.cvsignore:
	* plugins/macro/.cvsignore:
	* plugins/message-view/.cvsignore:
	* plugins/patch/.cvsignore:
	* plugins/project-import/.cvsignore:
	* plugins/project-manager/.cvsignore:
	* plugins/sample1/.cvsignore:
	* plugins/scintilla/.cvsignore:
	* plugins/scintilla/properties/.cvsignore:
	* plugins/scintilla/scintilla/.cvsignore:
	* plugins/scintilla/scintilla/include/.cvsignore:
	* plugins/search/.cvsignore:
	* plugins/sourceview/.cvsignore:
	* plugins/subversion/.cvsignore:
	* plugins/symbol-db/images/.cvsignore:
	* plugins/terminal/.cvsignore:
	* plugins/tools/.cvsignore:
	* plugins/tools/scripts/.cvsignore:
	* plugins/valgrind/.cvsignore:
	* scripts/.cvsignore:
	* src/.cvsignore:
	removed unused .cvsignore files. Left out project-wizard plugin.

2009-02-20  Andre Klapper  <a9016009@gmx.de>

	* plugins/gtodo/add_edit_item.c
	* plugins/macro/macro-actions.c:
	Replace deprecated gtk_entry_new_with_max_length by 
	gtk_entry_new/gtk_entry_set_max_length.

2009-02-20  Andre Klapper  <a9016009@gmx.de>

	* plugins/gtodo/egg-datetime.c:
	Replace deprecated gtk_calendar_display_options by 
	gtk_calendar_set_display_options.

2009-02-20  Andre Klapper  <a9016009@gmx.de>

	* plugins/debug-manager/info.c:
	Replace deprecated gtk_window_set_policy by gtk_window_set_resizable.

2009-02-20  Andre Klapper  <a9016009@gmx.de>

	* plugins/document-manager/plugin.c:
	* plugins/message-view/anjuta-msgman.c:
	Replace deprecated gtk_notebook_set_page by 
	gtk_notebook_set_current_page.

2009-02-20  Andre Klapper  <a9016009@gmx.de>

	* libanjuta/anjuta-plugin-manager.c:
	* libanjuta/resources.c:
	* plugins/debug-manager/stack_trace.c:
	* plugins/debug-manager/threads.c:
	* plugins/scintilla/scintilla/PlatGTK.cxx:
	Replace deprecated gdk_pixbuf_unref by g_object_unref.

2009-02-20  Andre Klapper  <a9016009@gmx.de>

	* libanjuta/e-splash.c:
	Replace deprecated gdk_pixbuf_(un)ref by g_object_(un)ref.

2009-02-20  Johannes Schmid  <jhs@gnome.org>

	* plugins/language-support-cpp-java/plugin.c
	(set_line_indentation), (spaces_only), (get_line_auto_indentation),
	(on_editor_char_inserted_cpp):
	#540989 – Should not insert tabs on empty lines

2009-02-20  Johannes Schmid  <jhs@gnome.org>

	* plugins/language-support-cpp-java/plugin.c
	(get_line_indentation), (get_line_indentation_base),
	(get_line_auto_indentation):
	Fixed auto-indentation for spaces-only indentation

2009-02-19  Andre Klapper  <a9016009@gmx.de>

	* plugins/debug-manager/sharedlib.c:
	* plugins/debug-manager/signals.c:
	* plugins/gtodo/interface.c:
	* plugins/gtodo/mcategory.c:
	* plugins/scintilla/scintilla/PlatGTK.cxx:
	* plugins/scintilla/scintilla/test-scintilla.cxx:
	* plugins/scintilla/text_editor.c:
	Replace deprecated gtk_widget_set_usize by gtk_widget_set_size_request

2009-02-19  Andre Klapper  <a9016009@gmx.de>

	* libanjuta/anjuta-launcher.c:
	* plugins/class-inheritance/class-inherit.c:
	* plugins/debug-manager/watch.c:
	* plugins/search/search-replace.c:
	Replace deprecated gtk_widget_(un)ref by g_object_(un)ref

2009-02-18  Jens Georg  <mail@jensge.org>

	* plugins/profiler/gprof-profile-data.h:
	* plugins/profiler/plugin.h:
	* plugins/symbol-db/test/benchmark.c (main):
	
	#511589 - remove missed includes

2009-02-18  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/symbol-db-engine-utils.c
	(sdb_util_load_symbol_pixbufs):
	added "method" to the symbol's type icons cache.

2009-02-18  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/test/Makefile.am:
	now benchmark test program won't be installed in system.

2009-02-18   Vincent Untz <vuntz@gnome.org>

	reviewed by: Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/test/benchmark.c (on_single_file_scan_end):
	fixed #572289 – Make code less ambiguous

2009-02-16  Johannes Schmid  <jhs@gnome.org>

	* Makefile.am:
	Fixed SF.net release target
	
	* plugins/project-wizard/templates/Makefile.am:
	Fixed build

=== 2.25.902 ===

2009-02-16  Johannes Schmid  <jhs@gnome.org>

	* NEWS:
	* configure.in:
	Updated for release
	
	* plugins/gbf-am/Makefile.am:
	* plugins/gbf-mkfile/Makefile.am:
	Fixed dist-clean issue

2009-02-16  Carl-Anton Ingmarsson  <ca.ingmarsson@gmail.com>

	reviewed by: Johannes Schmid <jhs@gnome.org>

	* plugins/file-loader/plugin.c (on_new_clicked), (on_open_clicked),
	(activate_plugin):
	#570820 – problem with gtk+ trunk

2009-02-16  Johannes Schmid  <jhs@gnome.org>

	* plugins/search/search-replace.c (on_message_clicked):
	#564942 – display project-relative path in search results pane

2009-02-16  Massimo Cora'  <mcora@svn.gnome.org>

	* configure.in:
	* plugins/symbol-db/Makefile.am:
	* plugins/symbol-db/test/Makefile.am:
	* plugins/symbol-db/test/main.c:
	removed outdated test file.

2009-02-12  Yang Hong  <hongyang@redflag-linux.com>
 
	* plugins/search/search-replace.c (create_dialog),
 	(on_search_expression_entry_changed):
 	#571381 – Seach button disabled if no files opened. 

2009-02-16  Johannes Schmid  <jhs@gnome.org>

	* plugins/file-manager/file-view.c (file_view_sort_model):
	#571733 – file manager should sort files case-insensitively

2009-02-16  Johannes Schmid  <jhs@gnome.org>

	* libanjuta/anjuta-plugin-description.c (parse_key_value):
	571233 – Uncorrect loading of subversion plugin (thanks to Yuriy Penkin 
	for the patch!)
	
2009-02-15  James Liggett  <jrliggett@cox.net>

	* ChangeLog:
	E-mail address fix.

2009-02-15  James Liggett  <jrliggett@cox.net>

	* libanjuta/anjuta-utils.c:
	* libanjuta/anjuta-utils.h:
	Add utility function for converting lists of GFile objects to lists of 
	relative paths.

2009-02-15  Johannes Schmid  <jhs@gnome.org>

	* plugins/project-wizard/templates/Makefile.am:
	* plugins/project-wizard/templates/gnome.wiz:
	* plugins/project-wizard/templates/gnome/.cvsignore:
	* plugins/project-wizard/templates/gnome/Makefile.am:
	* plugins/project-wizard/templates/gnome/po/.cvsignore:
	* plugins/project-wizard/templates/gnome/po/Makefile.am:
	* plugins/project-wizard/templates/gnome/po/POTFILES.in:
	* plugins/project-wizard/templates/gnome/src/.cvsignore:
	* plugins/project-wizard/templates/gnome/src/Makefile.am:
	* plugins/project-wizard/templates/gnome/src/Makefile.am.tpl:
	* plugins/project-wizard/templates/gnome/src/callbacks.c:
	* plugins/project-wizard/templates/gnome/src/callbacks.h:
	* plugins/project-wizard/templates/gnome/src/main.c:
	* plugins/project-wizard/templates/gnome/src/project.glade:
	Remove gnome project template as it just contains deprecated
	libraries

2009-02-14  James Liggett  <jrliggett@cox.net>
	
	* plugins/subversion/anjuta-subversion.plugin.in:
	Make sure there's a newline at the end of the file, or the plugin won't 
	load.
	
2009-02-12  Johannes Schmid  <jhs@gnome.org>

	* plugins/language-support-cpp-java/plugin.c
	(get_line_indentation), (get_line_indentation_string),
	(set_line_indentation), (get_line_indentation_base),
	(get_line_auto_indentation):
	#571215 – doesn't indent function declarations correctly
	
	* plugins/terminal/terminal.c (terminal_set_preferences):
	#570492 – Some criticals in the terminal plugin

2009-02-11  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/gbf-am/gbf-am-properties.c:
	Fix #556148 – it's impossible to remove project variables

	* plugins/gbf-am/plugin.c,
	plugins/gbf-am/Makefile.am,
	plugins/gbf-am/gbf-am-project.c:
	Use Anjuta debugging functions

2009-02-11  Yang Hong  <hongyang@redflag-linux.com>
	
	reviewed by: Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/tools/scripts/tools-2.xml.in:
	Fixed wrong path of grep command.

	* plugins/gbf-am/gbf-am-parse.in:
	Fixed #571262 – gbf-am: treat tail slash as a package (pkg_check_module)
	
	* plugins/gbf-am/gbf-am-properties.c (add_package_clicked_cb),
	(gbf_am_properties_get_widget):
	Fixed #566991 – list project modules in sorted order

2009-02-11  Johannes Schmid  <jhs@gnome.org>

	* plugins/sourceview/sourceview.c (ilanguage_set_language):
	Don't crash when language manager returns a NULL list of languages (#570492)
	Avoid duplicated code that was causing the same behaviour as previous commit.

2009-02-10  Johannes Schmid  <jhs@gnome.org>

	* plugins/sourceview/sourceview.c
	(ilanguage_get_supported_languages):
	Don't crash when language manager returns a NULL list of languages (#570492)

2009-02-10  Johannes Schmid  <jhs@gnome.org>

	* plugins/sourceview/plugin.c (create_style_model):
	#571114 – Crash after clicking on Edit/Preferences with open document

2009-02-10  Yang Hong  <hongyang@redflag-linux.com>
 
	* plugins/message-view/message-view.c (message_view_instance_init):
 	Align message filters into left.
 	
 	* plugins/tools/anjuta-tools.glade:
 	Use GtkFileChooserDialog instead GtkFileSelection
 	
 	* plugins/tools/variable.c (atp_variable_get_editor_variable):
 	Fixed #571143 - Double free crasher of path string.

2009-02-09  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/plugin.c (on_session_load),
	(isymbol_manager_search_system):
	* plugins/symbol-db/symbol-db-engine-core.c
	(symbol_db_engine_close_db):
	* plugins/symbol-db/symbol-db-view-locals.c
	(symbol_db_view_locals_clear_cache):
	fixed some warnings like GDA_IS_CONNECTION (cnc) when the project was
	closing as the same time as the local tab was populating with symbols.

2009-02-09  Johannes Schmid  <jhs@gnome.org>

	* plugins/document-manager/plugin.c (update_status),
	(on_document_changed):
	#563704 – Anjuta displays column/line numbers after edit windows closed

2009-02-09  Johannes Schmid  <jhs@gnome.org>

	* plugins/language-manager/languages.xml:
	#556970 – Swap .h/.c doesn't work for C header files (*.h)

2009-02-09  Johannes Schmid  <jhs@Obelix>

	* plugins/sourceview/sourceview.c (on_assist_window_destroyed),
	(on_assist_tip_destroyed), (iassist_suggest), (iassist_show_tips):
	Use weak pointer instead of destroy signals

2009-02-09  Yuriy Penkin <yuriy.penkin@gmail.com>

	* plugins/run-program/plugin.c (on_run_program_activate):
	#570720 – There are warnings in some cases when I press cancel in 
	program arguments dialog

2009-02-09  Sébastien Granjoux  <seb.sfo@free.fr>

	* libanjuta/anjuta-launcher.c:
	Fix #566785 – Anjuta crashes after enabling and disabling a plugin
	often 

2009-02-09  Johannes Schmid  <jhs@gnome.org>

	* plugins/language-support-cpp-java/plugin.c
	(get_line_indentation_string), (get_line_indentation_base):
	Removed debugging output
	
	* src/main.c (main):
	Reintroduce gnome_program_init() to avoid warnings from libgnomeui

2009-02-09  Johannes Schmid  <jhs@gnome.org>

	* src/anjuta-app.c (anjuta_app_add_widget_full):
	Call set_default_position() on widgets that are never floating to avoid
	another critical warning with bug #570492
	* plugins/language-support-cpp-java/plugin.c
	(get_line_indentation_string), (set_line_indentation),
	(get_line_indentation_base), (get_line_auto_indentation),
	(on_editor_char_inserted_cpp), (on_auto_indent):
	#567606 – Auto-indentation in Anjuta gets tab indentation wrong for function paramaters

2009-02-09  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/plugin.c (isymbol_manager_search_system),
	(isymbol_manager_search_project), (isymbol_manager_search_file):
	some assertions to prevent a NULL pattern to be passed to SymbolManager
	interface.

2009-02-09  Johannes Schmid  <jhs@gnome.org>

	* configure.in:
	* src/Makefile.am:
	* src/anjuta.c (anjuta_new):
	* src/anjuta.h:
	* src/bacon-message-connection.c:
	* src/bacon-message-connection.h:
	* src/main.c (message_received_cb), (main):
	
	Remove old crufty bacon-message code and replace it by a sane implementation
	using the new libunique gnome dependency.

2009-02-09  Johannes Schmid  <jhs@gnome.org>

	* plugins/language-support-cpp-java/cpp-java-assist.c
	(cpp_java_assist_create_word_completion_cache),
	(cpp_java_assist_check):
	Avoid hang while pressing backspace

2009-02-08  Johannes Schmid  <jhs@gnome.org>

	* plugins/file-manager/file-model.c (file_model_get_vcs_status):
	* plugins/file-manager/plugin.c (get_vcs_plugin),
	(project_root_added), (file_manager_activate):
	* plugins/subversion/anjuta-subversion.plugin.in:
	
	Only load correct IAnjutaVcs plugin for project

2009-02-08  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/search/search-replace.c,
	plugins/search/search-replace_backend.c:
	Fix #564942 – display project-relative path in search results pane
	Fix #565015 – duplicate matches in search results pane

	* plugins/message-view/message-view.c:
	Fix #539580 – Uncorrect pass search result to

2009-02-08  Sébastien Granjoux  <seb.sfo@free.fr>

	* www/htdocs/downloads.php:
	Fix #570614 – outdated download addresses

2009-02-08  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/scintilla/text_editor.c,
	plugins/sourceview/sourceview.c,
	libanjuta/interfaces/libanjuta.idl:
	ianjuta_editor_get_length returns value in bytes instead of characters

	* plugins/search/search-replace.c,
	plugins/search/search-replace_backend.c,
	plugins/search/search-replace_backend.h:
	Fix #566531 – Find & Replace results in wrong result for files
	containing multi-byte UTF-8 sequences

	* plugins/search/Makefile.am:
	Define log domains for search plugin

2009-02-08  Carl-Anton Ingmarsson  <ca.ingmarsson@gmail.com>

	reviewed by: Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/plugin.c (on_session_save), (on_session_load),
	(on_project_root_added):
	* plugins/symbol-db/symbol-db-system.c (sdb_system_do_engine_scan):
	fixed #570877 – symbol-db doesn't scan user-added packages.

2009-02-08  Yang Hong  <hongyang@redflag-linux.com>

	* plugins/git/plugin.c (git_activate_plugin):
	Fixed #570929, initialize widgets before add watches.

2009-02-07  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/plugin.c (isymbol_manager_search_project):
	* plugins/symbol-db/symbol-db-engine-queries.c
	(symbol_db_engine_find_symbol_by_name_pattern_filtered):
	ianjuta_symbol_manager_search_project () will now search only for global
	project symbols.

2009-02-06  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/plugin.c (isymbol_manager_search_project):
	* plugins/symbol-db/symbol-db-engine-queries.c
	(symbol_db_engine_find_symbol_by_name_pattern_filtered):
	* plugins/symbol-db/symbol-db-engine-queries.h:
	#566987 – display tooltip with prototype when calling function in project.

2009-02-06  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/project-manager/gbf-project-util.c
	(browse_button_clicked_cb):
	fixed #570245 – gbf gio-critical g_file_query_exists

2009-02-06  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/plugin.c (on_session_load),
	(symbol_db_activate):
	hide progress bar for system and project if no project is loaded.

2009-02-06  Johannes Schmid  <jhs@Obelix>

	* plugins/debug-manager/sharedlib.c (sharedlibs_new):
	* plugins/debug-manager/start.c (load_target):
	* plugins/glade/designer-associations-item.c
	(designer_associations_item_from_xml),
	(designer_associations_option_from_xml),
	(associations_file_from_xml):
	* plugins/glade/plugin.c (glade_update_ui),
	(on_glade_project_changed), (glade_plugin_do_save_associations),
	(do_insert_handler_stub_C), (insert_handler_stub_auto),
	(insert_handler_stub_manual), (on_handler_editing_done),
	(on_glade_show_version_dialog):
	* plugins/sourceview/sourceview.c (on_open_finish):
	
	Fix translation isses (#570491 and #570429)

2009-02-05  Yang Hong  <hongyang@redflag-linux.com>

	* plugins/file-manager/file-model.c
	(file_model_vcs_status_callback):
	Fix a crasher in gdk_pixbuf_composite.
	
	* plugins/file-manager/file-view.c (get_status_string):
	Return a NULL value instead of g_assert_not_reached.
	
	* plugins/terminal/terminal.c (terminal_set_preferences),
	(terminal_execute):
	Do not reset execute terminal, remain output for comparison,
	Set default scrollback lines for 500, or minimum is too small.
	
	* src/main.c (send_bacon_message):
	Fix cann't open relative URI in server side.

2009-02-05  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/language-support-cpp-java/cpp-java-assist.c:
	Fix #566693 – Code completion of symbols usually not working

2009-02-04  Johannes Schmid  <jhs@gnome.org>

	* plugins/sourceview/sourceview-prefs.c (get_int_default),
	(on_gconf_notify_tab_size),
	(on_gconf_notify_right_margin_position):
	Fix an unlikely critical when deleting gconf values directly

2009-02-04  Johannes Schmid  <jhs@gnome.org>

	* plugins/sourceview/anjuta-editor-sourceview.glade:
	Remove useless indent-size property. This is better handled by the 
	language-support-plugin.
	* plugins/sourceview/sourceview-prefs.c (get_bool),
	(on_gconf_notify_font), (get_key), (sourceview_prefs_init):
	Fix #570492 – Canot open editor - crash

2009-02-04  Johannes Schmid  <jhs@gnome.org>

	* plugins/build-basic-autotools/anjuta-build-basic-autotools-plugin
	.glade:
	* plugins/cvs-plugin/anjuta-cvs-plugin.glade:
	* plugins/document-manager/anjuta-document-manager.glade:
	* plugins/language-support-cpp-java/anjuta-language-cpp-java.glade:
	* plugins/message-view/anjuta-message-manager-plugin.glade:
	* plugins/scintilla/anjuta-editor-scintilla.glade:
	* plugins/search/anjuta-search.glade:
	* plugins/sourceview/anjuta-editor-sourceview.glade:
	#567100 – opening Find dialog causes GtkSpinButton warning

2009-02-04  Johannes Schmid  <jhs@gnome.org>

	* plugins/build-basic-autotools/anjuta-build-basic-autotools-plugin
	.glade:
	* plugins/cvs-plugin/anjuta-cvs-plugin.glade:
	* plugins/document-manager/anjuta-document-manager.glade:
	* plugins/language-support-cpp-java/anjuta-language-cpp-java.glade:
	* plugins/message-view/anjuta-message-manager-plugin.glade:
	* plugins/scintilla/anjuta-editor-scintilla.glade:
	* plugins/search/anjuta-search.glade:
	* plugins/sourceview/anjuta-editor-sourceview.glade:
	* plugins/subversion/subversion-ui-utils.c (check_input),
	(on_status_command_data_arrived):
	Revert adjumenst changes (#570444 – can't change numbers in preferences dialog)

2009-02-03  Massimo Cora'  <mcora@svn.gnome.org>

	* libanjuta/interfaces/libanjuta.idl:
	* plugins/symbol-db/plugin.c (do_import_system_sources),
	(on_project_root_added), (isymbol_manager_search),
	(isymbol_manager_get_members), (isymbol_manager_search_system),
	(isymbol_manager_search_project), (isymbol_manager_search_file),
	(isymbol_manager_iface_init):
	* plugins/symbol-db/symbol-db-engine-core.c (sdb_engine_init),
	(symbol_db_engine_file_exists),
	(symbol_db_engine_add_new_workspace),
	(symbol_db_engine_project_exists),
	(symbol_db_engine_add_new_project), (sdb_engine_add_new_db_file),
	(symbol_db_engine_update_project_symbols),
	(symbol_db_engine_remove_file), (on_scan_update_buffer_end),
	(symbol_db_engine_update_buffer_symbols):
	* plugins/symbol-db/symbol-db-engine-priv.h:
	* plugins/symbol-db/symbol-db-engine-queries.c
	(symbol_db_engine_get_current_scope),
	(symbol_db_engine_get_file_symbols),
	(symbol_db_engine_find_symbol_by_name_pattern_on_file):
	* plugins/symbol-db/symbol-db-engine-queries.h:
	* plugins/symbol-db/symbol-db-engine-utils.c
	(symbol_db_util_get_full_local_path),
	(symbol_db_util_get_file_db_path),
	(symbol_db_util_get_files_with_zero_symbols),
	(symbol_db_util_is_pattern_exact_match),
	(symbol_db_util_fill_type_array),
	(symbol_db_util_get_sym_type_conversion_hash):
	* plugins/symbol-db/symbol-db-engine-utils.h:
	* plugins/symbol-db/symbol-db-view-locals.c
	(symbol_db_view_locals_update_list):
	* plugins/symbol-db/symbol-db-view-search.c
	(sdb_view_search_model_filter):
	Splitted interfaces for searching symbols. Now you can search in system,
	project or file.
	#566987 – display tooltip with prototype when calling function in project
	Fixed some lock () issues.

=== 2.25.901 ===

2009-02-03  Johannes Schmid  <jhs@gnome.org>

	* NEWS: Updated
	* configure.in: 2.25.901

2009-02-03  Johannes Schmid  <jhs@gnome.org>

	* configure.in:
	* plugins/glade/anjuta-design-document.c (ifile_get_file),
	(ifile_savable_save), (ifile_savable_save_as),
	(ifile_savable_is_dirty), (idocument_can_redo),
	(idocument_can_undo), (idocument_get_filename):
	* plugins/glade/plugin.c (on_glade_project_changed),
	(glade_plugin_add_project), (activate_plugin),
	(glade_get_filename), (ifile_open), (ifile_get_file),
	(iwizard_activate):
	* plugins/glade/plugin.h:

	#570249 – glade plugin does not build
	
	* plugins/build-basic-autotools/anjuta-build-basic-autotools-plugin
	.ui:
	#566702 – Please add a separator between Build Project and Build Tarrbal
	
	* plugins/gdb/debugger.c (debugger_attach_process),
	(debugger_set_frame_finish), (debugger_set_frame):
	* plugins/gdb/debugger.h:
	Fixed 64-bit warnings
	
	* libanjuta/anjuta-utils.c (anjuta_util_from_file_to_file):
	Fix warnings
	
	* libanjuta/anjuta-vcs-status.h:
	* plugins/file-manager/file-view.c (get_status_string),
	(file_view_show_extended_data):
	#570264 – cannot do subversion->commit: no modified files are detected anymore

2009-02-02  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/search/search-replace.c,
	plugins/search/search-replace_backend.c,
	plugins/search/search-replace_backend.h:
	Fix #570223 – Replace all in open buffers crashes

2009-02-02  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/scintilla/text_editor.c,
	libanjuta/interfaces/libanjuta.idl:
	Fix #567206 – Build doesn't start if auto-save fails

2009-02-02  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/document-manager/anjuta-bookmarks.c:
	Remove some critical warnings when having document without a file

=== Anjuta 2.25.90 ===

2009-02-02  Johannes Schmid  <jhs@gnome.org>

	* NEWS: Updated
	* configure.in:
	- Bumped version to 2.25.90
	- Changed glade requirement to 3.5.7

2009-02-02  Johannes Schmid  <jhs@gnome.org>

	* plugins/file-manager/Makefile.am:
	* plugins/file-manager/file-view.c:
	Show all VCS icons (there was some Makefile problem and a off-by-one in the
	string array.
	(#561370 – there is no way to know which files are in repository and which not.)

2009-02-02  Johannes Schmid  <jhs@gnome.org>

	* plugins/document-manager/anjuta-bookmarks.c:
	* plugins/language-manager/plugin.c (load_languages):
	Cleanup XML-Parser correctly

2009-02-02  Johannes Schmid  <jhs@gnome.org>

	* plugins/file-manager/plugin.c (file_manager_set_default_uri),
	(on_gconf_notify_root), (on_gconf_notify), (file_manager_activate):
	#566800 – Had a random crash in "File manager" preferences pane (avoid
	flickering when a project is open)

2009-02-02  Johannes Schmid  <jhs@gnome.org>

	* libanjuta/interfaces/libanjuta.idl:
	* plugins/document-manager/search-box.c (on_incremental_search),
	(on_search_activated):
	* plugins/language-support-cpp-java/cpp-java-assist.c
	(on_assist_chosen):
	* plugins/scintilla/text_editor.c (iselection_set),
	(iselection_iface_init):
	* plugins/search/search-replace.c (search_and_replace):
	* plugins/search/search-replace_backend.c (create_search_entries):
	* plugins/sourceview/sourceview.c (set_select), (iselect_block),
	(iselect_set), (iselect_iface_init):
	#569908 – completion of symbol shouldn't scroll the editor

2009-02-02  Johannes Schmid  <jhs@gnome.org>

	* manuals/anjuta-manual/C/glade.xml:
	Added missing file
	
	* plugins/project-manager/gbf-project-util.c (error_dialog):
	Show correct markup

2009-02-02  Jens Georg  <mail@jensge.org>

	* plugins/gbf-am/gbf-am-project.c (uri_is_parent), (uri_normalize),
	(uri_get_chrooted_path):
	* plugins/gbf-mkfile/gbf-mkfile-project.c (uri_is_parent),
	(uri_get_chrooted_path):
	
	#511589 - fix c&p error in uri_is_parent; fix uri_get_chrooted_path to 
	return paths starting with "/"

2009-02-02  Carl-Anton Ingmarsson  <ca.ingmarsson@gmail.com>

	* plugins/file-manager/file-manager.glade:
	* plugins/file-manager/file-model.c
	(file_model_vcs_status_callback), (file_model_set_property),
	(file_model_get_property), (file_model_class_init):
	* plugins/file-manager/plugin.c (on_gconf_notify),
	(file_manager_activate):
	#570136 – add option to not show unversioned files

2009-02-02   Pavel Kostyuchenko  <ShprotX@gmail.com>

	* manuals/anjuta-manual/C/anjuta-manual.xml:
	* manuals/anjuta-manual/Makefile.am:
	* plugins/glade/plugin.c (set_default_resource_target),
	(on_default_resource_target_changed), (ipreferences_unmerge):
	Glade manual and misc fixes:
	542412 – GSoc: Glade3 integration

2009-02-02  Johannes Schmid  <jhs@gnome.org>

	* plugins/debug-manager/sharedlib.c (destroy_sharedlibs_gui):
	* plugins/debug-manager/signals.c (destroy_signals_gui):
	* plugins/document-manager/anjuta-docman.c
	(anjuta_docman_remove_document):
	Don't destroy widgets where you don't own a reference (fixes some gtk-criticals)

2009-02-01  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/message-view/plugin.c,
	plugins/message-view/message-view.c,
	plugins/message-view/message-view.h,
	plugins/message-view/anjuta-message-manager.ui:
	Fix #567728 – Copypasting build errors, messages and warnings

2009-02-01  Johannes Schmid  <jhs@gnome.org>

	* libanjuta/anjuta-ui.c (anjuta_ui_init),
	(anjuta_ui_add_action_group), (anjuta_ui_get_accel_editor),
	(anjuta_ui_unload_accels):
	#564276 – useless checkbox next to action groups in Shortcuts view
	
	* libanjuta/anjuta-vcs-status.h:
	* plugins/file-manager/file-model.c (get_vcs_emblem),
	(file_model_vcs_status_callback):
	* plugins/file-manager/file-view.c:
	* plugins/subversion/subversion-vcs-interface.c
	(subversion_ivcs_query_status):
	* plugins/subversion/svn-status-command.c (on_svn_status_notify):
	* plugins/subversion/svn-status.c (svn_status_get_vcs_status):
	
	Show more file stati

2009-02-01  Johannes Schmid  <jhs@gnome.org>

	* plugins/Makefile.am:
	#514609 – install-data-hook problem on Gentoo

2009-02-01  Johannes Schmid  <jhs@gnome.org>

	* plugins/document-manager/action-callbacks.c:
	* plugins/document-manager/anjuta-document-manager.ui:
	#563499 – Goto Matching Brace and other commands missing in GtkSourceView editor
	
	* plugins/document-manager/plugin.c
	(update_document_ui_interface_items), (create_highlight_submenu):
	#564272 – Highlight Mode menu should indicate current mode

2009-02-01  Johannes Schmid  <jhs@gnome.org>

	* plugins/sourceview/sourceview.c
	(sourceview_create_highligth_indic):
	#567030 – gtksourceview editor should underline warnings

2009-02-01  Johannes Schmid  <jhs@gnome.org>

	* plugins/language-support-cpp-java/cpp-java-assist.c
	(cpp_java_assist_create_word_completion_cache):
	Make auto-completion working for non-local project symbol. Still depends
	on a better search interface for the symbol-db to also show local symbols
	
	* plugins/sourceview/anjuta-editor-sourceview.glade:
	* plugins/sourceview/sourceview-io.c (sourceview_io_save_as):
	#561094 – Creation of backup files can't be disabled using gtksourceview

2009-02-01  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/profiler/profiler.glade,
	plugins/tools/tool.c,
	plugins/build-basic-autotools/plugin.c,
	plugins/gtodo/preferences.c:
	Fix #569585 – translation issues, typos

2009-02-01  Carl-Anton Ingmarsson  <ca.ingmarsson@gmail.com>

	reviewed by: Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/file-loader/plugin.c:
	Fix #570034 – the open ToolbarItem is named "Open recent file"

2009-02-01  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/gtodo/export.c:
	Fix #570056 – version mismatch for dependency gtk+

2009-01-31  Sébastien Granjoux  <seb.sfo@free.fr>

	* libanjuta/anjuta-plugin-manager.c:
	Fix #567846 – A lot of g_warning-s when starting up Anjuta

2009-01-31  Adam Dingle  <adam@medovina.org>

	reviewed by: Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/gbf-am/gbf-am-parse.in:
	Partially fixed #565323 (unable to create a project from WebKit source).

2009-01-31  Carl-Anton Ingmarsson  <ca.ingmarsson@gmail.com>

	reviewed by: Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/gtodo/libgtodo.c:
	Fix #570014 – invalid print of uninitalized value

2009-01-31  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/debug-manager/sharedlib.c,
	plugins/debug-manager/sharedlib.h,
	plugins/debug-manager/signals.c,
	plugins/debug-manager/signals.h,
	plugins/debug-manager/plugin.c:
	Fix some warnings due to the previous patch

2009-01-31  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/file-loader/plugin.c,
	plugins/patch/patch-plugin.c,
	plugins/gtodo/libgtodo.c,
	plugins/gtodo/libgtodo.h,
	plugins/gtodo/todo_db.c,
	plugins/gtodo/add_edit_item.c,
	plugins/gtodo/egg-datetime.c,
	plugins/project-manager/plugin.c,
	plugins/document-manager/anjuta-docman.c,
	plugins/glade/designer-associations.c:
	Fix #560857 – GNOME Goal: Remove deprecated GLib symbols

2009-01-31  Sébastien Granjoux  <seb.sfo@free.fr>

	* (added) www/htdocs/update_news.html:
	Add a small script to update news on the web site main page

2009-01-31  Adam Dingle  <adam@medovina.org>

	reviewed by: Sébastien Granjoux  <seb.sfo@free.fr>

	* www/htdocs/anjuta_news.html:
	* www/htdocs/authors.php:
	* www/htdocs/development.php:
	* www/htdocs/downloads.php:
	* www/htdocs/features.php:
	* www/htdocs/home.php:
	* www/htdocs/tasks.php:
	Copy edited Web pages, making numerous small fixes to grammar and
	English usage.

2009-01-31  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/plugin.c (goto_file_tag):
	fixed #567361 – allow me to jump to declaration in external package header

2009-01-31  Jens Georg  <mail@jensge.org>

	reviewed by: Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/debug-manager/Makefile.am:
	* plugins/debug-manager/anjuta-debug-manager.ui:
	* plugins/debug-manager/disassemble.c:
	* plugins/debug-manager/plugin.c (dma_plugin_activate):
	* plugins/debug-manager/registers.c:
	* plugins/debug-manager/registers.h:
	* plugins/debug-manager/sharedlib.c (sharedlibs_update),
	(sharedlibs_update_controls), (create_sharedlibs_menu),
	(sharedlibs_ui_create_treeview_and_store), (create_sharedlibs_gui),
	(sharedlibs_new), (sharedlibs_clear), (sharedlibs_free):
	* plugins/debug-manager/sharedlib.h:
	* plugins/debug-manager/signals.c (signals_update_controls),
	(signals_update), (on_signals_send_activate), (on_signals_event),
	(on_column_toggled), (signals_add_toggle_column),
	(signals_create_list_store_and_treeview), (create_signals_gui),
	(signals_new), (signals_clear), (signals_free):
	* plugins/debug-manager/signals.h:
	Remove GnomeDialog and GnomeMenuShell as well as GtkCList from signals
	and sharedlibs window
	#513156 – Get rid of libgnome(ui)

	* manuals/build-basic-autotools/Makefile.am:
	* plugins/build-basic-autotools/executer.c (execute_program):
	#513156 – Get rid of libgnome(ui)

2008-12-31  Carl-Anton Ingmarsson  <ca.ingmarsson@gmail.com>

	reviewed by: Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/terminal/terminal.c:
	Fix #569857 – terminal copy/paste doesn't work

2009-01-31  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/plugin.c (on_system_scan_package_start),
	(on_system_scan_package_end), (on_system_single_file_scan_end),
	(do_check_offline_files_changed), (on_project_root_removed):
	* plugins/symbol-db/symbol-db-engine-core.c
	(symbol_db_engine_add_new_files):
	* plugins/symbol-db/symbol-db-system.c
	(prepare_files_to_be_scanned), (sdb_system_do_scan_package_1),
	(sdb_system_do_scan_next_package), (sdb_system_do_engine_scan),
	(on_pkg_config_exit), (symbol_db_system_parse_aborted_package):
	partially fixed #566209 – "generate inhertances..." 
	progress bar doesn't disappear
	Improved global package scanning. Now the queue of scannable packages 
	shouldn't block anymore.

2009-01-30  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/scintilla/text_editor.c,
	plugins/scintilla/text_editor.h,
	plugins/scintilla/text_editor_cbs.c,
	plugins/sourceview/sourceview-io.c,
	plugins/sourceview/sourceview-io.h,
	plugins/sourceview/sourceview-private.h,
	plugins/sourceview/sourceview.h,
	plugins/sourceview/sourceview.c,
	plugins/glade/anjuta-design-document.c,
	plugins/glade/plugin.c,
	plugins/document-manager/plugin.c,
	plugins/document-manager/anjuta-docman.c,
	plugins/document-manager/action-callbacks.c,
	libanjuta/interfaces/libanjuta.idl:
	Move message area code from document manager to each editor plugin
	Rename save_point signal to update_save_ui and make it more general
	Add ianjuta_file_savable_is_conflict function to disable autosave
	Fix a crash when having deleted file document
	Fix #549958 – user is not notified if a file is removed from
	filesystem

2009-01-30  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/plugin.c:
	added ellipsis to Find Symbol menu.

2009-01-29  Johannes Schmid  <jhs@gnome.org>

	* libanjuta/interfaces/libanjuta.idl:
	* plugins/glade/anjuta-design-document.c:
	* plugins/scintilla/text_editor.c (text_editor_save_file):
	* plugins/sourceview/sourceview.c (on_save_failed):
	Emit saved(NULL) when file-saving fails.
	#567206 – Build doesn't start if auto-save fails
	
	* plugins/symbol-db/plugin.c (on_find_symbol):
	#357275 – allow user to jump directly to Symbols / Search

2009-01-28  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/anjuta-symbol-db-plugin.ui:
	* plugins/symbol-db/plugin.c (on_find_symbol),
	(symbol_db_activate):
	* plugins/symbol-db/plugin.h:
	* plugins/symbol-db/symbol-db-view-search.c (sdb_view_search_init),
	(symbol_db_view_search_get_entry):
	* plugins/symbol-db/symbol-db-view-search.h:
	fixed #357275 – allow user to jump directly to Symbols / Search

2009-01-28  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/scintilla/text_editor.h,
	plugins/scintilla/text_editor.c:
	Fix #491491 – Auto save's problem (automatic reload was a bad idea)

2009-01-27  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/document-manager/file_history.c,
	plugins/document-manager/file_history.h,
	plugins/document-manager/anjuta-docman.c:
	Fix #357820 – Goto / Previous history should return to previous cursor
	position

2009-01-27  Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>

	* plugins/glade/anjuta-design-document.c
	(anjuta_design_document_set_design_view_parent):
	#569225 – glade-plugin build error

2009-01-27  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/plugin.c (enable_view_signals),
	(on_session_load), (goto_local_tree_iter), (goto_global_tree_iter),
	(on_treesearch_symbol_selected_event),
	(on_local_treeview_row_activated),
	(on_global_treeview_row_activated),
	(on_global_treeview_row_expanded),
	(on_global_treeview_row_collapsed), (on_project_element_added),
	(on_project_element_removed), (on_project_single_file_scan_end),
	(clear_project_progress_bar),
	(on_check_offline_single_file_scan_end),
	(do_import_system_sources_after_abort),
	(do_import_project_sources_after_abort),
	(do_import_project_sources), (do_import_system_sources),
	(do_check_languages_count), (do_check_offline_files_changed),
	(on_scan_end_manager), (symbol_db_activate):
	Fixed #568493 – Anjuta freezes after moving around large portions of code.

2009-01-26  Johannes Schmid  <jhs@gnome.org>

	Patch from Pavel Kostyuchenko:
	* libanjuta/interfaces/libanjuta.idl:
	* plugins/glade/Makefile.am:
	* plugins/glade/anjuta-design-document.c
	(anjuta_design_document_set_design_view_parent),
	(anjuta_design_document_design_view_destroy_cb),
	(anjuta_design_document_design_view_parent_set_cb),
	(anjuta_design_document_set_design_view),
	(anjuta_design_document_get_design_view),
	(anjuta_design_document_set_property),
	(anjuta_design_document_get_property),
	(anjuta_design_document_parent_set_cb),
	(anjuta_design_document_constructed),
	(anjuta_design_document_dispose),
	(anjuta_design_document_class_init), (anjuta_design_document_new),
	(ifile_get_file):
	* plugins/glade/anjuta-design-document.h:
	* plugins/glade/anjuta-glade.plugin.in:
	* plugins/glade/anjuta-glade.ui:
	* plugins/glade/plugin.c (plugin_glade_error_quark),
	(designer_associations_raise_editor_priority),
	(designer_associations_raise_designer_priority),
	(value_added_current_editor), (value_removed_current_editor),
	(value_added_project_root_uri), (value_removed_project_root_uri),
	(value_added_pm_current_uri), (value_removed_pm_current_uri),
	(update_current_project), (glade_update_ui),
	(get_page_num_for_design_view), (on_document_destroy),
	(on_shell_destroy), (get_design_document_from_project),
	(get_project_from_design_document), (on_glade_project_changed),
	(switch_back_to_editor), (on_designer_notebook_enter_notify),
	(on_designer_layout_switch_page),
	(on_designer_layout_page_child_remove), (designer_layout_add_doc),
	(desinger_layout_add_all_docs), (designer_layout_remove_doc),
	(desinger_layout_remove_all_docs),
	(update_separated_designer_layout),
	(glade_plugin_save_preferences),
	(glade_plugin_do_save_associations),
	(glade_plugin_save_associations), (update_actions),
	(claim_xml_string), (glade_plugin_load_preferences),
	(glade_plugin_load_associations), (glade_plugin_save_doc_list),
	(on_session_save), (on_session_load),
	(inspector_item_activated_cb), (on_glade_resource_removed),
	(on_glade_resource_added), (find_root_gwidget),
	(get_uri_from_ianjuta_file), (insert_code_block_into_editor),
	(format_handler_stub), (validate_position),
	(do_insert_handler_stub_C), (do_insert_handler_stub_Python),
	(do_insert_handler_stub_Vala), (find_auto_position),
	(find_editor_by_file), (find_designer_by_file),
	(designer_associations_match_editor),
	(designer_associations_match_designer), (dump_items_list),
	(get_associated_items_for_designer),
	(get_associated_items_for_editor), (find_valid_editor),
	(find_valid_designer), (get_associated_editor_for_doc),
	(gse_get_signal_name), (get_auto_position), (forget_last_signal),
	(validate_last_signal), (glade_plugin_fetch_last_signal),
	(language_name_to_id), (insert_handler_stub_auto),
	(on_insert_handler_stub_auto), (insert_handler_stub_manual),
	(on_insert_handler_stub_manual), (goto_symbol),
	(on_handler_editing_done), (switch_designer_and_editor),
	(on_switch_designer_and_editor), (associate_designer_and_editor),
	(on_associate_designer_and_editor), (glade_plugin_get_glade_xml),
	(gtk_tree_selection_get_one_selected),
	(associations_dialog_mark_all_fields_as_unchanged),
	(associations_dialog_load_all_field),
	(associations_dialog_clear_all_field),
	(associations_dialog_update_options_editor),
	(fill_position_type_combobox_model),
	(associations_dialog_update_model),
	(associations_dialog_update_row), (get_string_from_entry),
	(associations_dialog_commit_all_fields),
	(associations_dialog_options_save_cb),
	(associations_dialog_options_revert_cb),
	(associations_dialog_mark_field_as_changed),
	(associations_dialog_spec_regexp_changed),
	(associations_dialog_widget_name_changed),
	(associations_dialog_spec_regexp_toggled),
	(associations_dialog_widget_name_toggled),
	(associations_dialog_position_type_changed_cb),
	(associations_dialog_button_delete_cb),
	(glade_plugin_hide_associations_dialog),
	(associations_dialog_button_close_cb),
	(associations_dialog_button_save_cb),
	(associations_dialog_delete_event_cb),
	(associations_dialog_selection_changed),
	(associations_dialog_insert_text_column),
	(show_associations_dialog), (on_show_associations_dialog),
	(on_associations_changed), (doc_list_changed),
	(associations_dialog_button_associate_cb), (gse_editing_started),
	(handler_store_update), (append_symbols_to_store),
	(on_handler_editing_started), (make_default_handler_name),
	(on_signal_row_activated), (search_for_default_signal),
	(glade_widget_adaptor_get_default_signal),
	(on_glade_widget_2button_press), (on_glade_designer_widget_event),
	(on_glade_designer_widget_event_after),
	(on_designer_doc_save_point), (glade_plugin_add_project),
	(set_default_resource_target), (on_set_default_resource_target),
	(on_glade_verify_project), (on_glade_show_version_dialog),
	(glade_plugin_sync_current_doc_with_project),
	(on_glade_layout_close), (on_glade_layout_save),
	(on_glade_layout_undo), (on_glade_layout_redo),
	(on_glade_layout_cut), (on_glade_layout_copy),
	(on_glade_layout_paste), (on_glade_layout_delete),
	(create_toolbar), (on_gse_week_ref), (on_gse_selection_changed),
	(on_gse_focus_in), (on_gse_signal_data_free), (on_gse_created),
	(on_gse_created_after), (disconnect_glade_signal_editors),
	(activate_plugin), (glade_close_all), (deactivate_plugin),
	(ifile_open), (iwizard_activate),
	(on_set_default_data_signal_template0),
	(on_set_default_data_signal_template1),
	(on_insert_handler_on_edit_toggled),
	(on_auto_add_resource_toggled),
	(on_separated_designer_layout_toggled),
	(on_insert_handler_on_edit_changed),
	(on_auto_add_resource_changed),
	(on_default_handler_template_changed),
	(on_separated_designer_layout_changed), (update_prefs_page),
	(remove_widget_from_parent), (glade_plugin_preferences_add_page),
	(on_preferences_default_resource_entry_focus_out),
	(on_preferences_default_resource_entry_activate),
	(on_default_resource_target_changed), (ipreferences_merge),
	(ipreferences_unmerge), (ipreferences_iface_init):
	* plugins/glade/plugin.h:
	* plugins/project-manager/plugin.c
	(iproject_manager_get_selected_id),
	(iproject_manager_add_source_quiet), (iproject_manager_iface_init):
	#542412 GSoc: Glade3 integration

	* configure.in:
	Print correct message when enabling/disabling scintilla plugin
	Bumped glade3 requirement to 3.5.6
	
	* plugins/gtodo/tray-icon.c:
	* plugins/gtodo/tray-icon.h:
	Removed unnecessary files

2009-01-25  Jens Georg  <jens@einstein>

	Reviewed by Sébastien Granjoux <seb.sfo@free.fr>

	* plugins/debug-manager/start.c,
	plugins/debug-manager/plugin.c,
	plugins/debug-manager/threads.c,
	plugins/debug-manager/stack_trace.c,
	plugins/debug-manager/breakpoints.c: 
	fix #511589 for debug-manager plugin

2009-01-25  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/scintilla/text_editor.h,
	plugins/scintilla/text_editor.c:
	Fix #491491 – Auto save's problem (reload automatically)
	Fix #549958 – user is not notified if a file is removed from
	filesystem

	* plugins/document-manager/anjuta-docman.c:
	Display a warning icon when a message area is displayed

	* src/anjuta.c:
	Open file pass on command line

2009-01-24  Jens Georg  <mail@jensge.org>

	* plugins/class-inheritance/class-inherit.c
	(cls_inherit_draw_expanded_node):
	
	use g_free instead of g_object_unref to free object gchar * data 
	(fixes crash in class inheritance plugin)

2009-01-24  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/plugin.c (on_project_element_added),
	(do_import_project_sources_after_abort),
	(do_import_project_sources), (do_check_offline_files_changed),
	(on_scan_end_manager):
	Disabled receiving of insert/remove signals even for global tab. This should
	avoid useless parsing of signals on big project sources movements.
	Should also fix #568493 - Anjuta freezes after moving around large portions 
	of code.

2009-01-24  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/project-wizard/templates/gtk/src/callbacks.c,
	plugins/project-wizard/templates/gtk/src/project.glade,
	plugins/project-wizard/templates/gtk/src/callbacks.h,
	plugins/project-wizard/templates/gnome/src/callbacks.c,
	plugins/project-wizard/templates/gnome/src/project.glade,
	plugins/project-wizard/templates/gnome/src/callbacks.h,
	plugins/project-wizard/templates/gnome/src/main.c:
	Fix #564308 – autogenerated gtk/gnome program does not exit

2009-01-24  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/gdb/debugger.c:
	Fix #565188 – Invalid write on deinitialization

2009-01-24  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/project-wizard/druid.c,
	plugins/project-wizard/parser.c,
	plugins/project-wizard/header.c,
	plugins/project-wizard/header.h,
	manuals/reference/libanjuta/project-wizard-format.sgml:
	Allow to read project templates from user defined directories
	Document this improvement

	* manuals/anjuta-manual/C/build.xml:
	Fix error in xml tags

	* plugins/scintilla/scintilla/Makefile.am,
	manuals/reference/libanjuta/Makefile.am:
	Fix makefile after scintilla move

	* plugins/project-wizard/appwizard.png:
	Use a transparent background for project wizard side image

2009-01-23  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/images/Makefile.am:
	* (added) plugins/symbol-db/images/element-interface-24.png
	* (added) plugins/symbol-db/images/element-method-24.png
	* plugins/symbol-db/plugin.c (register_stock_icons):
	added some icons for popup menu.	

2009-01-23  Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>

	reviewed by: Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/plugin.c (on_session_load), (on_project_root_added):
	fixed #568119 – Automatic scanning of system-packages doesn't work

2009-01-20  Sébastien Granjoux  <seb.sfo@free.fr>

	* manuals/anjuta-manual/C/debugger.xml:
	Fix #568381 – Website manual chapter 5. Debugging

2009-01-21  Arun Tejasvi Chaganty  <arunchaganty@gmail.com>

	reviewed by: Sébastien Granjoux  <seb.sfo@free.fr>

	* src/anjuta-app.c
	libanjuta/anjuta-ui.h
	libanjuta/anjuta-ui.c:
	Fix #548310 – Allow plugins to load/save key accelerators
	Needed for vim plugin

2009-01-21  Michael Trimarchi  <michael@evidence.eu.com>

	reviewed by: Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/scratchbox/plugin.c,
	plugins/scratchbox/anjuta-scratchbox.glade,
	plugins/scratchbox/anjuta-scratchbox-48.png,
	(added) plugins/scratchbox/anjuta-scratchbox-panel.png,
	plugins/scratchbox/anjuta-scratchbox.plugin.in,
	plugins/scratchbox/Makefile.am:
	Fix bug #565320 – sbox2 support for anjuta

2009-01-21  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/symbol-db-engine-utils.c
	(sdb_util_load_symbol_pixbufs):
	fixed warning for "prototype protected"

2009-01-20  Johannes Schmid  <jhs@gnome.org>

	* configure.in:
	* plugins/Makefile.am:
	* plugins/editor/.cvsignore:
	* plugins/editor/Makefile.am:
	* plugins/editor/aneditor-autocomplete.cxx:
	* plugins/editor/aneditor-calltip.cxx:
	* plugins/editor/aneditor-indent.cxx:
	* plugins/editor/aneditor-priv.h:
	* plugins/editor/aneditor.cxx:
	* plugins/editor/aneditor.h:
	* plugins/editor/anjuta-bookmark-16.xpm:
	* plugins/editor/anjuta-breakpoint-disabled-16.xpm:
	* plugins/editor/anjuta-breakpoint-enabled-16.xpm:
	* plugins/editor/anjuta-editor-scintilla-plugin.svg:
	* plugins/editor/anjuta-editor-scintilla.glade:
	* plugins/editor/anjuta-editor.plugin.in:
	* plugins/editor/anjuta-linemark-16.xpm:
	* plugins/editor/anjuta-pcmark-16.xpm:
	* plugins/editor/lexer.h:
	* plugins/editor/plugin.c:
	* plugins/editor/plugin.h:
	* plugins/editor/print.c:
	* plugins/editor/print.h:
	* plugins/editor/properties.cxx:
	* plugins/editor/properties.h:
	* plugins/editor/properties/.cvsignore:
	* plugins/editor/properties/Makefile.am:
	* plugins/editor/properties/anjuta.properties:
	* plugins/editor/properties/styles.properties:
	* plugins/editor/properties/user.properties:
	* plugins/editor/properties_cxx.h:
	* plugins/editor/scintilla/.cvsignore:
	* plugins/editor/scintilla/AutoComplete.cxx:
	* plugins/editor/scintilla/AutoComplete.h:
	* plugins/editor/scintilla/CallTip.cxx:
	* plugins/editor/scintilla/CallTip.h:
	* plugins/editor/scintilla/CellBuffer.cxx:
	* plugins/editor/scintilla/CellBuffer.h:
	* plugins/editor/scintilla/CharClassify.cxx:
	* plugins/editor/scintilla/CharClassify.h:
	* plugins/editor/scintilla/CharacterSet.h:
	* plugins/editor/scintilla/ContractionState.cxx:
	* plugins/editor/scintilla/ContractionState.h:
	* plugins/editor/scintilla/Converter.h:
	* plugins/editor/scintilla/Decoration.cxx:
	* plugins/editor/scintilla/Decoration.h:
	* plugins/editor/scintilla/Document.cxx:
	* plugins/editor/scintilla/Document.h:
	* plugins/editor/scintilla/DocumentAccessor.cxx:
	* plugins/editor/scintilla/DocumentAccessor.h:
	* plugins/editor/scintilla/Editor.cxx:
	* plugins/editor/scintilla/Editor.h:
	* plugins/editor/scintilla/ExternalLexer.cxx:
	* plugins/editor/scintilla/ExternalLexer.h:
	* plugins/editor/scintilla/Indicator.cxx:
	* plugins/editor/scintilla/Indicator.h:
	* plugins/editor/scintilla/KeyMap.cxx:
	* plugins/editor/scintilla/KeyMap.h:
	* plugins/editor/scintilla/KeyWords.cxx:
	* plugins/editor/scintilla/LexAPDL.cxx:
	* plugins/editor/scintilla/LexASY.cxx:
	* plugins/editor/scintilla/LexAU3.cxx:
	* plugins/editor/scintilla/LexAVE.cxx:
	* plugins/editor/scintilla/LexAbaqus.cxx:
	* plugins/editor/scintilla/LexAda.cxx:
	* plugins/editor/scintilla/LexAsm.cxx:
	* plugins/editor/scintilla/LexAsn1.cxx:
	* plugins/editor/scintilla/LexBaan.cxx:
	* plugins/editor/scintilla/LexBash.cxx:
	* plugins/editor/scintilla/LexBasic.cxx:
	* plugins/editor/scintilla/LexBullant.cxx:
	* plugins/editor/scintilla/LexCLW.cxx:
	* plugins/editor/scintilla/LexCPP.cxx:
	* plugins/editor/scintilla/LexCSS.cxx:
	* plugins/editor/scintilla/LexCaml.cxx:
	* plugins/editor/scintilla/LexCmake.cxx:
	* plugins/editor/scintilla/LexConf.cxx:
	* plugins/editor/scintilla/LexCrontab.cxx:
	* plugins/editor/scintilla/LexCsound.cxx:
	* plugins/editor/scintilla/LexD.cxx:
	* plugins/editor/scintilla/LexEScript.cxx:
	* plugins/editor/scintilla/LexEiffel.cxx:
	* plugins/editor/scintilla/LexErlang.cxx:
	* plugins/editor/scintilla/LexFlagship.cxx:
	* plugins/editor/scintilla/LexForth.cxx:
	* plugins/editor/scintilla/LexFortran.cxx:
	* plugins/editor/scintilla/LexGAP.cxx:
	* plugins/editor/scintilla/LexGui4Cli.cxx:
	* plugins/editor/scintilla/LexHTML.cxx:
	* plugins/editor/scintilla/LexHaskell.cxx:
	* plugins/editor/scintilla/LexInno.cxx:
	* plugins/editor/scintilla/LexKix.cxx:
	* plugins/editor/scintilla/LexLisp.cxx:
	* plugins/editor/scintilla/LexLout.cxx:
	* plugins/editor/scintilla/LexLua.cxx:
	* plugins/editor/scintilla/LexMMIXAL.cxx:
	* plugins/editor/scintilla/LexMPT.cxx:
	* plugins/editor/scintilla/LexMSSQL.cxx:
	* plugins/editor/scintilla/LexMagik.cxx:
	* plugins/editor/scintilla/LexMatlab.cxx:
	* plugins/editor/scintilla/LexMetapost.cxx:
	* plugins/editor/scintilla/LexMySQL.cxx:
	* plugins/editor/scintilla/LexNsis.cxx:
	* plugins/editor/scintilla/LexOpal.cxx:
	* plugins/editor/scintilla/LexOthers.cxx:
	* plugins/editor/scintilla/LexPB.cxx:
	* plugins/editor/scintilla/LexPLM.cxx:
	* plugins/editor/scintilla/LexPOV.cxx:
	* plugins/editor/scintilla/LexPS.cxx:
	* plugins/editor/scintilla/LexPascal.cxx:
	* plugins/editor/scintilla/LexPerl.cxx:
	* plugins/editor/scintilla/LexPowerShell.cxx:
	* plugins/editor/scintilla/LexProgress.cxx:
	* plugins/editor/scintilla/LexPython.cxx:
	* plugins/editor/scintilla/LexR.cxx:
	* plugins/editor/scintilla/LexRebol.cxx:
	* plugins/editor/scintilla/LexRuby.cxx:
	* plugins/editor/scintilla/LexSQL.cxx:
	* plugins/editor/scintilla/LexScriptol.cxx:
	* plugins/editor/scintilla/LexSmalltalk.cxx:
	* plugins/editor/scintilla/LexSpecman.cxx:
	* plugins/editor/scintilla/LexSpice.cxx:
	* plugins/editor/scintilla/LexTADS3.cxx:
	* plugins/editor/scintilla/LexTCL.cxx:
	* plugins/editor/scintilla/LexTeX.cxx:
	* plugins/editor/scintilla/LexVB.cxx:
	* plugins/editor/scintilla/LexVHDL.cxx:
	* plugins/editor/scintilla/LexVerilog.cxx:
	* plugins/editor/scintilla/LexYAML.cxx:
	* plugins/editor/scintilla/LineMarker.cxx:
	* plugins/editor/scintilla/LineMarker.h:
	* plugins/editor/scintilla/Makefile.am:
	* plugins/editor/scintilla/Partitioning.h:
	* plugins/editor/scintilla/PlatGTK.cxx:
	* plugins/editor/scintilla/PositionCache.cxx:
	* plugins/editor/scintilla/PositionCache.h:
	* plugins/editor/scintilla/PropSet.cxx:
	* plugins/editor/scintilla/README.sync:
	* plugins/editor/scintilla/RESearch.cxx:
	* plugins/editor/scintilla/RESearch.h:
	* plugins/editor/scintilla/RunStyles.cxx:
	* plugins/editor/scintilla/RunStyles.h:
	* plugins/editor/scintilla/SVector.h:
	* plugins/editor/scintilla/ScintillaBase.cxx:
	* plugins/editor/scintilla/ScintillaBase.h:
	* plugins/editor/scintilla/ScintillaGTK.cxx:
	* plugins/editor/scintilla/SplitVector.h:
	* plugins/editor/scintilla/Style.cxx:
	* plugins/editor/scintilla/Style.h:
	* plugins/editor/scintilla/StyleContext.cxx:
	* plugins/editor/scintilla/StyleContext.h:
	* plugins/editor/scintilla/UniConversion.cxx:
	* plugins/editor/scintilla/UniConversion.h:
	* plugins/editor/scintilla/ViewStyle.cxx:
	* plugins/editor/scintilla/ViewStyle.h:
	* plugins/editor/scintilla/WindowAccessor.cxx:
	* plugins/editor/scintilla/XPM.cxx:
	* plugins/editor/scintilla/XPM.h:
	* plugins/editor/scintilla/include/.cvsignore:
	* plugins/editor/scintilla/include/Accessor.h:
	* plugins/editor/scintilla/include/Face.py:
	* plugins/editor/scintilla/include/HFacer.py:
	* plugins/editor/scintilla/include/KeyWords.h:
	* plugins/editor/scintilla/include/Makefile.am:
	* plugins/editor/scintilla/include/Platform.h:
	* plugins/editor/scintilla/include/PropSet.h:
	* plugins/editor/scintilla/include/SString.h:
	* plugins/editor/scintilla/include/SciLexer.h:
	* plugins/editor/scintilla/include/Scintilla.h:
	* plugins/editor/scintilla/include/Scintilla.iface:
	* plugins/editor/scintilla/include/ScintillaWidget.h:
	* plugins/editor/scintilla/include/WindowAccessor.h:
	* plugins/editor/scintilla/lexers.make:
	* plugins/editor/scintilla/patches/scintilla-64-bit.diff:
	* plugins/editor/scintilla/patches/scintilla-pango-always.diff:
	* plugins/editor/scintilla/patches/scintilla-string-fix.diff:
	* plugins/editor/scintilla/scintilla-marshal.c:
	* plugins/editor/scintilla/scintilla-marshal.h:
	* plugins/editor/scintilla/scintilla-marshal.list:
	* plugins/editor/scintilla/test-scintilla.cxx:
	* plugins/editor/scintilla/update-properties.pl:
	* plugins/editor/style-editor.c:
	* plugins/editor/style-editor.h:
	* plugins/editor/text-editor-iterable.c:
	* plugins/editor/text-editor-iterable.h:
	* plugins/editor/text_editor.c:
	* plugins/editor/text_editor.h:
	* plugins/editor/text_editor_cbs.c:
	* plugins/editor/text_editor_cbs.h:
	* plugins/editor/text_editor_prefs.c:
	* plugins/editor/text_editor_prefs.h:
	* plugins/gbf-am/gbf-am.plugin.in:
	* plugins/gbf-mkfile/gbf-mkfile.plugin.in:
	* plugins/scintilla/anjuta-editor.plugin.in:
	* plugins/sourceview/sourceview.plugin.in:
	* src/Makefile.am:

  Reenabled scintilla by default and moved it from
  plugins/editor to plugins/scintilla. Also updated the
  plugin descriptions

2009-01-20  Jens Georg  <mail@jensge.org>
 
 	* plugins/gtodo/gtodo-plain.xsl: 
 	export only non-empty (contains at least one undone item)
 	categories
 	* TODO: Updated

2009-01-20  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/editor/print.h,
	plugins/editor/aneditor.cxx,
	plugins/editor/print.c,
	configure.in:
	Fix #564659 – Port anjuta to use Gtk+ print instead of deprecated
	gnomeprint

	* plugins/editor/text_editor.c:
	Fix one debugging error message

	* plugins/editor/Makefile.am:
	Add log domain

2009-01-20  Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>

	* plugins/terminal/terminal.c (terminal_set_preferences),
	(preferences_changed), (terminal_child_exited_cb),
	(terminal_execute), (init_shell), (terminal_focus_cb),
	(terminal_keypress_cb), (terminal_click_cb),
	(on_project_root_added), (create_terminal), (create_box),
	(terminal_create), (activate_plugin), (deactivate_plugin),
	(terminal_plugin_instance_init):
	
	#566696 – Make the terminal plugin open in the directory of the project

2009-01-20  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/symbol-db-engine-core.c:
	* plugins/symbol-db/symbol-db-engine-queries.c:
	fixed #568254 – build fail on symbol-db-engine-core.c with suncc

2009-01-20  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/project-manager/gbf-tree-data.c:
	build fix, missing include.

=== Anjuta 2.25.5 ===

2009-01-20  Johannes Schmid  <jhs@gnome.org>

	* configure.in: Fixed gnomeprint dependency (hopefully the last release that requires it)

2009-01-19  Johannes Schmid  <jhs@gnome.org>

	* NEWS: 
	* configure.in: Updated for release

2009-01-19  Johannes Schmid  <jhs@gnome.org>

	* plugins/project-manager/gbf-project-view.c
	(gbf_project_view_instance_init):
	#567967 – build fail with sun cc because zero-sized struct

2009-01-20  Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>

	reviewed by: Johannes Schmid <jhs@gnome.org>
	
	* plugins/debug-manager/breakpoints.c (create_breakpoint_gui):
	* plugins/debug-manager/plugin.c (dma_plugin_activate):
	
	#568068 – critical warnings on activation of debug-manager

2009-01-19  Jens Georg  <mail@jensge.org>
 
 	* plugins/gtodo/Makefile.am:
 	* plugins/gtodo/callback.c (message_box):
	* plugins/gtodo/egg-datetime.c (egg_datetime_get_type),
 	(egg_datetime_set_property):
 	* plugins/gtodo/egg-datetime.h:
 	* plugins/gtodo/export.c (export_gui), (on_file_type_changed_cb),
 	(gtodo_export_gui_create_extra_widget):
 	* plugins/gtodo/interface.c (gtodo_load_settings),
 	(on_export_clicked_cb), (gui_create_todo_widget), (stock_icons):
 	* plugins/gtodo/libgtodo.c (gtodo_client_export):
 	* plugins/gtodo/libgtodo.h:
 	* plugins/gtodo/main.h:
 	* plugins/gtodo/preferences.c (preferences_widget),
 	(pref_gconf_set_notifications):
 	
 	- #531717 - remove tray icon
 	- enable export button which is now able to save to XML, HTML and plaintext
 	- port patches from libegg to eggdatetime.[ch]
 	
 	* TODO: synced with gtodo plugin (now that we have export ;)

2009-01-19  Jens Georg  <mail@jensge.org>

	* configure.in
	* src/main.c
	* plugins/glade/plugin.c
	* src/anjuta.c
	* libanjuta/anjuta-utils.c
	* libanjuta/anjuta-preferences.c
	* libanjuta/anjuta-plugin-manager.c:
	#511589 - port to gio - removing everything that remains

2009-01-19  Jens Georg  <mail@jensge.org>
 
 	* plugins/gbf-mkfile/Makefile.am:
 	* plugins/gbf-mkfile/gbf-mkfile-project.c (uri_is_equal),
 	(uri_is_parent), (uri_normalize), (uri_get_chrooted_path),
 	(xml_new_change_doc), (monitor_cb), (monitor_add),
 	(monitors_setup), (sax_start_element), (spawn_shutdown),
	(spawn_kill_child), (spawn_script), (project_reload),
 	(project_update), (gbf_mkfile_project_set_config),
 	(gbf_mkfile_project_set_group_config),
 	(gbf_mkfile_project_set_target_config), (impl_load), (impl_probe),
 	(impl_add_group), (impl_remove_group), (impl_add_target),
 	(impl_remove_target), (impl_add_source), (impl_remove_source):
 	#511589 - port to gio. Removed resolution of "~" in uris; also
 	fixes a bug creating uris like "file:///a/b/c/a/b/c.c" for file
 	entries 

2009-01-19  Jens Georg  <mail@jensge.org>
 
	reviewed by: <delete if not using a buddy>
 
 	* plugins/gbf-am/Makefile.am:
 	* plugins/gbf-am/gbf-am-project.c (uri_is_equal), (uri_is_parent),
 	(uri_normalize), (uri_get_chrooted_path), (xml_new_change_doc),
 	(monitor_cb), (monitor_add), (monitors_setup), (spawn_shutdown),
 	(spawn_write_child), (spawn_kill_child), (spawn_script),
	(project_reload), (project_update), (gbf_am_project_set_config),
 	(gbf_am_project_set_group_config),
 	(gbf_am_project_set_target_config), (impl_load), (impl_probe),
 	(impl_add_group), (impl_remove_group), (impl_add_target),
 	(impl_remove_target), (impl_add_source), (impl_remove_source):
 	
 	#511589 - port to gio. Removed resolution of "~" in uris 

2009-01-19  Jens Georg <mail@jensge.org>
 
 	* plugins/project-manager/gbf-project-util.c
 	(browse_button_clicked_cb):
 	* plugins/project-manager/gbf-tree-data.c
 	(gbf_tree_data_new_source):
 	* plugins/project-manager/plugin.c (update_title),
 	(on_popup_add_to_project), (project_manager_load_gbf),
 	(get_uri_vfs_type), (get_element_id_from_uri),
 	(iproject_manager_get_element_type), (ifile_open):
 	
 	#511589 - Fix port to GIO of project manager 

2009-01-19  Jens Georg  <mail@jensge.org>
 
 	* plugins/document-manager/Makefile.am:
 	* plugins/glade/anjuta-design-document.c:
 	* plugins/gtodo/Makefile.am:
 	* plugins/indent/indent-util.c (indent_get_buffer):
 	* plugins/patch/plugin.c:
 	* plugins/search/search-replace_backend.c (create_search_entries):
 	* plugins/sourceview/Makefile.am:
 	* plugins/valgrind/preferences.c:
 	* plugins/valgrind/vgdefaultview.c:
 	* plugins/valgrind/vggeneralprefs.c:
 	
 	#511589 - mostly cosmetical changes like removing #include directives, 
 	makefile references etc. 

2009-01-18  Johannes Schmid  <jhs@gnome.org>

	* plugins/file-manager/file-model.c (file_model_update_file):
	Don't show the status of directories

2009-01-18  Johannes Schmid  <jhs@gnome.org>

	* plugins/file-manager/Makefile.am:
	* plugins/file-manager/file-model.c (get_vcs_emblem),
	(file_model_vcs_status_callback), (file_model_update_file),
	(file_model_new):
	* plugins/file-manager/file-model.h:
	* plugins/file-manager/file-view.c (file_view_init):

	Show the vcs status with emblems (from Subclipse/TurtoiseSVN, icons are GPL)

2009-01-17  Johannes Schmid  <jhs@gnome.org>

	* plugins/file-manager/file-model.c (file_model_update_file),
	(on_row_expanded_async), (file_model_refresh):
	#568008 – invalid g_object_unref in file-manager
	(Carl-Anton Ingmarsson)
	
2009-01-17  Johannes Schmid  <jhs@gnome.org>

	* plugins/document-manager/anjuta-bookmarks.c
	(anjuta_bookmarks_add_file), (anjuta_bookmarks_session_save):
	Clear the bookmarks panel when the session is save to avoid adding too many
	bookmarks to the old session.
	
2009-01-17  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/language-support-cpp-java/cpp-java-assist.c
	(cpp_java_assist_show_calltip):
	#568020 – critical warning on bracket completion

2009-01-17  Jens Georg  <mail@jensge.org>

	reviewed by: Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/test/benchmark.c (get_files):
	#511589 – Anjuta uses GNOME-VFS

2009-01-17  James Liggett  <jrliggett@cox.net>

	* plugins/subversion/subversion-log-dialog.c (subversion_show_log),
	(on_log_view_button_clicked), (subversion_log_window_create),
	(on_fm_subversion_log):
	Make the View Log command in the Subversion plugin act immediately when 
	activated from the file manager context menu.
	
	Fixes Bug 565353 – View Log and Diff context menu commands should 
	act immediately

2009-01-16  James Liggett  <jrliggett@cox.net>

	* plugins/subversion/subversion-diff-dialog.c
	(subversion_show_diff), (on_subversion_diff_response),
	(on_fm_subversion_diff):
	When invoked from the file manager's context menu, the Subversion plugin's
	Diff command now works immediately, bypassing the dialog.
	
	Partially fixes Bug 565353 – View Log and Diff context menu commands should 
	act immediately

2009-01-16  Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>

	reviewed by: Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/plugin.c (find_file_line), (goto_file_tag):
	fixed #568028 – goto [declaration|implementation] should prefer the current 
	file.

2009-01-16  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/plugin.c (goto_file_tag):
	* plugins/symbol-db/symbol-db-engine-core.c
	(sdb_engine_execute_unknown_sql), (sdb_engine_ctags_output_thread),
	(sdb_engine_set_defaults_db_parameters),
	(symbol_db_engine_file_exists), (sdb_engine_get_unique_scan_id),
	(sdb_engine_add_new_symbol), (sdb_engine_update_file),
	(on_scan_update_files_symbols_end),
	(symbol_db_engine_update_project_symbols),
	(symbol_db_engine_remove_file),
	(symbol_db_engine_set_db_case_sensitive):
	* plugins/symbol-db/symbol-db-engine-core.h:
	* plugins/symbol-db/symbol-db-engine-priv.h:
	* plugins/symbol-db/symbol-db-engine-queries.c
	(symbol_db_engine_get_class_parents_by_symbol_id),
	(symbol_db_engine_get_class_parents),
	(symbol_db_engine_get_global_members_filtered),
	(symbol_db_engine_get_scope_members_by_symbol_id_filtered),
	(symbol_db_engine_get_scope_members_by_symbol_id),
	(symbol_db_engine_get_scope_members),
	(symbol_db_engine_get_current_scope),
	(symbol_db_engine_get_file_symbols),
	(symbol_db_engine_get_symbol_info_by_id),
	(symbol_db_engine_find_symbol_by_name_pattern),
	(symbol_db_engine_get_parent_scope_id_by_symbol_id),
	(symbol_db_engine_find_symbol_by_name_pattern_filtered),
	(symbol_db_engine_get_files_for_project),
	(symbol_db_engine_get_languages_count),
	(symbol_db_engine_is_language_used):
	* plugins/symbol-db/symbol-db-engine-queries.h:
	* plugins/symbol-db/symbol-db-view-search.c
	(sdb_view_search_model_filter):
	fixed #567060 – symbol search should ignore case.
	Added some macros to manage mutex_lock ().

2008-01-16  Adam Dingle  <adam@medovina.org>

	reviewed by: Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/project-wizard/templates/gnome-applet/Makefile.am.tpl:
	* plugins/project-wizard/templates/terminal/Makefile.am.tpl:
	Fixed #565342 – wizard creates useless dist-hook in Makefile.am

2009-01-16  James Liggett  <jrliggett@cox.net>

	* libanjuta/anjuta-status.c (anjuta_status_progress_pulse):
	Fix Bug 565024 – "Retrieving log..." still displayed after retrieval 
	complete

2009-01-16  James Liggett  <jrliggett@cox.net>

	* plugins/subversion/anjuta-subversion.ui:
	* plugins/subversion/plugin.c:
	* plugins/subversion/subversion-revert-dialog.c
	(on_subversion_revert_response), (on_fm_subversion_revert):
	* plugins/subversion/subversion-revert-dialog.h:
	* plugins/subversion/svn-revert-command.c
	(svn_revert_command_new_list), (svn_revert_command_new_path):
	* plugins/subversion/svn-revert-command.h:
	Fix Bug 564988 – Subversion context menu should have a Revert command

2008-01-15  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/project-manager/plugin.c,
	libanjuta/interfaces/libanjuta.idl:
	Fix #566146 – Critical warning when opening anjuta without a project
	loaded

2008-01-15  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/file-loader/plugin.c:
	Fix #567222 – Please add comments for translators

	* plugins/cvs-plugin/anjuta-cvs-plugin.glade:
	Fix #567216 – Don't leave trailing spaces

	* plugins/search/search-replace.c:
	Fix #567226 – Don't leave trailing spaces

	* libanjuta/anjuta-plugin-manager.c,
	libanjuta/anjuta-utils.c:
	Fix #567224 – Don't leave trailing spaces

	* plugins/project-wizard/anjuta-project-wizard.glade:
	Fix #567881 – Strange strings

2009-01-14  Adam Dingle  <adam@medovina.org>

	reviewed by: Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/plugin.c (find_file_line), (goto_file_tag),
	(on_project_import_scan_end), (on_scan_end_manager):
	Fixed #567523 (Goto Implementation jumps to declaration).

2009-01-14  Johannes Schmid  <jhs@gnome.org>

	* plugins/cvs-plugin/anjuta-cvs.plugin.in:
	Don't claim to implement IAnjutaVCS
	
	* plugins/file-manager/file-model.c
	(file_model_vcs_status_callback), (file_model_free_vcs_data),
	(file_model_get_vcs_status), (file_model_update_file),
	(file_model_new):
	* plugins/file-manager/file-model.h:
	* plugins/file-manager/file-view.c (file_view_show_extended_data),
	(file_view_init):
	* plugins/file-manager/plugin.c (file_manager_activate):
	Show VCS status in file-manager

2008-01-13  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/project-wizard/anjuta-project-wizard.glade,
	plugins/project-import/project-import.c:
	Fix #567504 – New Project dialog is not centered

2009-01-13  Jens Georg  <mail@jensge.org>

	reviewed by: Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/project-manager/plugin.c: 
	* plugins/build-basic-autotools/configuration-list.c: 
	Fix problem that it is not possible to generate a new project
	on NFS and subsequent crash in project configuration. 
	Partial port of project-manager to GIO

2009-01-12  James Liggett  <jrliggett@cox.net>

	* plugins/subversion/subversion-vcs-interface.c
	(on_ivcs_status_command_data_arrived),
	(subversion_ivcs_query_status):
	The file passed to ianjuta_vcs_query_status shouldn't be passed to the
	callback. Instead, create a file for each path in the returned list,
	so that we get status for everything if we're given a directory, not just
	the directory itself. 

2009-01-12  James Liggett  <jrliggett@cox.net>

	* plugins/subversion/subversion-vcs-interface.c
	(subversion_ivcs_add), (subversion_ivcs_checkout),
	(subversion_ivcs_diff), (subversion_ivcs_query_status),
	(subversion_ivcs_remove):
	Fix the name of the command finish signal from "finished" to 
	"command-finished," the proper name (argh!)
	
2009-01-12  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/plugin.c (do_update_project_symbols),
	(do_check_offline_files_changed), (on_project_root_added):
	* plugins/symbol-db/symbol-db-engine-queries.c
	(symbol_db_engine_is_language_used):
	fixed #567505 – Anjuta hangs while generating inheritances. Was introduced by
	me with last patch.

2009-01-11  James Liggett  <jrliggett@cox.net>

	* plugins/subversion/anjuta-subversion.glade:
	* plugins/subversion/svn-command.c (ssl_server_trust_prompt):
	Fix Bug 567217 – Don't use trailing spaces.

2009-01-11  James Liggett  <jrliggett@cox.net>

	* plugins/profiler/profiler.glade:
	Fix Bug 567228 – Don't leave trailing spaces.

2009-01-11  James Liggett  <jrliggett@cox.net>

	* plugins/subversion/subversion-vcs-interface.c
	(subversion_ivcs_checkout), (on_ivcs_status_command_data_arrived),
	(subversion_ivcs_query_status):
	* plugins/subversion/subversion-vcs-interface.h:
	Implement the checkout method for IAnjutaVcs in the Subversion plugin.
	
	IAnjutaVcs is now completely implemented for the Subversion plugin.

2009-01-11  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	reviewed by: James Liggett <jrliggett@cox.net>

	* plugins/subversion/Makefile.am:
	* plugins/subversion/svn-checkout-command.c
	(svn_checkout_command_init), (svn_checkout_command_finalize),
	(svn_checkout_command_run), (svn_checkout_command_class_init),
	(svn_checkout_command_new), (svn_checkout_command_destroy):
	* plugins/subversion/svn-checkout-command.h:
	Add a checkout command to the Subversion plugin.
	
	Partially fixes bug 531765.

2009-01-12  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/plugin.c
	(on_editor_buffer_symbols_update_timeout),
	(do_check_languages_count), (on_project_root_added),
	(on_scan_end_manager):
	* plugins/symbol-db/symbol-db-engine-core.c (sdb_engine_init),
	(symbol_db_engine_remove_file):
	* plugins/symbol-db/symbol-db-engine-priv.h:
	* plugins/symbol-db/symbol-db-engine-queries.c
	(symbol_db_engine_get_languages_count),
	(symbol_db_engine_is_language_used):
	* plugins/symbol-db/symbol-db-engine-queries.h:
	fixed #548910. 
	Hide the Global tab in case only C-files are used in a project.
	Enable it instead with 2+ different languages.

2008-01-11  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/project-wizard/druid.c,
	plugins/project-wizard/druid.h,
	plugins/project-wizard/property.c,
	plugins/project-wizard/property.h,
	plugins/project-wizard/header.c,
	plugins/project-wizard/anjuta-project-wizard.glade,
	plugins/project-wizard/Makefile.am,
	configure.in:
	Partial fix #513156: Replace GnomeDruid by GtkAssistant and
	GnomeIconList by GtkIconView
	Use GtkBuilder instead of libglade
	gtk_assistant_set_current_page need gtk 2.19.10

2009-01-11  Johannes Schmid  <jhs@gnome.org>

	* plugins/devhelp/anjuta-devhelp-simple.ui:
	#567360 – Context Help needs an icon

2009-01-11  James Liggett  <jrliggett@cox.net>

	* plugins/subversion/subversion-vcs-interface.c
	(subversion_ivcs_diff), (subversion_ivcs_query_status):
	IAnjutaVcs methods in the Subversion plugin now make use of the GCancellable 
	parameter to cancel operations.

2009-01-11  James Liggett  <jrliggett@cox.net>

	* plugins/subversion/svn-command.c (on_svn_cancel),
	(svn_command_init), (svn_command_cancel), (svn_command_class_init):
	Implement support for cancelling operations in the Subversion plugin.

2009-01-10  James Liggett  <jrliggett@cox.net>

	* libanjuta/anjuta-command.c (anjuta_command_class_init),
	(anjuta_command_cancel):
	* libanjuta/anjuta-command.h:
	Add a cancel method to AnjutaCommand.

2009-01-10  James Liggett  <jrliggett@cox.net>

	* plugins/subversion/svn-command.c
	(svn_command_make_canonical_path):
	svn_command_make_canonical path shouldn't crash if given a NULL path.

2009-01-10  Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>

	reviewed by: James Liggett <jrliggett@cox.net>

	* plugins/subversion/subversion-diff-dialog.c
	(on_subversion_diff_response):
	* plugins/subversion/subversion-log-dialog.c
	(on_log_diff_selected_button_clicked),
	(on_log_diff_previous_button_clicked):
	* plugins/subversion/subversion-vcs-interface.c
	(subversion_ivcs_diff):
	* plugins/subversion/svn-diff-command.c
	(svn_diff_command_finalize), (svn_diff_command_run),
	(svn_diff_command_new):
	* plugins/subversion/svn-diff-command.h:
	Fix bug 566924 - Subversion diff should be done from the project's root
	directory.  

2009-01-10  James Liggett  <jrliggett@cox.net>

	* configure.in:
	Require Subversion 1.5.

2009-01-10  Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>

	reviewed by: Johannes Schmid  <jhs@gnome.org>

	* plugins/file-manager/file-model.c
	#566943 – Icons are not not found

2009-01-10  Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>

	reviewed by: Johannes Schmid  <jhs@gnome.org>

	* plugins/sourceview/sourceview.c (autodetect_language):
	#567156 – better autodetection of language

2009-01-09 Yang Hong <hongyang@redflag-linux.com>
 
	* configure.in:
	Check perl and perl module Locale::gettext for gbf
	Fixed #567010 - Can't import project if parse scripts failed

2009-01-10  Johannes Schmid  <jhs@gnome.org>

	* libanjuta/interfaces/libanjuta.idl:
	* plugins/sourceview/sourceview.c (on_backspace):
	Added "backspace" signal:
	#567068 – autocomplete box should vanish on backspace
	
	* plugins/language-support-cpp-java/Makefile.am:
	* plugins/language-support-cpp-java/cpp-java-assist.c
	(cpp_java_assist_destroy_completion_cache),
	(cpp_java_assist_create_scope_completion_cache),
	(cpp_java_assist_show_autocomplete),
	(cpp_java_assist_create_word_completion_cache),
	(cpp_java_assist_create_calltips), (cpp_java_assist_show_calltip),
	(cpp_java_assist_check), (on_editor_backspace),
	(cpp_java_assist_install), (cpp_java_assist_uninstall),
	(cpp_java_assist_finalize):
	#566987 – display tooltip with prototype when calling function in project
	#566693 – Code completion of symbols usually not working
	
2009-01-10  Naba Kumar  <naba@gnome.org>

	* TODO.tasks: Updated.

2008-01-10  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/tools/execute.c:
	Fix #567227 – Don't leave trailing spaces

	* plugins/project-wizard/install.c,
	plugins/project-wizard/druid.c,
	plugins/project-wizard/templates/minimal.wiz:
	Fix #567223 – Don't leave trailing spaces

	* plugins/gdb/debugger.c:
	Fix #567219 – String fixes

	* plugins/debug-manager/signals.c,
	plugins/debug-manager/anjuta-debug-manager.glade:
	Fix #567218 – Don't leave spaces before punctuation

2009-01-09  Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>

	reviewed by: Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/symbol-db-system.c (sdb_system_class_init):
	fixed #567203 – small signal error in symbol-db-system

2009-01-10  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/plugin.c (goto_file_tag):
	added interface to the list of 'declaration' symbol kind.

	* plugins/symbol-db/symbol-db-view-search.c
	(sdb_view_search_on_tree_row_activate),
	(sdb_view_search_on_entry_key_press_event),
	(sdb_view_search_sort_iter_compare_func), (sdb_view_search_init):
	fixed #566985 – sort multiple symbol matches by file path

2009-01-09  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/plugin.c (goto_file_tag):
	fixed #567058 – Goto Implementation can't jump to struct or typedef types
	fixed #566690 – Goto declaration menu item should go to implementation if 
	there's no delcaration

2009-01-09  Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>

	reviewed by: Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/symbol-db-engine-core.c (sdb_engine_finalize),
	(symbol_db_engine_close_db):
	fixed #567067 – Anjuta hangs if I close project while scanning symbols

	* plugins/sourceview/sourceview.c (wordcharacters_contains):
	fixed #567049 – Goto Definition fails for symbols ending in a digit

2009-01-08  James Liggett  <jrliggett@cox.net>

	* plugins/subversion/Makefile.am:
	* plugins/subversion/plugin.c:
	* plugins/subversion/subversion-vcs-interface.c
	(subversion_ivcs_iface_init), (subversion_ivcs_add),
	(subversion_ivcs_checkout), (on_diff_command_data_arrived),
	(subversion_ivcs_diff), (on_status_command_data_arrived),
	(subversion_ivcs_query_status), (subversion_ivcs_remove):
	* plugins/subversion/subversion-vcs-interface.h:
	An initial implementation of IAnjutaVcs interface for the Subversion plugin.
	
	Important Notes:
		- The functionality of the interface is untested. The plugin compiles
		  and loads fine, but I haven't verified that the actual interface 
		  methods work
		- The checkout method is a stub right now; we don't even have support
		  for that in the plugin right now. That will be changing soon.
		- The cancellable parameter is ignored. Implementing suport for that
		  is also on my todo list.

2009-01-08  James Liggett  <jrliggett@cox.net>

	* libanjuta/anjuta-utils.c:
	* libanjuta/anjuta-utils.h:
	Add a new utility function, anjuta_util_convert_gfile_list_to_path_list,
	for converting lists of GFiles to lists of paths. 

2009-01-08  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/anjuta-symbol-db-plugin.ui:
	* plugins/symbol-db/plugin.c (goto_file_tag),
	(on_goto_file_tag_impl_activate):
	#567049 – Goto Definition fails for symbols ending in a digit.
	Renamed Goto Definition -> Goto Implementation. Before it was too
	confusing.

2009-01-08  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/anjuta-symbol-db.glade:
	fixed #566699 – Default "Available API tags" for 
	Symbol Database preference tab.
	Added some tooltips to prefs page.

2009-01-08  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/plugin.c (goto_global_tree_iter):
	partially fixed #548910 – critials when clicking on the 
	global entry availabe in the global symbols tab

2009-01-07  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/plugin.c (goto_file_tag):
	* plugins/symbol-db/symbol-db-engine-core.c
	(sdb_engine_insert_dyn_query_node_by_id):
	fixed #566691 – Goto declaration nor goto definition work with macros

2009-01-07  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/symbol-db-engine-core.c
	(sdb_engine_dyn_child_query_node_destroy):
	small unref fix.

2009-01-06  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/plugin.c (on_editor_saved),
	(on_scan_end_manager):
	* plugins/symbol-db/symbol-db-engine-core.c
	(sdb_engine_scan_files_2), (sdb_engine_scan_files_1),
	(sdb_engine_init), (sdb_engine_add_new_db_file),
	(symbol_db_engine_add_new_files):
	* plugins/symbol-db/symbol-db-engine-core.h:
	* plugins/symbol-db/symbol-db-engine-priv.h:
	* plugins/symbol-db/symbol-db-engine-utils.c:
	#565981 – Don't use g_file_test()

2009-01-06  Jens Georg  <mail@jensge.org>

	* plugins/gtodo/libgtodo.c: 
  	#511589 - Remove unnecessary hack for GNOME-VFS which
  	is not needed for GIO/GVFS

2009-01-06  Jens Georg  <mail@jensge.org>

  	* plugins/profiler/Makefile.am
	* plugins/file-loader/Makefile.am
	* plugins/search/Makefile.am
	* plugins/class-gen/Makefile.am
	* plugins/project-import/Makefile.am
	* plugins/message-view/Makefile.am
	* plugins/macro/Makefile.am
	* plugins/file-wizard/Makefile.am
	#511589 – Remove dependency on gnome-vfs from Makefiles

2009-01-06  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/cvs-plugin/Makefile.am:
	* plugins/subversion/Makefile.am:
	Removed GNOME_VFS_LIBS. #511589 – Anjuta uses GNOME-VFS

2009-01-06  Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>

	reviewed by: Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/run-program/parameters.c (save_dialog_data):
	Fixed #566715 – invalid free in run-program/parameters.c

2009-01-06  Jens Georg  <mail@jensge.org>

	* plugins/cvs-plugin/cvs-interface.c: 
	* plugins/cvs-plugin/plugin.c: 
	* plugins/subversion/plugin.c: 
	Do not use glib 2.18 functions

2009-01-05  Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>

	reviewed by: Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/symbol-db-system.c
	(sdb_system_files_visit_dir), (prepare_files_to_be_scanned):
	#511589 – Anjuta uses GNOME-VFS 

2008-01-05  Sébastien Granjoux  <seb.sfo@free.fr>

	* configure.in:
	Fix another error in directory name

2008-01-05  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/project-import/project-import.c:
	Import Project is not working due to the patch moving gnome-build
	into Anjuta

=== Anjuta 2.25.4 ===

2009-01-05  Johannes Schmid <jhs@gnome.org>

	* NEWS: Updated
	* configure.in: Bumped version to 2.25.4
	* plugins/project-manager/Makefile.am:
	* plugins/gbf-am/Makefile.am:
	* plugins/gbf-mkfile/Makefile.am:
	* plugins/starter/Makefile.am:
	Fixed distcheck

2009-01-05  Adam Dingle  <adam@medovina.org>
 
 	* plugins/search/search-replace.c (write_message_pane):
 	* plugins/search/search-replace_backend.c
 	(file_buffer_new_from_te):
 	Fixed #565885 – Search is broken for a single file with output to find pane 

2009-01-05  Adam Dingle  <adam@medovina.org>
 
 	* plugins/build-basic-autotools/plugin.c:
 	* plugins/debug-manager/plugin.c:
 	* src/anjuta-actions.h:
 	Fixed #565714 – use F11 shortcut for Full Screen 

2009-01-04  Jens Georg  <mail@jensge.org>

	reviewed by: Johannes Schmid <jhs@gnome.org>

	* plugins/run-program/execute.c (get_local_executable),
	(get_local_directory):
	* plugins/run-program/parameters.c (on_add_uri_in_model),
	(on_add_directory_in_chooser), (save_dialog_data),
	(run_dialog_init):
	* plugins/run-program/plugin.c:
	#511589 – Anjuta uses GNOME-VFS

2009-01-04  Jens Georg  <mail@jensge.org>
 
 	* plugins/subversion/plugin.c: 
 	#511589 – Anjuta uses GNOME-VFS 

2009-01-04  James Liggett  <jrliggett@cox.net>

	* plugins/subversion/subversion-add-dialog.c
	(on_subversion_add_response):
	* plugins/subversion/subversion-remove-dialog.c
	(on_subversion_remove_response):
	* plugins/subversion/svn-add-command.c (svn_add_command_finalize),
	(svn_add_command_run), (svn_add_command_new_path),
	(svn_add_command_new_list):
	* plugins/subversion/svn-add-command.h:
	* plugins/subversion/svn-remove-command.c
	(svn_remove_command_finalize), (svn_remove_command_run),
	(svn_remove_command_new_path), (svn_remove_command_new_list),
	(svn_remove_command_destroy):
	* plugins/subversion/svn-remove-command.h:
	
	Extend Subversion Add/Remove commands to take both individual paths and 
	path lists.

2009-01-04 Johannes Schmid <jhs@gnome.org>

	* plugins/document-manager/action-callbacks.c
	(on_bookmark_add_activate), (on_bookmark_next_activate),
	(on_bookmark_prev_activate), (on_bookmarks_clear_activate):
	* plugins/document-manager/action-callbacks.h:
	* plugins/document-manager/anjuta-bookmarks.c (line_compare),
	(get_bookmarks_for_editor), (anjuta_bookmarks_next),
	(anjuta_bookmarks_prev), (anjuta_bookmarks_clear):
	* plugins/document-manager/anjuta-bookmarks.h:
	* plugins/document-manager/anjuta-document-manager.ui:
	* plugins/document-manager/plugin.c (register_stock_icons):
	
	Added menuitems for add/next/prev/clear bookmark. Bookmark interface is now
	complete again

2009-01-04  Johannes Schmid <jhs@gnome.org>

	* plugins/document-manager/Makefile.am:
	Added log domain for document-manager
	
	* plugins/document-manager/anjuta-bookmarks.c (on_add_clicked),
	(anjuta_bookmarks_add), (anjuta_bookmarks_add_file),
	(anjuta_bookmarks_session_save), (read_bookmarks),
	(anjuta_bookmarks_session_load):
	* plugins/document-manager/anjuta-bookmarks.h:
	* plugins/document-manager/plugin.c (on_session_load),
	(on_session_save), (activate_plugin),
	(ianjuta_docman_add_bookmark):
	Save bookmarks with the current session (#305515)

2009-01-02  Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>

	reviewed by: Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/symbol-db-view-search.c
	(sdb_view_search_model_filter):
	fixed #566284 – search-view should match more

2009-01-02  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/plugin.c (do_import_system_sources),
	(do_check_offline_files_changed), (on_project_root_added),
	(symbol_db_activate), (symbol_db_deactivate):
	now global db gets loaded after a project close/open.

	* plugins/symbol-db/symbol-db-engine-core.c
	(sdb_engine_disconnect_from_db), (sdb_engine_scan_files_1),
	(sdb_engine_init), (sdb_engine_connect_to_db),
	(symbol_db_engine_is_connected), (sdb_engine_create_db_tables),
	(sdb_engine_add_new_file), (sdb_engine_add_new_sym_kind),
	(sdb_engine_add_new_sym_access),
	(sdb_engine_add_new_sym_implementation),
	(sdb_engine_second_pass_update_scope_1),
	(sdb_engine_second_pass_update_scope),
	(sdb_engine_second_pass_update_heritage),
	(sdb_engine_add_new_symbol):
	* plugins/symbol-db/symbol-db-engine-core.h:
	* plugins/symbol-db/symbol-db-engine-priv.h:
	code cleaning. Partially fixed #566209. Removed some weird mutexes that
	probably caused the issue.
	Removed some little memleaks due to GErrors.

2009-01-02  Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>

	reviewed by: Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/symbol-db-view-search.c
	(sdb_view_search_class_init):
	using now anjuta_cclosure_marshal_VOID__INT_STRING.

2009-01-01  Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>

	reviewed by: Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/symbol-db-view-search.c
	(sdb_view_search_class_init):
	fixed  #566225 – activating selected row in search view does nothing.

2009-01-01  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/symbol-db-engine-core.c
	(sdb_engine_create_db_tables),
	(sdb_engine_second_pass_update_heritage):
	* plugins/symbol-db/symbol-db-engine-priv.h:
	* plugins/symbol-db/tables.sql:
	fixed #566145. Added a table 'version' where to store the symbol db structure
	version. This should help migration in future releases.

2009-01-01  Naba Kumar  <naba@gnome.org>

	* src/layout.xml: Added Symbol DB widget docking in default layout.

2008-12-31  Johannes Schmid <jhs@gnome.org>

	* plugins/document-manager/anjuta-bookmarks.c
	(anjuta_bookmaks_init):
	Show scrollbars only if necessary

2008-12-31  Johannes Schmid <jhs@gnome.org>

	* plugins/document-manager/anjuta-bookmarks.c
	(on_selection_changed), (anjuta_bookmarks_init),
	(anjuta_bookmarks_remove):
	Allow multiple selection to remove bookmarks

2008-12-31  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/project-manager/plugin.c:
	Fix #564302 – "Loaded Project..." is confusing

2008-12-31  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/file-loader/plugin.c:
	Fix #566129 – crash when project opening and file not found

2008-12-31  Claude Paroz  <claude@2xlibre.net>

	* plugins/debug-manager/anjuta-debug-manager.glade:
	Remove translatable property on stock items.

2008-12-31  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/editor/text_editor.h,
	plugins/editor/text_editor.c:
	Restore file comparison removed in a previous patch

2008-12-31  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/symbol-db-engine-core.h:
	* plugins/symbol-db/tables.sql:
	* plugins/symbol-db/test/benchmark.c (on_scan_end):
	Added an index to the database. Repopulation is needed (hopefully for the last
	time :) ).
	fixed 565773 – symbol scanning is very slow. Now the 'generating inheritances'
	step take only few seconds.

2008-12-31  Massimo Cora'  <mcora@svn.gnome.org>

	* configure.in:
	removed symbol-browser references to let autoconf finish fine.

2008-12-31  Sébastien Granjoux  <seb.sfo@free.fr>

	* po/POTFILES.in:
	Update to include gnome-build files and remove symbol browser

2008-12-31  Sébastien Granjoux  <seb.sfo@free.fr>

	* (added) plugins/project-manager/gbf-install.png
	(added) plugins/project-manager/gbf-build.png:
	Add 2 missing files in the latch patch

2008-12-31  Sébastien Granjoux  <seb.sfo@free.fr>

	* configure.in
	libanjuta/interfaces/libanjuta.idl
	(added) libanjuta/gbf-project.c
	(added) libanjuta/gbf-project.h
	libanjuta/Makefile.am
	plugins/Makefile.am
	plugins/project-import/project-import.c
	plugins/project-manager/plugin.c
	plugins/project-manager/plugin.h
	(added) plugins/project-manager/gbf-project-model.c
	(added) plugins/project-manager/gbf-project-model.h
	(added) plugins/project-manager/gbf-tree-data.c
	(added) plugins/project-manager/gbf-tree-data.h
	(added) plugins/project-manager/gbf-project-view.c
	(added) plugins/project-manager/gbf-project-view.h
	(added) plugins/project-manager/gbf-project-util.c
	(added) plugins/project-manager/gbf-project-util.h
	(added) plugins/project-manager/create_dialogs.glade
	plugins/project-manager/Makefile.am
	(added) plugins/gbf-am/plugin.c
	(added) plugins/gbf-am/plugin.h
	(added) plugins/gbf-am/gbf-am.plugin.in
	(added) plugins/gbf-am/gbf-am-plugin-48.png
	(added) plugins/gbf-am/gbf-am-config.h
	(added) plugins/gbf-am/gbf-am-config.c
	(added) plugins/gbf-am/gbf-am-project.h
	(added) plugins/gbf-am/gbf-am-project.c
	(added) plugins/gbf-am/gbf-am-properties.c
	(added) plugins/gbf-am/gbf-am-properties.h
	(added) plugins/gbf-am/gbf-am-parse.in
	(added) plugins/gbf-am/gbf-am-dialogs.glade
	(added) plugins/gbf-am/run-test.sh
	(added) plugins/gbf-am/test.c
	(added) plugins/gbf-am/output.dtd
	(added) plugins/gbf-am/shared.xpm
	(added) plugins/gbf-am/static.xpm
	(added) plugins/gbf-am/unknown.xpm
	(added) plugins/gbf-am/program.xpm
	(added) plugins/gbf-am/GBF/General.pm
	(added) plugins/gbf-am/GBF/AmFiles.pm
	(added) plugins/gbf-am/GBF/.cvsignore
	(added) plugins/gbf-am/GBF/Makefile.am
	(added) plugins/gbf-am/.cvsignore
	(added) plugins/gbf-am/Makefile.am
	(added) plugins/gbf-mkfile/plugin.c
	(added) plugins/gbf-mkfile/plugin.h
	(added) plugins/gbf-mkfile/gbf-mkfile.plugin.in
	(added) plugins/gbf-mkfile/gbf-mkfile-plugin-48.png
	(added) plugins/gbf-mkfile/gbf-mkfile-properties.c
	(added) plugins/gbf-mkfile/gbf-mkfile-properties.h
	(added) plugins/gbf-mkfile/gbf-mkfile-config.c
	(added) plugins/gbf-mkfile/gbf-mkfile-config.h
	(added) plugins/gbf-mkfile/gbf-mkfile-project.c
	(added) plugins/gbf-mkfile/gbf-mkfile-project.h
	(added) plugins/gbf-mkfile/gbf-mkfile-parse.in
	(added) plugins/gbf-mkfile/GBF/General.pm
	(added) plugins/gbf-mkfile/GBF/Make.pm
	(added) plugins/gbf-mkfile/GBF/.cvsignore
	(added) plugins/gbf-mkfile/GBF/Makefile.am
	(added) plugins/gbf-mkfile/.cvsignore
	(added) plugins/gbf-mkfile/Makefile.am:
	Move gnome-build library revision 643 in Anjuta tree
	The file names have not changed

2008-12-31  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/editor/text_editor.h,
	plugins/editor/text_editor.c,
	plugins/editor/plugin.c:
	Fix #529181 – refresh dialog pops over all windows
	Remove 1s delay on changed file
	Remove file content comparison

2008-12-31  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/editor/text_editor_prefs.c,
	plugins/document-manager/plugin.c:
	Fix #563988 - Zoom factor is not updated correctly in scintilla 

2008-12-30  Johannes Schmid <jhs@gnome.org>

	* plugins/sourceview/sourceview-io.c (sourceview_io_get_filename):
	Start new file count at 1 instead of 0
	* plugins/symbol-db/plugin.c (symbol_db_activate):
	Use ellipse middle instead of ellipse end (very cosmetic correction...)

2008-12-30  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/symbol-db-engine-core.c
	(sdb_engine_get_tuple_id_by_unique_name),
	(sdb_engine_get_tuple_id_by_unique_name2),
	(sdb_engine_get_tuple_id_by_unique_name3),
	(sdb_engine_get_tuple_id_by_unique_name4),
	(sdb_engine_get_file_defined_id), (sdb_engine_populate_db_by_tags),
	(sdb_engine_ctags_output_thread), (sdb_engine_init),
	(sdb_engine_set_defaults_db_parameters),
	(symbol_db_engine_file_exists),
	(symbol_db_engine_add_new_workspace),
	(symbol_db_engine_project_exists),
	(symbol_db_engine_add_new_project), (sdb_engine_add_new_language),
	(sdb_engine_add_new_file), (sdb_engine_add_new_sym_type),
	(sdb_engine_add_new_sym_kind), (sdb_engine_add_new_sym_access),
	(sdb_engine_add_new_sym_implementation),
	(sdb_engine_add_new_scope_definition),
	(sdb_engine_second_pass_update_scope_1),
	(sdb_engine_second_pass_update_scope),
	(sdb_engine_second_pass_update_heritage),
	(sdb_engine_add_new_symbol), (sdb_engine_detects_removed_ids),
	(sdb_engine_update_file), (on_scan_update_files_symbols_end),
	(symbol_db_engine_update_project_symbols),
	(symbol_db_engine_remove_file),
	(symbol_db_engine_update_buffer_symbols):
	* plugins/symbol-db/symbol-db-engine-core.h:
	* plugins/symbol-db/symbol-db-engine-priv.h:
	* plugins/symbol-db/symbol-db-view-locals.c
	(consume_symbols_inserted_queue_idle), (on_symbol_removed),
	(on_symbol_scope_updated):
	* plugins/symbol-db/tables.sql:
	performance improvements. On average tests with benchmark test program
	I could reach 11.9 ms/symbol, which is quite fine (my pc is an old P4 1.8GHz). 
	Slightly modified tables.sql, which require a full re-scan of the projects:
	even when populating now the gui seems responsive and not blocking at all.
	Fixed #565769 – symbol-db blocks anjuta when files are removed. Now performance
	for removing files is at the top.

	* plugins/symbol-db/test/benchmark.c (on_scan_end):
	* plugins/symbol-db/test/main.c (main):
	fixed some compiling issues.

2008-12-30  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/symbol-db-engine-core.c
	(sdb_engine_add_new_language), (sdb_engine_add_new_sym_type),
	(sdb_engine_add_new_sym_kind), (sdb_engine_add_new_sym_access),
	(sdb_engine_add_new_sym_implementation),
	(sdb_engine_add_new_scope_definition),
	(sdb_engine_add_new_tmp_heritage_scope),
	(sdb_engine_add_new_symbol):
	fixed a memleak.

2008-12-29  Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>

	reviewed by: Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/symbol-db-engine-core.c
	(sdb_engine_ctags_output_thread),
	(sdb_engine_timeout_trigger_signals),
	(sdb_engine_ctags_output_callback_1), (sdb_engine_init),
	(sdb_engine_finalize), (symbol_db_engine_close_db),
	(sdb_engine_add_new_symbol):
	* plugins/symbol-db/symbol-db-engine-priv.h:
	fixed #565890 – cleanup thread handling by using a GThreadPool.
	There's still some irresponsiveness in gui though.

2008-12-28  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/symbol-db-engine-core.c
	(sdb_engine_free_cached_queries), (sdb_engine_normalize_sym_type),
	(symbol_db_engine_open_db), (sdb_engine_detects_removed_ids):
	* plugins/symbol-db/tables.sql:
	fixed #565769 – symbol-db blocks anjuta when files are removed.
	Removed a trigger when ON DELETE is called. This should speed up the things.
	The 'delete from sym_type' will take place on connection opening.
	A complete repopulation is needed to see such fix working, 
	e.g. `rm .anjuta_sym_db.db`

2008-12-28  Massimo Cora'  <mcora@svn.gnome.org>

	* AUTHORS: added Carl-Anton Ingmarsson.
	* plugins/class-inheritance/Makefile.am:
	added G_LOG_DOMAIN

2008-12-28  Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>

	reviewed by: Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/symbol-db-system.c
	(sdb_system_get_normalized_cflags):
	fixed #565823 – symbol-db hardcodes /usr/include for header files

2008-12-28  Johannes  Schmid <jhs@gnome.org>

	* plugins/search/search-replace.c (search_and_replace):
	Removed comment
	* plugins/sourceview/sourceview.c (set_select), (iselect_set):
	#545127 – When searching down can't see below search result

2008-12-28  Adam Dingle  <adam@medovina.org>
 
 	* plugins/document-manager/anjuta-document-manager.ui:
 	* plugins/search/Makefile.am:
 	* plugins/search/anjuta-search.ui:
 	* plugins/search/plugin.c (activate_plugin):
 	Fixed #565278 – remove Next Occurrence and Previous Occurrence commands 

2008-12-28  Adam Dingle  <adam@medovina.org>
 
 	* plugins/search/search-replace_backend.c (search_entry_compare),
 	(create_search_entries):
 	Fixed #565014 – sort Find in Files output by filename 

2008-12-28  Adam Dingle  <adam@medovina.org>
 
 	* manuals/anjuta-manual/C/interface.xml:
 	Corrected documentation of shortcuts for moving to next/previous document.
 	This fixes #565368. 

2008-12-28  Jens Georg  <mail@jensge.org>
 
 	* plugins/cvs-plugin/plugin.c: 
 	Fix regression introduced with last patch for CVS plugin 

2008-12-28  Johannes  Schmid <jhs@gnome.org>

	* plugins/sourceview/anjuta-view.c (anjuta_view_class_init),
	(anjuta_view_dispose):
	Fixed a race conditin where an idle call happens after the object is
	already destroyed.
	
	* plugins/sourceview/sourceview.c (on_open_finish),
	(sourceview_dispose):
	Fixed 564891 – Crash when closing editor window

2008-12-27  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/anjuta-symbol-db-plugin.ui:
	* plugins/symbol-db/Makefile.am:
	* plugins/symbol-db/plugin.c (goto_file_line), (goto_file_tag),
	(on_goto_file_tag_def_activate), (on_goto_file_tag_decl_activate),
	(do_import_system_sources_after_abort), (do_import_system_sources),
	(symbol_db_activate), (symbol_db_deactivate):
	* plugins/symbol-db/plugin.h:
	* plugins/symbol-db/symbol-db-engine-iterator-node.c
	(isymbol_get_icon):
	* plugins/symbol-db/symbol-db-engine-priv.h:
	* plugins/symbol-db/symbol-db-engine-queries.c
	(symbol_db_engine_find_symbol_by_name_pattern):
	* plugins/symbol-db/symbol-db-engine-utils.c
	(sdb_util_load_symbol_pixbufs), (symbol_db_util_get_pixbuf):
	* plugins/symbol-db/symbol-db-engine-utils.h:
	* plugins/symbol-db/symbol-db-view-locals.c
	(sdb_view_locals_create_new_store), (traverse_on_scan_end),
	(consume_symbols_inserted_queue_idle):
	* plugins/symbol-db/symbol-db-view-search.c
	(sdb_view_search_model_filter):
	* plugins/symbol-db/symbol-db-view.c (on_symbol_inserted),
	(sdb_view_row_expanded_idle), (symbol_db_view_row_expanded),
	(sdb_view_build_and_display_base_tree):
	* plugins/symbol-db/symbol-db-view.h:
	moved symbol_db_util_get_pixbuf () into symbol-db-engine-utils.c.
	Fixed #565691 – no Goto Definition command in symbol-db.

2008-12-27  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/symbol-db-engine-queries.c
	(symbol_db_engine_find_symbol_by_name_pattern):
	* plugins/symbol-db/symbol-db-engine-queries.h:
	* plugins/symbol-db/symbol-db-engine-utils.c
	(symbol_db_glist_compare_func):
	* plugins/symbol-db/symbol-db-prefs.c (on_listall_exit):
	* plugins/symbol-db/symbol-db-system.c
	(sdb_system_files_visit_dir):
	* plugins/symbol-db/symbol-db-view.c (symbol_db_view_row_expanded):
	code cleaning. strcmp () -> g_strcmp0 ().
	Improved query symbol_db_engine_find_symbol_by_name_pattern().

2008-12-27  Yuriy Penkin <yuriy.penkin@gmail.com>

	reviewed by: Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/plugin.c
	(on_editor_buffer_symbols_update_timeout), (on_editor_saved):
	* plugins/symbol-db/symbol-db-engine-core.c (on_scan_files_end_1),
	(sdb_engine_init), (symbol_db_engine_set_ctags_path),
	(symbol_db_engine_new), (sdb_engine_add_new_scope_definition),
	(sdb_engine_second_pass_update_scope_1):
	* plugins/symbol-db/symbol-db-engine-core.h:
	fixed #565701 – Anjuta hangs if ctags not installed

2008-12-27  Johannes  Schmid <jhs@gnome.org>

	* plugins/document-manager/action-callbacks.c
	(on_reload_file_activate), (on_next_document),
	(on_previous_document):
	#565578 – Next Document command does not cycle back to first document
	
2008-12-27  Carl-Anton Ingmarsson  <ca.ingmarsson@gmail.com>

	* libanjuta/anjuta-session.c (anjuta_session_finalize),
	(anjuta_session_new), (anjuta_session_sync),
	(anjuta_session_clear), (anjuta_session_clear_section),
	(anjuta_session_set_int), (anjuta_session_set_float),
	(anjuta_session_set_string), (anjuta_session_set_string_list),
	(anjuta_session_get_int), (anjuta_session_get_float),
	(anjuta_session_get_string), (anjuta_session_get_string_list):
	#565650 – Port anjuta-session from gnome-config to GKeyfile

2008-12-26  Adam Dingle  <adam@medovina.org>

	reviewed by: Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/anjuta-symbol-db.glade:
	Fixed #565706 – trailing period in symbol-db labels

2008-12-26  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/symbol-db-view-search.c
	(sdb_view_search_model_filter),
	(sdb_view_search_on_entry_key_press_event), (sdb_view_search_init):
	fix #565700 – Enter key inserts garbage into Symbols / Search box

2008-12-26  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/plugin.c (on_project_element_added),
	(do_import_project_sources_after_abort),
	(do_import_project_sources), (do_check_offline_files_changed):
	* plugins/symbol-db/symbol-db-engine-core.c
	(on_scan_update_files_symbols_end),
	(symbol_db_engine_update_files_symbols):
	* plugins/symbol-db/symbol-db-view-locals.c
	(symbol_db_view_locals_update_list):
	added some checks that fix some local-view updating problems.

2008-12-26  Johannes  Schmid <jhs@gnome.org>

	* Makefile.am:
	* configure.in:
	* global-tags/.cvsignore:
	* global-tags/Makefile.am:
	* global-tags/create_global_tags.sh.in:
	* global-tags/tm_global_tags.c:
	* plugins/Makefile.am:
	* plugins/editor/Makefile.am:
	* plugins/editor/aneditor-calltip.cxx:
	* plugins/editor/aneditor-priv.h:
	* plugins/editor/aneditor.cxx:
	* plugins/editor/text_editor.h:
	* plugins/search/Makefile.am:
	* plugins/search/search-replace.c (save_not_opened_files):
	* plugins/search/search-replace_backend.c
	(file_buffer_new_from_te), (file_buffer_new_from_path),
	(create_search_entries):
	* plugins/sourceview/Makefile.am:
	* plugins/symbol-browser/.cvsignore:
	* plugins/symbol-browser/Makefile.am:
	* plugins/symbol-browser/an_symbol.c:
	* plugins/symbol-browser/an_symbol.h:
	* plugins/symbol-browser/an_symbol_info.c:
	* plugins/symbol-browser/an_symbol_info.h:
	* plugins/symbol-browser/an_symbol_iter.c:
	* plugins/symbol-browser/an_symbol_iter.h:
	* plugins/symbol-browser/an_symbol_prefs.c:
	* plugins/symbol-browser/an_symbol_prefs.h:
	* plugins/symbol-browser/an_symbol_search.c:
	* plugins/symbol-browser/an_symbol_search.h:
	* plugins/symbol-browser/an_symbol_view.c:
	* plugins/symbol-browser/an_symbol_view.h:
	* plugins/symbol-browser/anjuta-symbol-browser-plugin.glade:
	* plugins/symbol-browser/anjuta-symbol-browser-plugin.svg:
	* plugins/symbol-browser/anjuta-symbol-browser-plugin.ui:
	* plugins/symbol-browser/anjuta-symbol-browser.plugin.in:
	* plugins/symbol-browser/anjuta-symbol-locals.c:
	* plugins/symbol-browser/anjuta-symbol-locals.h:
	* plugins/symbol-browser/images/.cvsignore:
	* plugins/symbol-browser/images/Makefile.am:
	* plugins/symbol-browser/images/README:
	* plugins/symbol-browser/plugin.c:
	* plugins/symbol-browser/plugin.h:
	* plugins/symbol-browser/test-class.cpp:
	* plugins/symbol-browser/test-class.h:
	* plugins/symbol-browser/test-symbol-browser.c:
	* plugins/symbol-db/Makefile.am:
	* scripts/Makefile.am:
	* scripts/anjuta_import.sh.in:
	* tagmanager/.cvsignore:
	* tagmanager/Makefile.am:
	* tagmanager/acconfig.h:
	* tagmanager/args.c:
	* tagmanager/args.h:
	* tagmanager/asm.c:
	* tagmanager/asp.c:
	* tagmanager/awk.c:
	* tagmanager/beta.c:
	* tagmanager/c.c:
	* tagmanager/cobol.c:
	* tagmanager/ctags.c:
	* tagmanager/ctags.h:
	* tagmanager/debug.c:
	* tagmanager/debug.h:
	* tagmanager/eiffel.c:
	* tagmanager/entry.c:
	* tagmanager/entry.h:
	* tagmanager/erlang.c:
	* tagmanager/fortran.c:
	* tagmanager/general.h:
	* tagmanager/get.c:
	* tagmanager/get.h:
	* tagmanager/html.c:
	* tagmanager/include/.cvsignore:
	* tagmanager/include/Makefile.am:
	* tagmanager/include/tm_file_entry.h:
	* tagmanager/include/tm_project.h:
	* tagmanager/include/tm_source_file.h:
	* tagmanager/include/tm_symbol.h:
	* tagmanager/include/tm_tag.h:
	* tagmanager/include/tm_tagmanager.h:
	* tagmanager/include/tm_work_object.h:
	* tagmanager/include/tm_workspace.h:
	* tagmanager/jscript.c:
	* tagmanager/keyword.c:
	* tagmanager/keyword.h:
	* tagmanager/lisp.c:
	* tagmanager/lregex.c:
	* tagmanager/lua.c:
	* tagmanager/main.h:
	* tagmanager/make.c:
	* tagmanager/options.c:
	* tagmanager/options.h:
	* tagmanager/parse.c:
	* tagmanager/parse.h:
	* tagmanager/parsers.h:
	* tagmanager/pascal.c:
	* tagmanager/perl.c:
	* tagmanager/php.c:
	* tagmanager/python.c:
	* tagmanager/read.c:
	* tagmanager/read.h:
	* tagmanager/readtags.c:
	* tagmanager/readtags.h:
	* tagmanager/regex.c:
	* tagmanager/rexx.c:
	* tagmanager/routines.c:
	* tagmanager/routines.h:
	* tagmanager/ruby.c:
	* tagmanager/scheme.c:
	* tagmanager/sh.c:
	* tagmanager/slang.c:
	* tagmanager/sml.c:
	* tagmanager/sort.c:
	* tagmanager/sort.h:
	* tagmanager/sql.c:
	* tagmanager/strlist.c:
	* tagmanager/strlist.h:
	* tagmanager/tcl.c:
	* tagmanager/test_tm_buffer.c:
	* tagmanager/tm_file_entry.c:
	* tagmanager/tm_project.c:
	* tagmanager/tm_source_file.c:
	* tagmanager/tm_symbol.c:
	* tagmanager/tm_tag.c:
	* tagmanager/tm_tagmanager.c:
	* tagmanager/tm_work_object.c:
	* tagmanager/tm_workspace.c:
	* tagmanager/verilog.c:
	* tagmanager/vim.c:
	* tagmanager/vstring.c:
	* tagmanager/vstring.h:
	* tagmanager/yacc.c:

	Removed tagmanager/symbol-browser in favour of the nearly stable symbol-db plugin. Commented
	some very old code in scintilla that is probably not used anymore though  some portions can be ported
	to IAnjutaSymbolManager interface such as highlighting of tags. 
	Adapted some other plugins that very using tagmanager for strange things (like search).

	* plugins/build/build_file.c:
	* plugins/build/build_file.h:
	* plugins/build/build_project.c:
	* plugins/build/build_project.h:
	* plugins/build/clean_project.c:
	* plugins/build/clean_project.h:
	* plugins/build/commands.c:
	* plugins/build/commands.h:
	* plugins/build/compile.c:
	* plugins/build/compile.h:
	* plugins/build/compiler_options.c:
	* plugins/build/compiler_options.h:
	* plugins/build/configurer.c:
	* plugins/build/configurer.h:
	* plugins/build/executer.c:
	* plugins/build/executer.h:
	Removed obsolete build plugin. If you really need to have a look check the svn history.

	* plugins/gvim/.cvsignore:
	* plugins/gvim/Makefile.am:
	* plugins/gvim/anjuta-vim.c:
	* plugins/gvim/anjuta-vim.h:
	* plugins/gvim/anjuta-vim.plugin.in:
	* plugins/gvim/gtkvim.c:
	* plugins/gvim/gtkvim.h:
	* plugins/gvim/plugin.c:
	* plugins/gvim/plugin.h:
	Removed gvim plugin. It is replaced by the GSoc vim plugin.

2008-12-25  Jens Georg  <mail@jensge.org>
 
	Reviewed by: Johannes Schmid <jhs@gnome.org>
 
	* plugins/search/search-replace_backend.c: 
	* plugins/search/search-replace.c:
	remove usage of std i/o (#565492)

2008-12-25  Johannes Schmid <jhs@gnome.org>

	* plugins/build-basic-autotools/anjuta-build-basic-autotools-plugin
	.ui:
	* plugins/debug-manager/anjuta-debug-manager.ui:
	* plugins/devhelp/anjuta-devhelp.ui:
	* plugins/document-manager/anjuta-document-manager.ui:
	* plugins/run-program/anjuta-run-program.ui:
	* src/action-callbacks.c (on_toolbar_view_toggled):
	* src/action-callbacks.h:
	* src/anjuta-actions.h:
	* src/anjuta-app.c (on_toolbar_style_changed), (on_session_save),
	(anjuta_app_dispose), (anjuta_app_instance_init),
	(on_widget_remove):
	* src/anjuta-app.h:
	* src/anjuta.ui:
	Removed the use of bonobo for the toolbar, removed some elements and migrate
	everything to a simple GtkToolbar with seperators. This fits even von 1024 screens
	without problems.

	* plugins/message-view/anjuta-message-manager.ui:
	Removed the next/prev message toolbar items as they are not used enough to be
	in the toolbar.

	* plugins/debug-manager/plugin.c:
	Use "Play" instead of "Execute" stock icons so we don't have 
	the same stock icon for "execute" and "run in debugger"
	 
2008-12-24  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/project-wizard/plugin.c,
	plugins/project-wizard/plugin.h,
	plugins/project-wizard/values.c,
	plugins/project-wizard/values.h,
	plugins/project-wizard/parser.c,
	plugins/project-wizard/parser.h,
	plugins/project-wizard/autogen.c,
	plugins/project-wizard/autogen.h,
	plugins/project-wizard/install.c,
	plugins/project-wizard/install.h,
	plugins/project-wizard/druid.c,
	plugins/project-wizard/action.c,
	plugins/project-wizard/action.h,
	plugins/project-wizard/file.c,
	plugins/project-wizard/file.h,
	plugins/project-wizard/property.c,
	plugins/project-wizard/property.h,
	plugins/project-wizard/header.c,
	plugins/project-wizard/header.h,
	plugins/project-wizard/Makefile.am,
	plugins/class-gen/plugin.c,
	plugins/class-gen/window.c,
	plugins/class-gen/window.h,
	plugins/class-gen/element-editor.c,
	plugins/class-gen/element-editor.h,
	plugins/class-gen/generator.c,
	plugins/class-gen/generator.h:
	Bug #560857 - Remove deprecated GLib symbols in project wizard

2008-12-23  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/plugin.c (do_add_new_files),
	(do_import_system_src_after_abort), (on_scan_end_manager):
	* plugins/symbol-db/symbol-db-engine-core.c
	(symbol_db_engine_update_project_symbols),
	(symbol_db_engine_update_buffer_symbols):
	Don't let buffer-updating files which are not in current project.

	* plugins/symbol-db/symbol-db-engine-core.h:
	* plugins/symbol-db/symbol-db-engine-iterator-node.c
	(symbol_db_engine_iterator_node_get_symbol_extra_string):
	* plugins/symbol-db/symbol-db-engine-iterator-node.h:
	* plugins/symbol-db/symbol-db-engine-iterator.h:
	* plugins/symbol-db/symbol-db-engine-priv.h:
	* plugins/symbol-db/symbol-db-engine.h:
	some minor headers fixes. 

2008-12-23  Johannes  Schmid <jhs@gnome.org>

	* libanjuta/interfaces/libanjuta.idl:
	* plugins/document-manager/anjuta-bookmarks.c (on_add_clicked),
	(anjuta_bookmarks_get_text_from_file), (anjuta_bookmarks_get_text),
	(anjuta_bookmarks_add), (anjuta_bookmarks_add_file):
	* plugins/document-manager/anjuta-bookmarks.h:
	* plugins/document-manager/plugin.c (ianjuta_docman_add_bookmark),
	(ianjuta_document_manager_iface_init):
	* plugins/search/search-replace.c (search_and_replace):
	Added new add_bookmark method to document-manager interface and readded
	the possibility add bookmarks to all search results.
	
	* plugins/sourceview/sourceview-io.c (set_display_name):
	Adding missing unref

2008-12-22  Adam Dingle  <adam@medovina.org>

	* manuals/anjuta-manual/C/anjuta-manual.xml:
	* manuals/anjuta-manual/C/authors.xml:
	* manuals/anjuta-manual/C/build.xml:
	* manuals/anjuta-manual/C/debugger.xml:
	* manuals/anjuta-manual/C/fileoperations.xml:
	* manuals/anjuta-manual/C/interface.xml:
	* manuals/anjuta-manual/C/introduction.xml:
	* manuals/anjuta-manual/C/preferences.xml:
	* manuals/anjuta-manual/C/projects.xml:
	* manuals/anjuta-manual/C/tools.xml:
	Copy edited the entire Anjuta manual, making zillions of small improvements to
	grammar and wording.
	Removed description of tags browser in browser toolbar; this no longer exists.
	This fixes #565381 (Anjuta manual needs copy editing).

2008-12-22  Johannes Schmid  <jhs@gnome.org>

	* plugins/document-manager/anjuta-bookmarks.c (on_title_edited),
	(anjuta_bookmarks_init), (anjuta_bookmarks_get_text),
	(anjuta_bookmarks_add):
	Be able to assign names to bookmarks and use selection or symbol-manager scope
	as default name

2008-12-18  Adam Dingle  <adam@medovina.org>

  Reviewed by: Johannes Schmid <jhs@gnome.org>
   
  * plugins/document-manager/anjuta-document-manager.ui:
  * plugins/document-manager/plugin.c:
  Fixed #564987 – Save All, Close All should appear in Documents menu.
  Added an icon to the Save All menu item.

  * plugins/document-manager/plugin.c:
  Fixed #565002 – Redo shortcut should be Ctrl+Shift+Z
  
  * plugins/document-manager/plugin.c:
  Fixed #565016 – Previous History and Next History should have shortcuts

  * plugins/search/search-replace_backend.c
    (file_buffer_line_from_pos), (file_match_line_from_pos),
  (extra_match), (get_next_regex_match), (match_info),
  (get_next_ascii_match), (normalize), (normal_advance),
  (get_next_utf8_match), (str_is_ascii), (get_next_match):
  * plugins/search/search-replace_backend.h: 	
  Rewrote the UTF-8 search implementation to be faster and more robust.
  When a search string is ASCII (which is virtually always the case),
  we now bypass UTF-8 search altogether; this speeds up searching enormously.
  Fixed bugs that sometimes caused incorrect lines to appear in the find output.
  This fixes #563585 (Find in Files is extremely slow).

2008-12-20  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/symbol-db-engine-priv.h:
	I forgot to add this file.

2008-12-20  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/Makefile.am:
	* plugins/symbol-db/plugin.c (symbol_db_activate),
	(on_prefs_package_remove):
	* plugins/symbol-db/plugin.h:
	* plugins/symbol-db/symbol-db-engine-core.c
	(sdb_engine_cache_lookup), (sdb_engine_insert_cache),
	(sdb_engine_clear_caches), (sdb_engine_init_caches),
	(sdb_engine_execute_unknown_sql), (sdb_engine_execute_select_sql),
	(sdb_engine_execute_non_select_sql),
	(sdb_engine_get_statement_by_query_id),
	(sdb_engine_get_dyn_query_node_by_id),
	(sdb_engine_dyn_child_query_node_destroy),
	(sdb_engine_insert_dyn_query_node_by_id),
	(sdb_engine_get_query_parameters_list),
	(sdb_engine_free_cached_queries),
	(sdb_engine_free_cached_dynamic_queries),
	(sdb_engine_disconnect_from_db),
	(sdb_engine_get_tuple_id_by_unique_name),
	(sdb_engine_get_tuple_id_by_unique_name2),
	(sdb_engine_get_tuple_id_by_unique_name3),
	(sdb_engine_get_tuple_id_by_unique_name4),
	(sdb_engine_get_file_defined_id),
	(sdb_engine_udpated_scope_gtree_populate),
	(sdb_engine_populate_db_by_tags), (sdb_engine_ctags_output_thread),
	(sdb_engine_timeout_trigger_signals), (sdb_engine_thread_monitor),
	(sdb_engine_ctags_output_callback_1), (on_scan_files_end_1),
	(sdb_engine_ctags_launcher_create), (sdb_engine_scan_files_1),
	(sdb_engine_init), (sdb_engine_unlink_shared_files),
	(sdb_engine_unref_removed_launchers),
	(sdb_engine_terminate_threads), (sdb_engine_finalize),
	(sdb_engine_class_init), (sdb_engine_get_type),
	(symbol_db_engine_set_ctags_path), (symbol_db_engine_new),
	(sdb_engine_set_defaults_db_parameters),
	(sdb_engine_connect_to_db), (sdb_engine_create_db_tables),
	(symbol_db_engine_db_exists), (symbol_db_engine_file_exists),
	(symbol_db_engine_close_db), (symbol_db_engine_open_db),
	(symbol_db_engine_add_new_workspace),
	(symbol_db_engine_project_exists),
	(symbol_db_engine_add_new_project), (sdb_engine_add_new_language),
	(sdb_engine_add_new_file), (sdb_engine_get_unique_scan_id),
	(symbol_db_engine_add_new_files), (sdb_engine_add_new_sym_type),
	(sdb_engine_add_new_sym_kind), (sdb_engine_add_new_sym_access),
	(sdb_engine_add_new_sym_implementation),
	(sdb_engine_add_new_heritage),
	(sdb_engine_add_new_scope_definition),
	(sdb_engine_add_new_tmp_heritage_scope),
	(sdb_engine_second_pass_update_scope_1),
	(sdb_engine_second_pass_update_scope),
	(sdb_engine_second_pass_update_heritage),
	(sdb_engine_second_pass_do), (sdb_engine_add_new_symbol),
	(sdb_engine_detects_removed_ids), (sdb_engine_update_file),
	(on_scan_update_files_symbols_end),
	(symbol_db_engine_get_sym_type_conversion_hash),
	(symbol_db_engine_fill_type_array),
	(symbol_db_engine_update_files_symbols),
	(symbol_db_engine_update_project_symbols),
	(symbol_db_engine_remove_file), (symbol_db_engine_remove_files),
	(on_scan_update_buffer_end),
	(symbol_db_engine_update_buffer_symbols):
	* plugins/symbol-db/symbol-db-engine-core.h:
	* plugins/symbol-db/symbol-db-engine-queries.c
	(sdb_engine_walk_down_scope_path),
	(sdb_engine_prepare_file_info_sql),
	(sdb_engine_prepare_symbol_info_sql),
	(symbol_db_engine_get_class_parents_by_symbol_id),
	(symbol_db_engine_get_class_parents),
	(symbol_db_engine_get_global_members_filtered),
	(symbol_db_engine_get_scope_members_by_symbol_id_filtered),
	(symbol_db_engine_get_scope_members_by_symbol_id),
	(symbol_db_engine_get_scope_members),
	(symbol_db_engine_get_current_scope),
	(symbol_db_engine_get_file_symbols),
	(symbol_db_engine_get_symbol_info_by_id),
	(symbol_db_engine_find_symbol_by_name_pattern),
	(symbol_db_engine_get_parent_scope_id_by_symbol_id),
	(symbol_db_engine_find_symbol_by_name_pattern_filtered),
	(symbol_db_engine_get_files_for_project):
	* plugins/symbol-db/symbol-db-engine-queries.h:
	* plugins/symbol-db/symbol-db-engine-utils.c
	(symbol_db_glist_compare_func), (symbol_db_gtree_compare_func),
	(symbol_db_engine_is_locked),
	(symbol_db_engine_get_full_local_path),
	(symbol_db_engine_get_file_db_path),
	(symbol_db_engine_get_files_with_zero_symbols):
	* plugins/symbol-db/symbol-db-engine-utils.h:
	* plugins/symbol-db/symbol-db-engine.c:
	* plugins/symbol-db/symbol-db-engine.h:
	* plugins/symbol-db/symbol-db-view-locals.c
	(symbol_db_view_locals_update_list):
	* plugins/symbol-db/symbol-db-view-search.c:
	* plugins/symbol-db/symbol-db-view-search.h:
	* plugins/symbol-db/symbol-db-view.c (on_scan_end),
	(sdb_view_init), (symbol_db_view_open):
	symbol-db-engine refactoring. Fixed #564048 - Split symbol-db-engine into 
	several files.

2008-12-20  Carl-Anton Ingmarsson  <ca.ingmarsson@gmail.com>

	reviewed by: Sébastien Granjoux  <seb.sfo@free.fr>

	* manuals/reference/libanjuta/libanjuta.types:
	Fix #565189 - anjuta fails to build due to IAnjutaBookmark not being
	removed from documentation

2008-12-20  Sébastien Granjoux  <seb.sfo@free.fr>

	* libanjuta/anjuta-profile.c:
	Fix #564673 - I cannot activate sourceview plugin over scintilla
	Was due to an error in the previous patch

2008-12-20  Pedro Fragoso  <ember@ubuntu.com>

	reviewed by: Sébastien Granjoux  <seb.sfo@free.fr>

	* libanjuta/anjuta-message-area.h:
	* libanjuta/anjuta-preferences-dialog.c:
	* libanjuta/anjuta-preferences-dialog.h:
	* libanjuta/anjuta-profile.c:
	* libanjuta/anjuta-save-prompt.c:
	* libanjuta/anjuta-save-prompt.h:
	* libanjuta/anjuta-shell.h:
	* libanjuta/anjuta-status.c:
	* libanjuta/anjuta-status.h:
	* libanjuta/anjuta-ui.c:
	* libanjuta/anjuta-ui.h:
	* libanjuta/cell-renderer-captioned-image.h:
	* libanjuta/e-splash.h:
	* libanjuta/interfaces/libanjuta.idl:
	* libanjuta/resources.h:
	* plugins/class-gen/cell-renderer-flags.c:
	* plugins/class-gen/cell-renderer-flags.h:
	* plugins/class-gen/combo-flags.c:
	* plugins/class-gen/combo-flags.h:
	* plugins/class-gen/element-editor.c:
	* plugins/class-gen/element-editor.h:
	* plugins/class-gen/transform.h:
	* plugins/class-gen/validator.c:
	* plugins/class-gen/validator.h:
	* plugins/class-gen/window.c:
	* plugins/class-gen/window.h:
	* plugins/class-gen/plugin.c:
	* plugins/debug-manager/locals.h:
	* plugins/debug-manager/sexy-icon-entry.h:
	* plugins/debug-manager/sharedlib.h:
	* plugins/debug-manager/signals.h:
	* plugins/debug-manager/stack_trace.h:
	* plugins/debug-manager/threads.h:
	* plugins/debug-manager/watch.h:
	* plugins/document-manager/anjuta-docman.c:
	* plugins/document-manager/anjuta-docman.h:
	* plugins/document-manager/search-box.c:
	* plugins/document-manager/search-box.h:
	* plugins/file-loader/anjuta-recent-chooser-menu.c:
	* plugins/file-loader/anjuta-recent-chooser-menu.h:
	* plugins/file-loader/plugin.h:
	* plugins/file-manager/file-model.h:
	* plugins/file-manager/file-view.h:
	* plugins/file-wizard/plugin.c:
	* plugins/gdb/debugger.h:
	* plugins/gtodo/egg-datetime.h:
	* plugins/gtodo/eggtrayicon.h:
	* plugins/gvim/gtkvim.h:
	* plugins/indent/plugin.h:
	* plugins/message-view/anjuta-msgman.c:
	* plugins/message-view/anjuta-msgman.h:
	* plugins/project-import/plugin.c:
	* plugins/project-wizard/action.c:
	* plugins/project-wizard/autogen.c:
	* plugins/project-wizard/druid.c:
	* plugins/project-wizard/druid.h:
	* plugins/project-wizard/file.c:
	* plugins/project-wizard/header.c:
	* plugins/project-wizard/parser.c:
	* plugins/project-wizard/property.c:
	* plugins/sourceview/sourceview-cell.c:
	* plugins/sourceview/sourceview-cell.h:
	* plugins/sourceview/assist-tip.h:
	* plugins/sourceview/assist-window.h:
	* plugins/sourceview/sourceview.h:
	* plugins/starter/starter.h:
	* plugins/symbol-browser/an_symbol_prefs.c:
	* plugins/symbol-browser/an_symbol_search.c:
	* plugins/symbol-browser/an_symbol_search.h:
	* plugins/symbol-browser/anjuta-symbol-locals.c:
	* plugins/symbol-browser/anjuta-symbol-locals.h:
	* plugins/symbol-db/symbol-db-prefs.c:
	* plugins/symbol-db/symbol-db-view-search.c:
	* src/about.c:
	* src/anjuta-app.c:
	* src/main.c:
	* src/start-with.c:
	* src/shell.h:
	GNOME Goal: Clean up GLib and GTK+ includes (Closes: #563889)	

2008-12-20  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/class-gen/plugin.c:
	Update class generator plugin to new IAnjutaVCS API

2008-12-20  James Liggett  <jrliggett@cox.net>

	* libanjuta/interfaces/libanjuta.idl:
	Document the callback and user data parameters for IAnjutaVcs::diff. 

2008-12-20  James Liggett  <jrliggett@cox.net>

	* libanjuta/interfaces/libanjuta.idl:
	Indicate that GCancellable parameters in IAnjutaVcs methods are optional,
	and that NULL is a perfectly valid arguement for them. 

2008-12-20  James Liggett  <jrliggett@cox.net>

	* libanjuta/interfaces/libanjuta.idl:
	Small case fixes in documentation of IAnjutaVcs method callbacks
	(IAnjutaVCS -> IAnjutaVcs). 

2008-12-20  James Liggett  <jrliggett@cox.net>

	* libanjuta/interfaces/libanjuta.idl:
	The checkout method in IAnjutaVcs should take a GCancellable parameter so
	that it can be canceled. 

2008-12-19  James Liggett  <jrliggett@cox.net>

	* libanjuta/interfaces/libanjuta.idl:
	Start using AnjutaAsyncNotify in IAnjutaVCS.

2008-12-19  James Liggett  <jrliggett@cox.net>

	* libanjuta/interfaces/libanjuta.idl:
	Various fixes to IAnjutaVCS interface, mostly just documentation and 
	indentation.

2008-12-20  Jens Georg <mail@jensge.org>

	reviewed by: Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/profiler/plugin.c (profiler_set_target):
	requires now glib 2.16 instead of 2.18.

2008-12-19  Jens Georg <mail@jensge.org>

	reviewed by: Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/search/search-replace_backend.c,
	plugins/search/search-replace.c: 
	#511589 – Anjuta uses GNOME-VFS

2008-12-19  Jens Georg  <mail@jensge.org>

	reviewed by: Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/macro/macro-db.c: 
	#511589 – Anjuta uses GNOME-VFS

2008-12-19  Jens Georg  <mail@jensge.org>

	reviewed by: Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/message-view/message-view.c: 
	#511589 – Anjuta uses GNOME-VFS

2008-12-19  Jens Georg  <mail@jensge.org>

	reviewed by: Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/profiler/plugin.c, 
	plugins/profiler/plugin.h,
	plugins/profiler/gprof-profile-data.c: 
	#511589 – Anjuta uses GNOME-VFS

2008-12-19  Jens Georg  <jens@einstein>

	reviewed by: Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/valgrind/vgdefaultview.c,
	plugins/valgrind/plugin.c,
	libanjuta/anjuta-utils.c:
	#511589 – Anjuta uses GNOME-VFS

2008-12-19  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/plugin.c (value_added_current_editor):
	* plugins/symbol-db/symbol-db-view.c (on_symbol_removed):
	removed DEBUG_PRINT. 

	* plugins/symbol-db/symbol-db-engine.c
	(symbol_db_engine_get_file_db_path):
	* plugins/symbol-db/symbol-db-view-search.c
	(sdb_view_search_model_filter), (sdb_view_search_init):
	fixed #563980 - displayed some more info on search tab.

2008-12-19  Sébastien Granjoux  <seb.sfo@free.fr>

	* src/anjuta.c,
	libanjuta/anjuta-utils.c,
	libanjuta/anjuta-utils.h:
	Partial fix for #511589 - Anjuta uses GNOME-VFS

	* plugins/file-loader/plugin.c:
	Do not use fragment in URI converted to GFile
	Remove recent menu item if destination cannot be opened
	Fix #309664 - Some file types impossible to open In Anjuta

	* plugins/document-manager/anjuta-docman.c:
	No need to handle fragment in URI returned by GFile

	* plugins/file-loader/Makefile.am:
	Define G_LOG_DOMAIN for file loader plugin

2008-12-19  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/symbol-db-engine-iterator.c
	(symbol_db_engine_iterator_first),
	(symbol_db_engine_iterator_last),
	(symbol_db_engine_iterator_set_position):
	using gda_data_model_iter_move_to_row () to use the latest libgda apis.

2008-12-19  Johannes Schmid  <jhs@gnome.org>

	* libanjuta/interfaces/libanjuta.idl:
	* plugins/document-manager/Makefile.am:
	* plugins/document-manager/action-callbacks.c:
	* plugins/document-manager/action-callbacks.h:
	* plugins/document-manager/anjuta-bookmarks.c
	(on_document_changed), (on_add_clicked), (on_remove_clicked),
	(on_row_activate), (on_document_added), (on_selection_changed),
	(anjuta_bookmarks_init), (anjuta_bookmarks_finalize),
	(anjuta_bookmarks_class_init), (anjuta_bookmarks_new),
	(anjuta_bookmarks_add), (anjuta_bookmarks_remove),
	(anjuta_bookmarks_session_save), (anjuta_bookmarks_session_load):
	* plugins/document-manager/anjuta-bookmarks.h:
	* plugins/document-manager/anjuta-document-manager.ui:
	* plugins/document-manager/plugin.c (register_stock_icons),
	(activate_plugin), (deactivate_plugin):
	* plugins/document-manager/plugin.h:
	* plugins/editor/aneditor.cxx:
	* plugins/editor/text_editor.c:
	* plugins/search/search-replace.c (search_and_replace):
	* plugins/sourceview/sourceview-io.c (on_save_finished):
	* plugins/sourceview/sourceview.c:
  New bookmark system. Will be extended to remember bookmarks across sessions
  and with some other things soon.

	* plugins/file-manager/file-view.c (file_view_row_activated),
	(file_view_do_popup_menu), (file_view_button_press_event),
	(file_view_popup_menu), (file_view_class_init):
	Fixed mouse actions and popup-menu handling to use the correct gtk+ stuff.

2008-12-17  James Liggett  <jrliggett@cox.net>

	* libanjuta/Makefile.am:
	* libanjuta/anjuta-async-notify.c (anjuta_async_notify_init),
	(anjuta_async_notify_finalize), (anjuta_async_notify_finished),
	(anjuta_async_notify_class_init), (anjuta_async_notify_new),
	(anjuta_async_notify_get_error), (anjuta_async_notify_set_error),
	(anjuta_async_notify_notify_finished):
	* libanjuta/anjuta-async-notify.h:
	Add new AnjutaAsyncNotify object to libanjuta to handle 
	finish notifications for interfaces that usually work asynchronously,
	like IAnjutaVCS. 

2008-12-14  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/file-loader/plugin.c:
	Fix a regression due to patch for #564377, files were not reopened
	when Anjuta restart

2008-12-14  Adam Dingle  <adam@medovina.org>

	reviewed by: Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/sourceview/sourceview.c (find_open_bracket),
	(find_close_bracket), (iselect_block):
	fixed #563490 – Select Code Block command selects nothing in GtkSourceView editor

2008-12-14  Johannes Schmid <jhs@gnome.org>

	Patch from Yuriy Penkin <yuriy.penkin@gmail.com>:
	* plugins/sourceview/sourceview-io.c (on_save_finished):
	#559806 – Anjuta crashes when closing unsaved file

2008-12-14  Adam Dingle  <adam@medovina.org>

	reviewed by: Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/document-manager/plugin.c (update_status):
	Fixed #563988 – don't display zoom factor when using GtkSourceView editor
	* plugins/build-basic-autotools/plugin.c (on_build_terminated),
	plugins/tools/execute.c (atp_output_context_print_result):
	#564295 - minor English fix

	* plugins/document-manager/search-box.c (search_box_init),
	plugins/search/anjuta-search.glade,
	plugins/search/plugin.c (find_incremental),
	plugins/search/search-replace.c (search_replace_populate),
	(search_update_dialog), (search_replace_find_usage),
	plugins/search/search-replace.h,
	plugins/search/search-replace_backend.c (get_next_match),
	plugins/search/search-replace_backend.h,
	plugins/search/search_preferences.c
	(search_preferences_read_setting),
	(search_preferences_setting_by_default),
	(search_preferences_save_setting):
	fixed #563500 – inconsistent case sensitivity defaults
 
2008-12-14  Yuriy Penkin <yuriy.penkin@gmail.com>

	reviewed by: Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/document-manager/anjuta-docman.c:
	Fix #564377: Avoid opening an empty buffer when file does not exist

2008-12-14  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/git/anjuta-git.glade:
	Add comments for issues of bug #549374

	* po/POTFILES.in:
	Add two missing files in translation list

2008-12-13  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/plugin.c (gtree_compare_func),
	(on_editor_buffer_symbols_update_timeout),
	(on_project_element_added), (do_check_offline_files_changed),
	(on_scan_end_manager), (symbol_db_activate):
	* plugins/symbol-db/plugin.h:
	* plugins/symbol-db/symbol-db-engine.c
	(sdb_engine_get_dyn_query_node_by_id),
	(sdb_engine_insert_dyn_query_node_by_id),
	(sdb_engine_populate_db_by_tags), (sdb_engine_ctags_output_thread),
	(sdb_engine_scan_files_1), (sdb_engine_init):
	* plugins/symbol-db/symbol-db-prefs.c (symbol_db_prefs_new):
	code cleaning and converted (gpointer) to GINT_TO_POINTER to avoid x64 problems.
	Implemented last scan-end task on plugin.c.

2008-12-12  Massimo Cora'  <mcora@svn.gnome.org>

	reviewed by: Johannes Schmid <jhs@gnome.org>

	* plugins/symbol-db/plugin.c
	(on_editor_buffer_symbol_update_scan_end),
	(on_editor_buffer_symbols_update_timeout):
	* plugins/symbol-db/symbol-db-engine.c (sdb_engine_add_new_symbol):
	* plugins/symbol-db/symbol-db-engine.h:
	#562808 – symbol-db crashes with latest libgda

2008-12-11  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/tools/plugin.c,
	plugins/tools/anjuta-tools.glade,
	plugins/tools/tool.c,
	plugins/tools/tool.h,
	plugins/tools/variable.c,
	plugins/tools/editor.c:
	Partial fix #560857: Remove use of g_mem_chunk in tools plugin
	Partial fix #513156: Get rid of libgnome(ui)

2008-12-11  Adam Dingle  <adam@medovina.org>

	reviewed by: Sébastien Granjoux  <seb.sfo@free.fr>

	* src/anjuta.ui,
	src/main.c,
	plugins/build-basic-autotools/plugin.c,
	plugins/build-basic-autotools/anjuta-build-basic-autotools-plugin.ui,
	(added) plugins/build-basic-autotools/anjuta-build-24.png,
	(added) plugins/build-basic-autotools/anjuta-build-16.png,
	plugins/build-basic-autotools/Makefile.am,
	plugins/run-program/plugin.c,
	plugins/run-program/anjuta-run-program.ui:
	Implemented #563692: added a toolbar with build and execute buttons

2008-12-11  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/plugin.c (gtree_compare_func),
	(on_editor_buffer_symbol_update_scan_end),
	(on_editor_buffer_symbols_update_timeout), (on_editor_saved),
	(value_added_current_editor), (do_add_new_files),
	(on_project_element_added), (project_import_scan_end),
	(do_import_project_sources_after_abort),
	(do_import_project_sources), (do_import_system_sources),
	(do_update_project_symbols), (do_check_offline_files_changed),
	(on_project_root_added), (on_scan_end_manager),
	(symbol_db_activate), (symbol_db_deactivate),
	(isymbol_manager_search):
	* plugins/symbol-db/plugin.h:
	* plugins/symbol-db/symbol-db-engine.c
	(sdb_engine_insert_dyn_query_node_by_id),
	(sdb_engine_timeout_trigger_signals), (sdb_engine_thread_monitor),
	(symbol_db_engine_update_files_symbols),
	(symbol_db_engine_update_project_symbols):
	* plugins/symbol-db/symbol-db-engine.h:
	* plugins/symbol-db/symbol-db-view-locals.c (add_new_waiting_for),
	(symbol_db_view_locals_recv_signals_from_engine),
	(symbol_db_view_locals_update_list):
	* plugins/symbol-db/symbol-db-view-locals.h:
	* plugins/symbol-db/symbol-db-view.c
	(symbol_db_view_recv_signals_from_engine):
	code cleaning, mostly on the locals symbols and in the plugin scan-end
	management.
	Fixed bug #562808.

2008-12-11  Johannes Schmid <jhs@gnome.org>

	* libanjuta/anjuta-status.c (anjuta_status):
	* plugins/document-manager/plugin.c (on_gconf_notify_timer):
	* plugins/editor/text_editor.c (on_text_editor_uri_changed):
	* plugins/symbol-db/plugin.c
	(on_editor_buffer_symbol_update_scan_end),
	(on_editor_buffer_symbols_update_timeout),
	(value_added_current_editor), (on_prefs_buffer_update_toggled):
	Save some uW (http://gould.cx/ted/blog/Saving_the_world_one__w_at_a_time) by
	using g_timeout_add_seconds instead of g_timeout_add where possible.

	* plugins/symbol-db/symbol-db-engine.c (gtree_compare_func),
	(sdb_engine_get_dyn_query_node_by_id),
	(sdb_engine_insert_dyn_query_node_by_id),
	(sdb_engine_ctags_output_thread),
	(sdb_engine_timeout_trigger_signals),
	(sdb_engine_get_unique_scan_id), (sdb_engine_add_new_symbol),
	(sdb_engine_detects_removed_ids),
	(symbol_db_engine_update_buffer_symbols):
	* plugins/symbol-db/symbol-db-view-locals.c (gtree_compare_func),
	(traverse_on_scan_end), (consume_symbols_inserted_queue_idle):
	* plugins/symbol-db/symbol-db-view.c (gtree_compare_func),
	(symbol_db_view_row_collapsed):
	Fix lots of 64-bit problems by using GPOINTER_TO_INT and GINT_TO_POINTER instead
	of direct (unsave) casts.
	
	* plugins/document-manager/anjuta-document-manager.ui:
	Remove "Print" and "Reload" from toolbar as they are not common enough.

2008-12-10  Johannes Schmid <jschmid@gnome.org>

	* plugins/message-view/message-view.c (message_view_instance_init):
	#563696 – garbage pixels appear in build output

2008-12-10  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/class-gen/window.c,
	plugins/class-gen/element-editor.c:
	Fix #563685 crash when trying to create a GObject

2008-12-09  Sébastien Granjoux  <seb.sfo@free.fr>

	* src/anjuta.glade,
	plugins/project-wizard/druid.c,
	plugins/project-wizard/property.c,
	libanjuta/anjuta-preferences.c:
	Fix #563753 default project directory is "/" until I set it explicitly

2008-12-09  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/gtodo/interface.c,
	plugins/gtodo/plugin.c,
	plugins/gtodo/libgtodo.c,
	plugins/gtodo/libgtodo.h:
	Fix #563586 Crash if project TODO.tasks is not readable

2008-12-07  Jens Georg  <mail@jensge.org>

	reviewed by: Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/gtodo/export.c,
	plugins/gtodo/plugin.c,
	plugins/gtodo/libgtodo.c,
	plugins/gtodo/libgtodo.h:
	#511589 – Anjuta uses GNOME-VFS

2008-12-07  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/class-gen/plugin.c:
	Fix #559951: Class Generator cannot add new class

2008-12-05  Naba Kumar  <naba@naba-desktop>

	Patch from Ignacio Casal Quinteiro  <nacho.resa@gmail.com>:

	* data/default.profile:
	* plugins/Makefile.am:
	* plugins/starter/starter.c (recent_project_clicked_cb),
	(starter_instance_init), (starter_new):
	Added the subdir to plugins/Makefile.am. Since we are not going to
	use it in the document-manager then it is not
	neccessary implement all that interfaces in the starter.[ch]

2008-12-07  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/file-manager/file-model.c:
	Fix #563530: "Do not show binary files" should add ".pyc" and ".pyo"

2008-12-07  Sébastien Granjoux  <seb.sfo@free.fr>

	* libanjuta/anjuta-plugin-manager.c:
	Fix #552081: Dependent plugins are not added in the preference dialog

2008-12-07  Johannes Schmid  <jhs@gnome.org>

	* plugins/message-view/message-view.c (message_view_instance_init):
	Fixed horizontal scrolling in message-view

2008-12-05  Naba Kumar  <naba@naba-desktop>

	* AUTHORS: Fixed format.
	* manuals/anjuta-manual/C/authors.xml: Fixed link to authors page.

2008-12-05  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	Reviewed by Naba Kumar  <naba@gnome.org>:

	* src/action-callbacks.c:
	* libanjuta/anjuta-utils.c:
	* libanjuta/anjuta-utils.h:
	Changed argument from GtkWindow to GtkWidget.
	
	* plugins/starter/plugin.c:
	* plugins/starter/plugin.h:
	* plugins/starter/starter.c:
	* plugins/starter/starter.h:
	* plugins/starter/anjuta-starter.plugin.in:
	* plugins/starter/starter_logo.png:
	* plugins/starter/Makefile.am:
	* src/layout.xml:
	* data/default.profile:
	* configure.in:
	Added starter plugin. (Changes by Naba: dock the starter widget directly
	to the shell instead of putting it as an editor in document-manager.
	Removed on-session-load signal which is not necessary since this widget
	can stay as quick shortcuts while working on projects. Added it in data/
	default.profile and src/layout.xml to load at startup)

2008-12-06  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/file-manager/plugin.c,
	plugins/file-manager/file-model.c:
	Fix #560284: Crash when deleting a folder outside Anjuta

2008-12-05  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/build-basic-autotools/plugin.c,
	plugins/build-basic-autotools/program.c,
	manuals/reference/libanjuta/libanjuta-sections.txt,
	libanjuta/anjuta-utils.c,
	libanjuta/anjuta-utils.h:
	Move shell_expand function in anjuta-util

	* plugins/project-wizard/property.c:
	Fix #562623: Project creation fails if path uses a tilde

2008-12-05  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/file-wizard/file.c,
	plugins/file-wizard/anjuta-file-wizard.glade,
	plugins/project-manager/plugin.c:
	Fix #562754: Create corresponding header file does not work

2008-12-03  Sébastien Granjoux  <seb.sfo@free.fr>

	* src/anjuta.c:
	Allow to pass project path in command line instead of only URI

	* plugins/project-manager/anjuta-project-manager.plugin.in,
	libanjuta/anjuta-plugin-description.c,
	libanjuta/anjuta-plugin-description.h,
	libanjuta/anjuta-plugin-handle.c,
	libanjuta/anjuta-profile-manager.c:
	Fix #548873: File->Close project menu remains active after closing
	a project

	* manuals/reference/libanjuta/plugin-description-file.sgml,
	manuals/reference/libanjuta/libanjuta-sections.txt,
	libanjuta/anjuta-profile.c,
	libanjuta/anjuta-profile.h,
	libanjuta/anjuta-profile-manager.h:
	Document AnjutaProfile and AnjutaProfileManager

2008-11-30  Johannes Schmid  <jhs@gnome.org>

	* plugins/devhelp/Makefile.am:
	* plugins/devhelp/anjuta-go-help-next.svg:
	* plugins/devhelp/anjuta-go-help-prev.svg:
	Removed icons
	
	* plugins/devhelp/plugin.c (on_online_clicked), (on_load_finished),
	(devhelp_activate):
	* plugins/devhelp/plugin.h:
	Added button to access online API help (library.gnome.org) and improved 
	back/forward handling

2008-11-30  Johannes Schmid  <jhs@gnome.org>

	Patch from: Ignacio Casal Quinteiro  <nacho.resa@gmail.com>
	* plugins/devhelp/plugin.c (devhelp_tree_link_selected_cb),
	(devhelp_search_link_selected_cb), (on_go_back_clicked),
	(on_go_forward_clicked), (api_reference_idle), (devhelp_activate),
	(devhelp_deactivate), (ihelp_search):
	* plugins/devhelp/plugin.h:
	#562750 – The view should be showed when you search something.
	
	* plugins/message-view/message-view.c (message_view_instance_init),
	(update_button_labels), (imessage_view_append),
	(imessage_view_clear), (message_view_tree_view_filter):
	Add a button to suppress normal message (show errors & warnings only)
	Use fixed height mode to optimize performance

2008-11-30  Naba Kumar  <naba@gnome.org>

	Patch from: Ignacio Casal Quinteiro
 
	* libanjuta/anjuta-c-module.c (anjuta_c_module_get_last_error):
	* libanjuta/anjuta-session.c (anjuta_session_clear):
	* libanjuta/anjuta-utils.c (anjuta_util_dialog_error),
	(anjuta_util_dialog_warning), (anjuta_util_dialog_info),
	(anjuta_util_dialog_error_system),
	(anjuta_util_dialog_boolean_question): Fixes build warnings. Part of
	Bug #558910: libanjuta has several warnings


2008-11-30  Naba Kumar  <naba@gnome.org>

	* configure.in,
	* plugins/devhelp/plugin.c (devhelp_dispose): Fixed devhelp version
	check in configure and fixed devhelp plugin build for non-embedded
	mode.

	* libanjuta/anjuta-vcs-status.h: Added newline at the
	end of file.

2008-11-30  Naba Kumar  <naba@gnome.org>

	Patch from:  Ignacio Casal Quinteiro

	* libanjuta/anjuta-utils.[ch]: Improved copy file funtion to
	use gio.

2008-11-30  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/Makefile.am:
	* plugins/symbol-db/plugin.c
	(on_editor_buffer_symbols_update_timeout),
	(value_added_current_editor), (do_add_new_files),
	(on_importing_project_end), (on_received_project_import_end):
	* plugins/symbol-db/readtags.c (readNext), (readFieldValue):	
	(sdb_engine_ctags_launcher_create):
	* plugins/symbol-db/symbol-db-view-locals.c
	(do_add_child_symbol_to_view), (traverse_on_scan_end),
	(add_waiting_for_symbol_to_view), (trigger_on_symbol_inserted),
	(add_new_waiting_for), (do_recurse_subtree_and_invalidate),
	(prepare_for_adding), (consume_symbols_inserted_queue_idle),
	(do_recurse_subtree_and_remove), (on_symbol_removed),
	(on_symbol_scope_updated), (on_symbol_inserted):
	* plugins/symbol-db/symbol-db-view.c (traverse_free_waiting_for),
	(symbol_db_view_clear_cache), (do_add_child_symbol_to_view),
	(add_waiting_for_symbol_to_view), (trigger_on_symbol_inserted),
	(add_new_waiting_for), (do_recurse_subtree_and_invalidate),
	(prepare_for_adding), (on_symbol_inserted),
	(do_recurse_subtree_and_remove), (on_symbol_removed),
	(sdb_view_row_expanded_idle_destroy), (sdb_view_row_expanded_idle),
	(sdb_view_namespace_row_expanded), (sdb_view_global_row_expanded),
	(sdb_view_vars_row_expanded), (symbol_db_view_row_expanded),
	(symbol_db_view_row_collapsed),
	(sdb_view_build_and_display_base_tree), (symbol_db_view_open):
	code cleaning, fixed two critical warnings.
	Added -DG_LOG_DOMAIN=\"libanjuta-symbol-db\" for debug purposes.

	* plugins/symbol-db/symbol-db-engine.c:
	added --sort=no option, probably speeding up tags generation.

2008-11-30  Johannes Schmid  <jhs@idefix>

  Patch from: Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.in:
	* plugins/devhelp/Makefile.am:
	* plugins/devhelp/anjuta-devhelp.ui:
	* plugins/devhelp/htmlview.c:
	* plugins/devhelp/htmlview.h:
	* plugins/devhelp/plugin.c (register_stock_icons),
	(devhelp_tree_link_selected_cb), (devhelp_search_link_selected_cb),
	(on_go_back_clicked), (on_go_forward_clicked), (context_idle),
	(value_added_current_editor), (value_removed_current_editor),
	(devhelp_activate), (devhelp_deactivate),
	(anjuta_devhelp_check_history), (devhelp_finalize),
	(devhelp_dispose), (devhelp_class_init), (ihelp_search):
	* plugins/devhelp/plugin.h:
	#560311 – Update devhelp plugin to use webkit version
	(also fixes #562451 – update configure check of devhelp to avoid devhelp/webkit)

2008-11-29  Sébastien Granjoux  <seb.sfo@free.fr>

	* (added) libanjuta/anjuta-debug.c,
	libanjuta/anjuta-debug.h,
	libanjuta/Makefile.am,
	plugins/gdb/Makefile.am,
	src/main.c,
	src/Makefile.am:
	Use gcc extension to allow using DEBUG_PRINT without a format string
	Allow to filter g_debug message using ANJUTA_LOG_DOMAINS environment
	variable

	* manuals/reference/libanjuta/libanjuta-sections.txt,
	libanjuta/anjuta-plugin-manager.c,
	libanjuta/anjuta-profile.c:
	Update libanjuta documerntation

2008-11-25  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/plugin.c (do_add_new_files),
	(on_project_element_added), (do_import_project_src_after_abort),
	(do_import_project_sources), (do_check_offline_files_changed),
	(on_project_root_added):
	* plugins/symbol-db/symbol-db-engine.c
	(symbol_db_engine_add_new_files), (symbol_db_engine_remove_file):
	code cleaning. Added check for offline Makefile.am changes.
	Fixed bug #558171.

2008-11-25  Yuriy Penkin <yuriy.penkin@gmail.com>

	reviewed by: Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/file-manager/file-view.c:
	Fix #557767 - Open file in file tree view on press Enter

2008-11-24  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	reviewed by: Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/search/search_preferences.c:
	Removed deprecated funcs.

2008-11-24  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	reviewed by: Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/build-basic-autotools/plugin.c:
	Removed deprecated funcs.

	* plugins/valgrind/vgrule-list.c,
	plugins/valgrind/vgactions.c:
	Removed deprecated funcs.

2008-11-23  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/message-view/plugin.c:
	Fix 560939 - Duplicated message panes

2008-11-23  Sébastien Granjoux  <seb.sfo@free.fr>

	* (removed) plugins/editor/properties/blitzbasic.properties,
	(removed) plugins/editor/properties/SciTEGlobal.properties,
	(removed) plugins/editor/properties/opal.properties,
	(removed) plugins/editor/properties/scriptol.properties,
	(removed) plugins/editor/properties/baan.properties,
	(removed) plugins/editor/properties/asn1.properties,
	(removed) plugins/editor/properties/pascal.properties,
	(removed) plugins/editor/properties/erlang.properties,
	(removed) plugins/editor/properties/fortran.properties,
	(removed) plugins/editor/properties/caml.properties,
	(removed) plugins/editor/properties/ps.properties,
	(removed) plugins/editor/properties/freebasic.properties,
	(removed) plugins/editor/properties/powershell.properties,
	(removed) plugins/editor/properties/smalltalk.properties,
	(removed) plugins/editor/properties/conf.properties,
	(removed) plugins/editor/properties/eiffel.properties,
	(removed) plugins/editor/properties/csound.properties,
	(removed) plugins/editor/properties/metapost.properties,
	(removed) plugins/editor/properties/matlab.properties,
	(removed) plugins/editor/properties/yaml.properties,
	(removed) plugins/editor/properties/pov.properties,
	(removed) plugins/editor/properties/gap.properties,
	(removed) plugins/editor/properties/vb.properties,
	(removed) plugins/editor/properties/lua.properties,
	(removed) plugins/editor/properties/cpp.properties,
	(removed) plugins/editor/properties/lout.properties,
	(removed) plugins/editor/properties/ada.properties,
	(removed) plugins/editor/properties/mmixal.properties,
	(removed) plugins/editor/properties/kix.properties,
	(removed) plugins/editor/properties/flagship.properties,
	(removed) plugins/editor/properties/vhdl.properties,
	(removed) plugins/editor/properties/sql.properties,
	(removed) plugins/editor/properties/r.properties,
	(removed) plugins/editor/properties/abbrev.properties,
	(removed) plugins/editor/properties/spice.properties,
	(removed) plugins/editor/properties/html.properties,
	(removed) plugins/editor/properties/ave.properties,
	(removed) plugins/editor/properties/abaqus.properties,
	(removed) plugins/editor/properties/nsis.properties,
	(removed) plugins/editor/properties/purebasic.properties,
	(removed) plugins/editor/properties/asm.properties,
	(removed) plugins/editor/properties/ruby.properties,
	(removed) plugins/editor/properties/python.properties,
	(removed) plugins/editor/properties/tcl.properties,
	(removed) plugins/editor/properties/nncrontab.properties,
	(removed) plugins/editor/properties/specman.properties,
	(removed) plugins/editor/properties/au3.properties,
	(removed) plugins/editor/properties/css.properties,
	(removed) plugins/editor/properties/Embedded.properties,
	(removed) plugins/editor/properties/lot.properties,
	(removed) plugins/editor/properties/tex.properties,
	(removed) plugins/editor/properties/bullant.properties,
	(removed) plugins/editor/properties/perl.properties,
	(removed) plugins/editor/properties/inno.properties,
	(removed) plugins/editor/properties/rebol.properties,
	(removed) plugins/editor/properties/others.properties,
	(removed) plugins/editor/properties/verilog.properties,
	(removed) plugins/editor/properties/lisp.properties,
	(removed) plugins/editor/properties/escript.properties,
	(removed) plugins/editor/properties/latex.properties,
	(removed) plugins/editor/properties/cmake.properties,
	(removed) plugins/editor/properties/forth.properties,
	(removed) plugins/editor/properties/d.properties,
	plugins/editor/properties/styles.properties,
	plugins/editor/properties/anjuta.properties,
	plugins/editor/properties/Makefile.am,
	(added) plugins/editor/scintilla/update-properties.pl,
	plugins/editor/properties.cxx,
	plugins/editor/style-editor.c,
	plugins/editor/scintilla/Makefile.am,
	manuals/anjuta-manual/C/fileoperations.xml:
	Fix #312660 Too many click to set "terminus" font

2008-11-22  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/symbol-db-engine.c
	(sdb_engine_timeout_trigger_signals), (sdb_engine_finalize),
	(sdb_engine_add_new_scope_definition):
	fixed bug #561813.

2008-11-18  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/debug-manager/anjuta-debug-manager.glade:
	Fix #561369: Debug->add source path menu item doesn't work

2008-11-16  James Liggett  <jrliggett@cox.net>

	* libanjuta/interfaces/libanjuta.idl:
	Replace the update method with checkout in IAnjutaVCS.

2008-11-16  Naba Kumar  <naba@gnome.org>

	* AUTHORS: Moved Massimo Cora and James Liggett new place.

2008-11-16  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/plugin.c
	(on_editor_buffer_symbol_update_scan_end),
	(on_editor_buffer_symbols_update_timeout), (on_editor_saved),
	(on_importing_project_end), (symbol_db_activate),
	(symbol_db_deactivate):
	* plugins/symbol-db/plugin.h:
	* plugins/symbol-db/symbol-db-engine.c
	(sdb_engine_get_statement_by_query_id),
	(sdb_engine_populate_db_by_tags), (sdb_engine_ctags_output_thread),
	(sdb_engine_timeout_trigger_signals), (sdb_engine_init),
	(sdb_engine_finalize), (sdb_engine_class_init),
	(sdb_engine_get_unique_scan_id), (symbol_db_engine_add_new_files),
	(sdb_engine_add_new_sym_access), (sdb_engine_add_new_heritage),
	(sdb_engine_add_new_scope_definition),
	(sdb_engine_add_new_tmp_heritage_scope),
	(on_scan_update_files_symbols_end),
	(symbol_db_engine_update_files_symbols),
	(on_scan_update_buffer_end),
	(symbol_db_engine_update_buffer_symbols):
	* plugins/symbol-db/symbol-db-engine.h:
	* plugins/symbol-db/symbol-db-system.c
	(on_engine_package_scan_end):
	* plugins/symbol-db/symbol-db-view-locals.c (on_scan_end),
	(symbol_db_view_locals_update_list):
	* plugins/symbol-db/symbol-db-view.c (on_scan_end):
	added code to destroy the pool objects in the engine.
	Now a call to add_files () or similar will return a process_id, instead of a 
	boolean.
	Fixed some docs in the engine. Fixed a bug which could cause GtkTree corruption
	when buffer scan was launched together with save scan.

2008-11-15  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/editor/properties.cxx,
	plugins/editor/properties/Embedded.properties,
	plugins/editor/properties/Makefile.am,
	plugins/editor/properties/SciTEGlobal.properties,
	(added) plugins/editor/properties/abaqus.properties,
	(added) plugins/editor/properties/abbrev.properties,
	plugins/editor/properties/ada.properties,
	plugins/editor/properties/asm.properties,
	plugins/editor/properties/au3.properties,
	plugins/editor/properties/ave.properties,
	plugins/editor/properties/baan.properties,
	(added) plugins/editor/properties/blitzbasic.properties,
	(added) plugins/editor/properties/caml.properties,
	(added) plugins/editor/properties/cmake.properties,
	plugins/editor/properties/conf.properties,
	plugins/editor/properties/cpp.properties,
	(added) plugins/editor/properties/csound.properties,
	plugins/editor/properties/css.properties,
	(added) plugins/editor/properties/d.properties,
	(added) plugins/editor/properties/flagship.properties,
	plugins/editor/properties/forth.properties,
	plugins/editor/properties/fortran.properties,
	(added) plugins/editor/properties/freebasic.properties,
	(added) plugins/editor/properties/gap.properties,
	plugins/editor/properties/html.properties,
	(added) plugins/editor/properties/inno.properties,
	plugins/editor/properties/kix.properties,
	plugins/editor/properties/lout.properties,
	plugins/editor/properties/lua.properties,
	plugins/editor/properties/metapost.properties,
	plugins/editor/properties/mmixal.properties,
	plugins/editor/properties/nsis.properties,
	(added) plugins/editor/properties/opal.properties,
	plugins/editor/properties/others.properties,
	plugins/editor/properties/pascal.properties,
	plugins/editor/properties/perl.properties,
	plugins/editor/properties/pov.properties,
	(added) plugins/editor/properties/powershell.properties,
	(added) plugins/editor/properties/purebasic.properties,
	plugins/editor/properties/python.properties,
	(added) plugins/editor/properties/r.properties,
	(added) plugins/editor/properties/rebol.properties,
	plugins/editor/properties/ruby.properties,
	plugins/editor/properties/scriptol.properties,
	(added) plugins/editor/properties/smalltalk.properties,
	plugins/editor/properties/specman.properties,
	(added) plugins/editor/properties/spice.properties,
	plugins/editor/properties/sql.properties,
	plugins/editor/properties/tcl.properties,
	plugins/editor/properties/tex.properties,
	plugins/editor/properties/vb.properties,
	plugins/editor/properties/verilog.properties,
	plugins/editor/properties/vhdl.properties,
	plugins/editor/properties/yaml.properties,
	plugins/editor/properties_cxx.h,
	plugins/editor/scintilla/AutoComplete.cxx,
	plugins/editor/scintilla/AutoComplete.h,
	plugins/editor/scintilla/CallTip.cxx,
	plugins/editor/scintilla/CallTip.h,
	plugins/editor/scintilla/CellBuffer.cxx,
	plugins/editor/scintilla/CellBuffer.h,
	(added) plugins/editor/scintilla/CharacterSet.h,
	plugins/editor/scintilla/ContractionState.cxx,
	plugins/editor/scintilla/ContractionState.h,
	(added) plugins/editor/scintilla/Decoration.cxx,
	(added) plugins/editor/scintilla/Decoration.h,
	plugins/editor/scintilla/Document.cxx,
	plugins/editor/scintilla/Document.hr,
	plugins/editor/scintilla/DocumentAccessor.cxx,
	plugins/editor/scintilla/DocumentAccessor.h,
	plugins/editor/scintilla/Editor.cxx,
	plugins/editor/scintilla/Editor.h,
	plugins/editor/scintilla/ExternalLexer.cxx,
	plugins/editor/scintilla/ExternalLexer.h,
	plugins/editor/scintilla/Indicator.cxx,
	plugins/editor/scintilla/Indicator.h,
	plugins/editor/scintilla/KeyMap.cxx,
	plugins/editor/scintilla/KeyMap.h,
	plugins/editor/scintilla/KeyWords.cxx,
	plugins/editor/scintilla/LexAPDL.cxx,
	(added) plugins/editor/scintilla/LexASY.cxx,
	plugins/editor/scintilla/LexAU3.cxx,
	plugins/editor/scintilla/LexAVE.cxx,
	(added) plugins/editor/scintilla/LexAbaqus.cxx,
	plugins/editor/scintilla/LexAda.cxx,
	plugins/editor/scintilla/LexAsm.cxx,
	plugins/editor/scintilla/LexAsn1.cxx,
	plugins/editor/scintilla/LexBaan.cxx,
	plugins/editor/scintilla/LexBash.cxx,
	plugins/editor/scintilla/LexBasic.cxx,
	plugins/editor/scintilla/LexBullant.cxx,
	plugins/editor/scintilla/LexCLW.cxx,
	plugins/editor/scintilla/LexCPP.cxx,
	plugins/editor/scintilla/LexCSS.cxx,
	plugins/editor/scintilla/LexCaml.cxx,
	(added) plugins/editor/scintilla/LexCmake.cxx,
	plugins/editor/scintilla/LexConf.cxx,
	plugins/editor/scintilla/LexCrontab.cxx,
	plugins/editor/scintilla/LexCsound.cxx,
	(added) plugins/editor/scintilla/LexD.cxx,
	plugins/editor/scintilla/LexEScript.cxx,
	plugins/editor/scintilla/LexEiffel.cxx,
	plugins/editor/scintilla/LexErlang.cxx,
	plugins/editor/scintilla/LexFlagship.cxx,
	plugins/editor/scintilla/LexForth.cxx,
	plugins/editor/scintilla/LexFortran.cxx,
	(added) plugins/editor/scintilla/LexGAP.cxx,
	plugins/editor/scintilla/LexGui4Cli.cxx,
	plugins/editor/scintilla/LexHTML.cxx,
	plugins/editor/scintilla/LexHaskell.cxx,
	plugins/editor/scintilla/LexInno.cxx,
	plugins/editor/scintilla/LexKix.cxx,
	plugins/editor/scintilla/LexLisp.cxx,
	plugins/editor/scintilla/LexLout.cxx,
	plugins/editor/scintilla/LexLua.cxx,
	plugins/editor/scintilla/LexMMIXAL.cxx,
	plugins/editor/scintilla/LexMPT.cxx,
	plugins/editor/scintilla/LexMSSQL.cxx,
	(added) plugins/editor/scintilla/LexMagik.cxx,
	plugins/editor/scintilla/LexMatlab.cxx,
	plugins/editor/scintilla/LexMetapost.cxx,
	(added) plugins/editor/scintilla/LexMySQL.cxx,
	plugins/editor/scintilla/LexNsis.cxx,
	plugins/editor/scintilla/LexOpal.cxx,
	plugins/editor/scintilla/LexOthers.cxx,
	plugins/editor/scintilla/LexPB.cxx,
	(added) plugins/editor/scintilla/LexPLM.cxx,
	plugins/editor/scintilla/LexPOV.cxx,
	plugins/editor/scintilla/LexPS.cxx,
	plugins/editor/scintilla/LexPascal.cxx,
	plugins/editor/scintilla/LexPerl.cxx,
	(added) plugins/editor/scintilla/LexPowerShell.cxx,
	(added) plugins/editor/scintilla/LexProgress.cxx,
	plugins/editor/scintilla/LexPython.cxx,
	(added) plugins/editor/scintilla/LexR.cxx,
	plugins/editor/scintilla/LexRebol.cxx,
	plugins/editor/scintilla/LexRuby.cxx,
	plugins/editor/scintilla/LexSQL.cxx,
	plugins/editor/scintilla/LexScriptol.cxx,
	plugins/editor/scintilla/LexSmalltalk.cxx,
	plugins/editor/scintilla/LexSpecman.cxx,
	plugins/editor/scintilla/LexSpice.cxx,
	plugins/editor/scintilla/LexTADS3.cxx,
	plugins/editor/scintilla/LexTCL.cxx,
	plugins/editor/scintilla/LexTeX.cxx,
	plugins/editor/scintilla/LexVB.cxx,
	plugins/editor/scintilla/LexVHDL.cxx,
	plugins/editor/scintilla/LexVerilog.cxx,
	plugins/editor/scintilla/LexYAML.cxx,
	plugins/editor/scintilla/lexers.make,
	plugins/editor/scintilla/LineMarker.cxx,
	plugins/editor/scintilla/LineMarker.h,
	plugins/editor/scintilla/Makefile.am,
	(added) plugins/editor/scintilla/Partitioning.h,
	plugins/editor/scintilla/PlatGTK.cxx,
	(added) plugins/editor/scintilla/PositionCache.cxx,
	(added) plugins/editor/scintilla/PositionCache.h,
	plugins/editor/scintilla/PropSet.cxx,
	plugins/editor/scintilla/RESearch.cxx,
	plugins/editor/scintilla/RESearch.h,
	(added) plugins/editor/scintilla/RunStyles.cxx,
	(added) plugins/editor/scintilla/RunStyles.h,
	plugins/editor/scintilla/SVector.h,
	plugins/editor/scintilla/ScintillaBase.cxx,
	plugins/editor/scintilla/ScintillaBase.h,
	plugins/editor/scintilla/ScintillaGTK.cxx,
	(added) plugins/editor/scintilla/SplitVector.h,
	plugins/editor/scintilla/Style.cxx,
	plugins/editor/scintilla/Style.h,
	plugins/editor/scintilla/StyleContext.cxx,
	plugins/editor/scintilla/StyleContext.h,
	plugins/editor/scintilla/UniConversion.cxx,
	plugins/editor/scintilla/UniConversion.h,
	plugins/editor/scintilla/ViewStyle.cxx,
	plugins/editor/scintilla/ViewStyle.h,
	plugins/editor/scintilla/WindowAccessor.cxx,
	plugins/editor/scintilla/XPM.cxx,
	plugins/editor/scintilla/XPM.h,
	plugins/editor/scintilla/include/Accessor.h,
	plugins/editor/scintilla/include/HFacer.py,
	plugins/editor/scintilla/include/KeyWords.h,
	plugins/editor/scintilla/include/Platform.h,
	plugins/editor/scintilla/include/PropSet.h,
	plugins/editor/scintilla/include/SString.h,
	plugins/editor/scintilla/include/SciLexer.h,
	plugins/editor/scintilla/include/Scintilla.h,
	plugins/editor/scintilla/include/Scintilla.iface,
	plugins/editor/scintilla/include/WindowAccessor.h,
	plugins/editor/scintilla/patches/scintilla-string-fix.diff,
	plugins/editor/scintilla/patches/scintilla-pango-always.diff,
	plugins/editor/scintilla/patches/scintilla-64-bit.diff:
	Update scintilla to version 1.77

2008-11-13  James Liggett  <jrliggett@cox.net>

	* plugins/editor/aneditor.cxx:
	* plugins/editor/text_editor.c (load_from_file):
	Fix yet more compile fallout from the DEBUG_PRINT patch.

2008-11-12  James Liggett  <jrliggett@cox.net>

	* plugins/editor/properties.cxx:
	Fix some DEBUG_PRINT compile problems in the Scintilla plugin.

2008-11-11  Sébastien Granjoux  <seb.sfo@free.fr>

	* libanjuta/anjuta-profile.c,
	libanjuta/anjuta-profile.h,
	libanjuta/anjuta-profile-manager.c,
	libanjuta/anjuta-plugin-manager.c,
	libanjuta/anjuta-plugin-manager.h,
	src/anjuta.c,
	plugins/project-manager/plugin.c:
	Fix #307886 - Activated plugins not remembered the first time
	Replace gnome-vfs by gio

2008-11-10  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	reviewed by: James Liggett <jrliggett@cox.net>:

	* libanjuta/anjuta-debug.h:
	* libanjuta/anjuta-launcher.c (anjuta_launcher_class_init),
	(anjuta_launcher_synchronize), (anjuta_launcher_scan_output),
	(anjuta_launcher_scan_error), (anjuta_launcher_scan_pty),
	(anjuta_launcher_check_for_execution_done):
	* libanjuta/anjuta-plugin-manager.c (collect_cycle):
	* libanjuta/anjuta-shell.c (anjuta_shell_thaw),
	(anjuta_shell_session_load):
	* plugins/build-basic-autotools/executer.c (execute_program):
	* plugins/build-basic-autotools/plugin.c (build_context_pop_dir),
	(on_message_view_destroyed), (update_module_ui),
	(update_project_ui), (ifile_get_file):
	* plugins/class-gen/plugin.c (activate_plugin),
	(deactivate_plugin):
	* plugins/class-inheritance/class-inherit.c
	(cls_inherit_draw_graph), (class_inheritance_update_graph):
	* plugins/class-inheritance/plugin.c (activate_plugin),
	(deactivate_plugin):
	* plugins/cvs-plugin/cvs-actions.c (on_server_type_changed):
	* plugins/cvs-plugin/cvs-execute.c (on_cvs_terminated):
	* plugins/cvs-plugin/cvs-interface.c (anjuta_cvs_import):
	* plugins/cvs-plugin/plugin.c (value_added_project_root_uri),
	(activate_plugin), (deactivate_plugin):
	* plugins/debug-manager/debug_tree.c (debug_tree_add_watch):
	* plugins/debug-manager/plugin.c (dma_plugin_debugger_started),
	(dma_plugin_program_loaded), (dma_plugin_program_running),
	(dma_plugin_program_stopped), (dma_plugin_program_unload),
	(dma_plugin_debugger_stopped), (dma_plugin_activate),
	(dma_plugin_deactivate):
	* plugins/debug-manager/queue.c
	(dma_queue_emit_debugger_state_change),
	(dma_debugger_queue_execute), (on_dma_debugger_started),
	(on_dma_program_loaded), (on_dma_program_running),
	(on_dma_program_stopped), (on_dma_program_exited),
	(on_dma_program_moved), (on_dma_frame_changed),
	(on_dma_signal_received), (on_dma_sharedlib_event):
	* plugins/devhelp/plugin.c (devhelp_activate),
	(devhelp_deactivate):
	* plugins/document-manager/anjuta-docman.c (anjuta_docman_dispose),
	(anjuta_docman_finalize):
	* plugins/document-manager/plugin.c (value_added_project_root_uri),
	(value_removed_project_root_uri), (unload_unused_support_plugins),
	(on_document_changed):
	* plugins/editor/print.c (anjuta_print_new_page):
	* plugins/editor/text_editor.c (on_scintila_already_destroyed),
	(on_te_already_destroyed), (on_reload_dialog_response),
	(on_text_editor_uri_changed), (text_editor_update_monitor),
	(text_editor_new):
	* plugins/editor/text_editor_cbs.c
	(on_text_editor_scintilla_focus_in):
	* plugins/file-loader/plugin.c (activate_plugin),
	(deactivate_plugin):
	* plugins/file-manager/file-model.c (file_model_row_expanded):
	* plugins/file-manager/file-view.c (file_view_button_press_event),
	(file_view_selection_changed):
	* plugins/file-manager/plugin.c (file_manager_activate),
	(file_manager_deactivate):
	* plugins/file-wizard/plugin.c (activate_plugin):
	* plugins/gdb/debugger.c (debugger_initialize),
	(debugger_clear_buffers), (debugger_queue_get_next_command),
	(debugger_queue_set_next_command), (debugger_queue_clear),
	(debugger_queue_execute_command),
	(debugger_load_executable_finish),
	(debugger_set_working_directory), (debugger_set_environment),
	(on_gdb_output_arrived), (debugger_handle_post_execution),
	(debugger_parse_stopped), (debugger_stdo_flush),
	(on_gdb_terminated), (debugger_stop_real), (debugger_abort),
	(debugger_info_program_finish), (debugger_start_program),
	(debugger_attach_process_finish), (debugger_attach_process_real),
	(debugger_attach_process), (debugger_restart_program),
	(debugger_stop_program), (debugger_detach_process_finish),
	(debugger_detach_process), (debugger_interrupt), (debugger_run),
	(debugger_step_in), (debugger_step_over), (debugger_step_out),
	(debugger_stepi_in), (debugger_stepi_over),
	(debugger_run_to_location), (debugger_run_to_position),
	(debugger_run_to_address), (debugger_add_breakpoint_at_line),
	(debugger_add_breakpoint_at_function),
	(debugger_add_breakpoint_at_address), (debugger_enable_breakpoint),
	(debugger_ignore_breakpoint), (debugger_condition_breakpoint),
	(debugger_remove_breakpoint), (debugger_list_breakpoint),
	(debugger_print), (debugger_evaluate), (debugger_list_local),
	(debugger_list_argument), (debugger_info_frame),
	(debugger_info_signal), (debugger_info_sharedlib),
	(debugger_info_args), (debugger_info_target),
	(debugger_info_program), (debugger_info_udot),
	(debugger_info_variables), (debugger_inspect_memory),
	(debugger_disassemble), (debugger_list_frame),
	(debugger_set_thread), (debugger_list_thread),
	(debugger_info_thread_finish), (debugger_info_thread),
	(debugger_list_register), (debugger_update_register),
	(debugger_write_register), (debugger_set_frame),
	(debugger_delete_variable), (debugger_evaluate_variable),
	(debugger_assign_variable), (debugger_list_variable_children),
	(debugger_create_variable), (debugger_update_variable),
	(debugger_dispose), (debugger_class_init), (debugger_signal):
	* plugins/gdb/plugin.c (gdb_plugin_stop_terminal),
	(gdb_plugin_activate_plugin), (gdb_plugin_deactivate_plugin),
	(idebugger_quit), (idebugger_abort):
	* plugins/git/plugin.c (git_activate_plugin),
	(git_deactivate_plugin):
	* plugins/glade/anjuta-design-document.c:
	* plugins/glade/plugin.c (on_document_destroy), (activate_plugin),
	(deactivate_plugin), (glade_plugin_instance_init):
	* plugins/gtodo/plugin.c (activate_plugin), (deactivate_plugin):
	* plugins/language-manager/plugin.c (load_languages),
	(language_manager_activate), (language_manager_deactivate):
	* plugins/language-support-cpp-java/cpp-java-utils.c
	(cpp_java_util_jump_to_matching_brace):
	* plugins/language-support-cpp-java/plugin.c
	(cpp_java_plugin_activate_plugin),
	(cpp_java_plugin_deactivate_plugin):
	* plugins/macro/macro-db.c (fill_predefined), (fill_userdefined),
	(macro_db_dispose), (macro_db_finalize):
	* plugins/macro/plugin.c (activate_plugin), (deactivate_plugin):
	* plugins/message-view/message-view.c (message_new),
	(message_free):
	* plugins/message-view/plugin.c (activate_plugin),
	(deactivate_plugin):
	* plugins/patch/plugin.c (patch_plugin_activate),
	(patch_plugin_deactivate):
	* plugins/profiler/plugin.c (profiler_activate),
	(profiler_deactivate), (ifile_get_file):
	* plugins/project-import/plugin.c (activate_plugin):
	* plugins/project-import/project-import.c
	(project_import_finalize):
	* plugins/project-manager/plugin.c (project_manager_load_gbf),
	(on_profile_scoped), (on_profile_descoped),
	(project_manager_plugin_activate_plugin):
	* plugins/project-wizard/druid.c (on_druid_cancel),
	(on_druid_delete):
	* plugins/project-wizard/install.c (on_install_end_action):
	* plugins/project-wizard/plugin.c (npw_plugin_activate),
	(npw_plugin_deactivate):
	* plugins/project-wizard/templates/anjuta-plugin-vala/src/plugin.va
	la:
	* plugins/project-wizard/templates/anjuta-plugin/src/plugin.c
	(_activate), (_deactivate):
	* plugins/run-program/execute.c (execute_with_terminal):
	* plugins/run-program/plugin.c (run_plugin_activate),
	(run_plugin_deactivate):
	* plugins/sample1/plugin.c (sample_plugin_activate_plugin),
	(sample_plugin_deactivate_plugin):
	* plugins/scratchbox/plugin.c (scratchbox_plugin_activate),
	(scratchbox_plugin_deactivate):
	* plugins/search/search-replace.c (search_replace_next_previous):
	* plugins/sourceview/plugin.c (sourceview_plugin_activate),
	(sourceview_plugin_deactivate):
	* plugins/sourceview/sourceview-prefs.c (sourceview_prefs_destroy):
	* plugins/sourceview/sourceview.c (sourceview_finalize),
	(sourceview_new):
	* plugins/subversion/plugin.c (value_added_project_root_uri),
	(activate_plugin), (deactivate_plugin):
	* plugins/symbol-browser/an_symbol_search.c
	(an_symbol_search_dispose), (an_symbol_search_finalize),
	(an_symbol_search_on_tree_row_activate),
	(an_symbol_search_on_entry_key_press_event),
	(an_symbol_search_on_entry_changed):
	* plugins/symbol-browser/an_symbol_view.c (destroy_tm_hash_value),
	(on_remove_project_tm_files), (on_symbol_view_row_expanded),
	(anjuta_symbol_view_add_source),
	(anjuta_symbol_view_remove_source),
	(anjuta_symbol_view_update_source_from_buffer),
	(anjuta_symbol_view_refresh_tree), (anjuta_symbol_view_open),
	(anjuta_symbol_view_finalize),
	(anjuta_symbol_view_workspace_add_file):
	* plugins/symbol-browser/plugin.c (on_editor_destroy),
	(activate_plugin), (deactivate_plugin),
	(isymbol_manager_get_scope), (isymbol_manager_get_parent_scope),
	(isymbol_manager_get_symbol_more_info),
	(isymbol_manager_get_symbol_by_id):
	* plugins/symbol-db/plugin.c
	(on_editor_buffer_symbols_update_timeout), (on_editor_destroy),
	(value_added_current_editor), (on_session_save), (on_session_load),
	(on_local_treeview_row_activated),
	(on_global_treeview_row_activated),
	(on_global_treeview_row_expanded),
	(on_global_treeview_row_collapsed), (value_removed_current_editor),
	(on_project_element_added), (on_project_element_removed),
	(on_system_single_file_scan_end), (on_importing_project_end),
	(do_import_project_sources), (on_received_project_import_end),
	(do_check_offline_files_changed), (on_project_root_added),
	(on_project_root_removed), (symbol_db_activate),
	(symbol_db_deactivate), (symbol_db_finalize),
	(isymbol_manager_search), (on_prefs_package_add),
	(on_prefs_package_remove), (ipreferences_merge),
	(ipreferences_iface_init):
	* plugins/symbol-db/symbol-db-engine-iterator.c
	(isymbol_iter_clone), (isymbol_iter_assign):
	* plugins/symbol-db/symbol-db-engine.c
	(sdb_engine_insert_dyn_query_node_by_id),
	(sdb_engine_populate_db_by_tags), (sdb_engine_ctags_output_thread),
	(sdb_engine_timeout_trigger_signals), (sdb_engine_thread_monitor),
	(on_scan_files_end_1), (sdb_engine_ctags_launcher_create),
	(symbol_db_engine_open_db), (symbol_db_engine_add_new_project),
	(sdb_engine_add_new_file), (sdb_engine_second_pass_update_scope),
	(sdb_engine_second_pass_update_heritage),
	(sdb_engine_second_pass_do), (sdb_engine_detects_removed_ids),
	(on_scan_update_files_symbols_end),
	(symbol_db_engine_update_files_symbols),
	(symbol_db_engine_update_buffer_symbols),
	(symbol_db_engine_get_files_for_project):
	* plugins/symbol-db/symbol-db-prefs.c (on_gconf_notify_prefs),
	(on_listall_exit), (on_tag_load_toggled),
	(on_autoscan_button_toggled), (on_update_button_toggled),
	(on_parallel_button_toggled), (sdb_prefs_init),
	(sdb_prefs_finalize):
	* plugins/symbol-db/symbol-db-system.c
	(sdb_system_do_scan_new_package), (on_pkg_config_exit):
	* plugins/symbol-db/symbol-db-view-locals.c
	(sdb_view_locals_get_iter_from_row_ref),
	(symbol_db_view_locals_clear_cache), (sdb_view_locals_init),
	(sdb_view_locals_finalize), (trigger_on_symbol_inserted),
	(on_scan_end), (symbol_db_view_locals_update_list):
	* plugins/symbol-db/symbol-db-view-search.c
	(sdb_view_search_on_entry_changed),
	(sdb_view_search_on_tree_row_activate),
	(sdb_view_search_on_entry_key_press_event),
	(sdb_view_search_dispose), (sdb_view_search_finalize):
	* plugins/symbol-db/symbol-db-view.c
	(sdb_view_get_iter_from_row_ref), (trigger_on_symbol_inserted),
	(sdb_view_row_expanded_idle_destroy),
	(sdb_view_namespace_row_expanded), (sdb_view_global_row_expanded),
	(sdb_view_vars_row_expanded), (sdb_view_finalize),
	(symbol_db_view_open):
	* plugins/terminal/terminal.c (activate_plugin):
	* plugins/tools/plugin.c (atp_plugin_activate),
	(atp_plugin_deactivate):
	* plugins/valgrind/plugin.c (valgrind_activate),
	(valgrind_deactivate):
	* plugins/valgrind/preferences.c (build_general_prefs):
	* plugins/valgrind/vgactions.c (io_ready_cb):
	* plugins/valgrind/vggeneralprefs.c (vg_general_prefs_init):
	* src/anjuta-app.c (on_merge_widget_destroy),
	(on_add_merge_widget), (anjuta_app_instance_init),
	(on_widget_destroy), (on_widget_remove),
	(on_widget_removed_from_hash):
	* src/anjuta.c (on_anjuta_delete_event), (on_anjuta_destroy),
	(on_anjuta_session_save_yourself), (on_profile_scoped),
	(on_profile_descoped):
	* src/main.c (main):
	* src/shell.c (on_add_merge_widget):
	* tagmanager/tm_workspace.c (tm_workspace_find_namespace_members):
	
	Modify DEBUG_PRINT to print everything on one line, and use proper format
	strings. 
	
	#558788 – Improving debugging

2008-11-03  Jens Georg  <mail@jensge.org>

	Reviewed by Sébastien Granjoux <seb.sfo@free.fr>:
	* plugins/class-inheritance/plugin.c (project_root_added)
	* plugins/project-import/project-import.c (project_import_set_directory),
	(project_import_generate_file)
	* plugins/project-import/plugin.c
	* plugins/file-wizard/plugin.c (project_root_added) 

	#511589 – Anjuta uses GNOME-VFS
	For project_import_generate_file change parent of error dialog from wizard
	to shell, because the dialog was not showing.

2008-11-09  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/document-manager/anjuta-docman.c:
	Avoid opening the same file using different alias

2008-11-09  Sébastien Granjoux  <seb.sfo@free.fr>

	* libanjuta/interfaces/libanjuta.idl:
	Added missing doc for IAnjutaDebugger

2008-11-09  Sébastien Granjoux  <seb.sfo@free.fr>

	* anjuta.anjuta,
	plugins/project-wizard/templates/minimal/project.anjuta,
	plugins/project-wizard/templates/terminal/project.anjuta:
	Fix #559800 - Missing debugger menu

2008-11-06  Johannes Schmid  <jhs@gnome.org>

	* plugins/language-support-cpp-java/cpp-java-assist.c
	(cpp_java_assist_create_word_completion_cache),
	(cpp_java_assist_check):
	Worked on #558933
	
	* plugins/tools/tool.c:
	Fixed #558315 – Ambiguous message

2008-11-05  Massimo Cora'  <mcora@svn.gnome.org>

	* libanjuta/interfaces/libanjuta.idl:
	added missing doc for ianjuta_symbol_get_extra_info_string ()

2008-11-05  Massimo Cora'  <mcora@svn.gnome.org>

	* libanjuta/interfaces/libanjuta.idl:
	fixed bug #558952.

2008-11-05  Sébastien Granjoux  <seb.sfo@free.fr>

	* (added) plugins/project-wizard/templates/m4/as-ac-expand.m4,
	(added) plugins/project-wizard/templates/m4/Makefile.am,
	(added) plugins/project-wizard/templates/gnome-applet.wiz,
	(added) plugins/project-wizard/templates/gnome-applet/configure.ac.tpl,
	(added) plugins/project-wizard/templates/gnome-applet/HACKING,
	(added) plugins/project-wizard/templates/gnome-applet/Makefile.am.tpl,
	(added) plugins/project-wizard/templates/gnome-applet/Makefile.am,
	(added) plugins/project-wizard/templates/gnome-applet/autogen.sh,
	(added) plugins/project-wizard/templates/gnome-applet/src/main.c,
	(added) plugins/project-wizard/templates/gnome-applet/src/Makefile.am.tpl,
	(added) plugins/project-wizard/templates/gnome-applet/src/GNOME_Applet.server.in.in,
	(added) plugins/project-wizard/templates/gnome-applet/src/Makefile.am,
	(added) plugins/project-wizard/templates/gnome-applet/po/Makefile.am,
	(added) plugins/project-wizard/templates/gnome-applet/po/POTFILES.in,
	plugins/project-wizard/templates/translatable-strings.h,
	plugins/project-wizard/templates/Makefile.am,
	configure.in:
	Fix #544583 Add support for gnome applet projects

	* plugins/project-wizard/templates/terminal/Makefile.am.tpl:
	intltool helper scripts are missing in packages created by project
	wizard

	* plugins/project-wizard/property.c:
	Fix #556147 Provide valid default directory for project

2008-11-04  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/symbol-db-engine.c (symbol_db_engine_open_db):
	* plugins/symbol-db/symbol-db-view.c
	(symbol_db_view_get_file_and_line):
	fixed bug #559252

	* plugins/symbol-db/test/benchmark.c (main):
	added gda_init () otherwise the benchmark was crashing.

2008-11-03  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/symbol-db-engine.c
	(sdb_engine_get_file_defined_id), (sdb_engine_populate_db_by_tags),
	(sdb_engine_init), (symbol_db_engine_file_exists),
	(symbol_db_engine_project_exists),
	(symbol_db_engine_add_new_project), (sdb_engine_add_new_language),
	(sdb_engine_add_new_file), (symbol_db_engine_add_new_files),
	(sdb_engine_add_new_sym_type), (sdb_engine_add_new_sym_kind),
	(sdb_engine_add_new_sym_access),
	(sdb_engine_add_new_sym_implementation),
	(sdb_engine_add_new_heritage),
	(sdb_engine_add_new_scope_definition),
	(sdb_engine_add_new_tmp_heritage_scope),
	(sdb_engine_second_pass_update_scope_1),
	(sdb_engine_second_pass_update_heritage),
	(sdb_engine_add_new_symbol),
	(symbol_db_engine_update_project_symbols),
	(sdb_engine_walk_down_scope_path),
	(symbol_db_engine_get_class_parents_by_symbol_id),
	(symbol_db_engine_get_class_parents),
	(symbol_db_engine_get_global_members_filtered),
	(symbol_db_engine_get_scope_members_by_symbol_id_filtered),
	(symbol_db_engine_get_scope_members_by_symbol_id),
	(symbol_db_engine_get_scope_members),
	(symbol_db_engine_get_current_scope),
	(symbol_db_engine_get_file_symbols),
	(symbol_db_engine_get_symbol_info_by_id),
	(symbol_db_engine_find_symbol_by_name_pattern),
	(symbol_db_engine_get_parent_scope_id_by_symbol_id),
	(symbol_db_engine_find_symbol_by_name_pattern_filtered),
	(symbol_db_engine_get_files_for_project):
	Memory pool object system. Now the hundreds of GValue used in the 
	population/queries are reused instead of being created/destroyed. This 
	gains 5-10 ms in some cases but there's still some profiling work to do.

	* plugins/symbol-db/symbol-db-view-search.c
	(sdb_view_search_model_filter):
	fixed bug #558930.

2008-11-03  James Liggett  <jrliggett@cox.net>

	* libanjuta/anjuta-debug.h:
	Fixed some mistakes from revision 4366. Properly detect GCC. 
	Modify DEBUG_PRINT macro to use g_debug instead of g_message, and print the
	file name, line number, and function that the macro was called from. 
	Implements changes discussed with Ignacio and Johannes.
	
	Properly fixes bug #558788

2008-11-02  Johannes Schmid  <jhs@gnome.org>

	* libanjuta/anjuta-status.h:
	Don't wait for all pending events when the splash screen is shown (#558706)

2008-11-02  Johannes Schmid  <jhs@gnome.org>

	* plugins/file-loader/plugin.c (iloader_load):
	* plugins/git/git-log-dialog.c:
	Fix localisation (from Marc Lorber)

2008-11-02  Jens Georg  <mail@jensge.org>

	* plugins/cvs-plugin/cvs-callbacks.c (on_cvs_remove_response)
	* plugins/cvs-plugin/cvs-actions.c
	* plugins/cvs-plugin/cvs-interface.c (is_directory)
	* plugins/cvs-plugin/cvs-execute.c (on_cvs_mesg_parse)
	* plugins/cvs-plugin/plugin.c (value_added_fm_current_file), 
	(value_added_project_root_uri)

	#511589 – Anjuta uses GNOME-VFS

2008-11-02  Johannes Schmid  <jhs@gnome.org>

	* libanjuta/anjuta-vcs-status.h:
	Fixed docs
	
	* libanjuta/interfaces/anjuta-idl-compiler.pl:
	Corrected generation of signal documentation
	
	* libanjuta/interfaces/libanjuta.idl:
	* manuals/reference/libanjuta/libanjuta-sections.txt:
	Added documentation

	* plugins/symbol-db/plugin.c (symbol_db_activate):
	Don't use g_warning for debug messages

2008-11-01  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* libanjuta/anjuta-debug.h:
	Added DEBUG_PRINTF macro.
	
	Fixes bug #558788

2008-10-25  Johannes Schmid  <jhs@gnome.org>

	Patch by: Jens Georg <mail@jensge.org>

	* libanjuta/anjuta-utils.c:
	* libanjuta/anjuta-utils.h:
	* plugins/build-basic-autotools/executer.c
	(get_program_parameters), (execute_program):
	* plugins/build-basic-autotools/plugin.c
	(value_added_pm_current_uri), (ibuilder_is_built),
	(ibuilder_build):
	* plugins/class-gen/generator.c (cg_generator_make_absolute):
	* plugins/class-gen/plugin.c (project_root_added):
	
	#511589 – Anjuta uses GNOME-VFS

2008-10-25  Johannes Schmid  <jhs@gnome.org>

	Patch by: Jens Georg <mail@jensge.org>

	* plugins/file-loader/plugin.c (launch_application_failure),
	(get_supertype_from_mime_type), (get_available_plugins_for_mime),
	(open_with_dialog), (launch_in_default_application), (open_file),
	(on_open_recent_file_idle), (on_open_recent_file),
	(open_file_with), (create_open_with_submenu),
	(hide_fragment_identifier), (iloader_load):
	
	#511589 – Anjuta uses GNOME-VFS

2008-10-25  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/plugin.c
	(on_editor_buffer_symbols_update_timeout),
	(on_project_element_added), (on_project_element_removed),
	(do_import_system_src_after_abort),
	(do_import_project_src_after_abort), (do_import_project_sources),
	(on_project_root_added):
	* plugins/symbol-db/symbol-db-engine-iterator-node.c:
	* plugins/symbol-db/symbol-db-engine.c
	(symbol_db_engine_update_project_symbols):
	* plugins/symbol-db/symbol-db-engine.h:
	ported to GIO. The only file that remains out is symbol-db-system.c: it'll fixed
	as soon as my distrib'll give out gnome 2.24 (glib 2.18)

2008-10-25  Johannes Schmid  <jhs@gnome.org>

	* plugins/file-manager/file-model.c (on_row_expanded_async),
	(file_model_row_expanded), (file_model_row_collapsed):
	Made file-manager completely async.
	* plugins/file-manager/file-view.c (file_view_button_press_event):
	Some improvements for #555759

2008-10-23  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/project-wizard/templates/terminal/Makefile.am.tpl,
	plugins/project-wizard/templates/gtkmm/src/Makefile.am.tpl,
	plugins/project-wizard/templates/gtk/src/Makefile.am.tpl,
	plugins/project-wizard/templates/gnome/src/Makefile.am.tpl:
	Fix #556847 - Remove doc and glade directory in autotools
	project created by Anjuta

2008-10-22  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/macro/macros.xml,
	plugins/file-wizard/file.c:
	Fix #552996 - New file dialog misses BSD licence

2008-10-18  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/project-manager/plugin.c,
	plugins/file-wizard/file.c,
	libanjuta/interfaces/libanjuta.idl:
	Fix #545668 - new file are not added correctly to the project

2008-10-18  Johannes Schmid  <jhs@idefix>

	* plugins/document-manager/anjuta-docman.c
	(anjuta_docman_get_pixbuf_for_file), (anjuta_docman_page_init),
	(anjuta_docman_save_document_as):
	Fixed #545668 – file's icon not correctly updated on tabs-right-click

2008-10-17  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/debug-manager/start.c,
	plugins/build-basic-autotools/plugin.c:
	Debugger was unable to start if build and source directory are
	different

2008-10-17  Johannes Schmid  <jhs@gnome.org>

	* plugins/document-manager/anjuta-docman.c
	(on_notebook_switch_page), (anjuta_docman_add_document),
	(anjuta_docman_set_current_document):
	#556053 – closing file tabs disable 'save button'

2008-10-16  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/class-inheritance/class-callbacks.c
	(on_toggled_menuitem_clicked), (on_member_menuitem_clicked),
	(on_nodedata_expanded_event):
	* plugins/class-inheritance/class-inherit.c
	(cls_inherit_nodestatus_destroy), (gtree_compare_func),
	(class_inheritance_create_agnode_key_name),
	(class_inheritance_get_symbol_from_agnode_key_name),
	(class_inheritance_show_dynamic_class_popup_menu),
	(cls_inherit_nodedata_destroy), (cls_inherit_add_node),
	(cls_inherit_add_edge), (cls_inherit_draw_expanded_node),
	(cls_inherit_draw_single_node), (cls_inherit_draw_graph),
	(class_inheritance_update_graph), (class_inheritance_gtree_clear),
	(class_inheritance_base_gui_init):
	* plugins/class-inheritance/class-inherit.h:
	* plugins/class-inheritance/plugin.c (project_root_removed),
	(deactivate_plugin):
	* plugins/class-inheritance/plugin.h:
	* plugins/symbol-db/symbol-db-engine-iterator-node.c
	(symbol_db_engine_iterator_node_new),
	(sdb_engine_iterator_node_instance_init),
	(sdb_engine_iterator_node_finalize),
	(symbol_db_engine_iterator_node_get_symbol_extra_string),
	(symbol_db_engine_iterator_node_set_prj_directory):
	* plugins/symbol-db/symbol-db-engine-iterator-node.h:
	* plugins/symbol-db/symbol-db-engine-iterator.c
	(symbol_db_engine_iterator_new), (isymbol_iter_first),
	(isymbol_iter_next), (isymbol_iter_previous), (isymbol_iter_last),
	(isymbol_iter_set_position):
	* plugins/symbol-db/symbol-db-engine-iterator.h:
	* plugins/symbol-db/symbol-db-engine.c
	(symbol_db_engine_get_class_parents_by_symbol_id),
	(symbol_db_engine_get_class_parents),
	(symbol_db_engine_get_global_members_filtered),
	(symbol_db_engine_get_scope_members_by_symbol_id_filtered),
	(symbol_db_engine_get_scope_members_by_symbol_id),
	(symbol_db_engine_get_scope_members),
	(symbol_db_engine_get_current_scope),
	(symbol_db_engine_get_file_symbols),
	(symbol_db_engine_get_symbol_info_by_id),
	(symbol_db_engine_find_symbol_by_name_pattern),
	(symbol_db_engine_find_symbol_by_name_pattern_filtered),
	(symbol_db_engine_get_files_for_project):
	* plugins/symbol-db/symbol-db-engine.h:
	fixed bug #544292 and adjusted some things on symbol-db iterators.

2008-10-15  Johannes Schmid  <jhs@gnome.org>

	* libanjuta/Makefile.am:
	Fixed a typo

2008-10-14  Sébastien Granjoux  <seb.sfo@free.fr>

	* manuals/reference/libanjuta/debugger-states.dia,
	manuals/reference/libanjuta/debugger-states.png,
	manuals/reference/libanjuta/Makefile.am,
	libanjuta/interfaces/libanjuta.idl:
	Add a drawing to document debugger interface

2008-10-14  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/debug-manager/plugin.c,
	libanjuta/interfaces/libanjuta.idl:
	Add some functions to control debug manager

2008-10-14  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/debug-manager/start.h,
	plugins/debug-manager/anjuta-debug-manager.ui,
	plugins/debug-manager/plugin.c,
	plugins/debug-manager/anjuta-debug-manager.glade,
	plugins/debug-manager/command.c,
	plugins/debug-manager/command.h,
	plugins/debug-manager/start.c,
	plugins/gdb/plugin.c,
	plugins/gdb/debugger.c,
	plugins/gdb/debugger.h,
	libanjuta/interfaces/libanjuta.idl:
	Fix #503764: Implement remote debugging using gdbserver

2008-10-14  Johannes Schmid  <jhs@gnome.org>

	* libanjuta/interfaces/libanjuta.idl:
		Query should only use a single GFile* not a list

2008-10-14  Johannes Schmid  <jhs@gnome.org>

	* configure.in: Use correct libgda version (3.99.6)

	* libanjuta/Makefile.am:
	* libanjuta/anjuta-vcs-status-tree-view.h:
	* libanjuta/anjuta-vcs-status.h (added):
	* libanjuta/interfaces/libanjuta.idl:
	Updated IAnjutaVCS to use GCancellable and move AnjutaVcsStatus
	enum to it's own file.

	* plugins/document-manager/anjuta-docman.c
	(on_notebook_page_close_button_click), (on_document_destroy),
	(anjuta_docman_remove_document), (anjuta_docman_get_current_page),
	(anjuta_docman_get_current_document),
	(anjuta_docman_set_current_document):
	Always dynamically obtain the current document (#556053)

2008-10-12  Massimo Cora'  <mcora@svn.gnome.org>

	* plugins/symbol-db/symbol-db-engine-iterator.c
	(symbol_db_engine_iterator_first),
	(symbol_db_engine_iterator_last),
	(symbol_db_engine_iterator_set_position):
	* plugins/symbol-db/symbol-db-engine.c (sdb_engine_finalize),
	(sdb_engine_second_pass_update_scope_1),
	(sdb_engine_second_pass_update_scope),
	(sdb_engine_second_pass_update_heritage),
	(symbol_db_engine_update_project_symbols),
	(symbol_db_engine_get_files_with_zero_symbols):
	support libgda svn rev #3238, aka libgda-3.99.6.

2008-10-11  Johannes Schmid  <jhs@gnome.org>

	* libanjuta/interfaces/libanjuta.idl:
	Created new IAnjutaVcs interface
	
	* plugins/class-gen/plugin.c (cg_plugin_add_to_repository):
	Adapted to new interface
	* plugins/cvs-plugin/plugin.c:
	Removed old interface

2008-10-11  Naba Kumar  <naba@gnome.org>

	* www/*: Added anjuta website
	* www/htdocs/screenshots/screenshots.database: Fixed file paths.

2008-10-11  Sébastien Granjoux  <seb.sfo@free.fr>

	* configure.in,
	plugins/editor/scintilla/Makefile.am,
	plugins/editor/Makefile.am:
	Allow to compile scintilla after the last clean up

2008-10-10  Johannes Schmid  <jhs@gnome.org>

	Patch from: Lucas Lommer
	* plugins/symbol-db/anjuta-symbol-db.glade:
	#553041 – Misspelled word in anjuta, ../plugins/symbol-db/anjuta-symbol-db.glade.h:3

2008-10-10  Johannes Schmid  <jhs@gnome.org>

	* configure.in:
	* libanjuta/Makefile.am:
	* src/Makefile.am:
	Cleaned up the configure version mess a bit.
	
	Ignacio Casal Quinteiro  <nacho.resa@gmail.com>:
	* src/about.c (about_box_new):
	#523609 – PATCH: Using a deprecated func in about.c

2008-10-10  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>
 
	* libanjuta/anjuta-preferences-dialog.c:
 	* libanjuta/anjuta-status.c:
 	Removed more libgnome stuff. 

2008-10-07  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/project-wizard/anjuta-project-wizard.glade:
	Fix #555453 Application Assistant title misspelled

2008-10-06  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/build-basic-autotools/configuration-list.c:
	Fix #554337 Allow to change build directory to project directory

2008-10-06  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/build-basic-autotools/build-options.c:
	Fix #554337 Set uri instead of current_folder_uri
	Fix a warning when there is no arguments

2008-10-06  Johannes Schmid  <jhs@gnome.org>

	* plugins/file-loader/plugin.c (on_session_load):
	Do not show status ticks for async file loading
	
	* plugins/sourceview/sourceview.c (on_insert_text), (on_backspace),
	(sourceview_instance_init):
	#554684 – Cursor column number is not updated when typing text

2008-10-04  James Liggett  <jrliggett@cox.net>

	* plugins/subversion/svn-switch-command.c (svn_switch_command_new):
	Make sure the repository URL given to the switch command is canonicalized.

2008-10-03  James Liggett  <jrliggett@cox.net>

	* plugins/profiler/plugin.c (ifile_open):
	Fix a wrong g_free call.
	
	Spotted by Yuriy Penkin <yuriy.penkin@gmail.com>

2008-10-02  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/run-program/parameters.c:
	Fix #554337 could not find glade file while executing a program

2008-09-29  Sébastien Granjoux  <seb.sfo@free.fr>

	* configure.in,
	manuals/Makefile.am,
	(added) manuals/anjuta-build-tutorial/anjuta-build-tutorial-C.omf,
	(added) manuals/anjuta-build-tutorial/Makefile.am,
	(added) manuals/anjuta-build-tutorial/C/anjuta-build-tutorial.xml,
	(added) manuals/anjuta-build-tutorial/C/autotools-process.dia,
	(added) manuals/anjuta-build-tutorial/C/configure-process.dia,
	(added) manuals/anjuta-build-tutorial/C/compilation-stages.dia,
	(added) manuals/anjuta-build-tutorial/C/figures/new-project-basic.png,
	(added) manuals/anjuta-build-tutorial/C/figures/configure-process.png,
	(added) manuals/anjuta-build-tutorial/C/figures/configure-dialog.png,
	(added)
	manuals/anjuta-build-tutorial/C/figures/new-project-message.png,
	(added)
	manuals/anjuta-build-tutorial/C/figures/library-add-pkgconfig.png,
	(added) manuals/anjuta-build-tutorial/C/figures/build_preferences.png,
	(added)
	manuals/anjuta-build-tutorial/C/figures/compilation-stages.png,
	(added)
	manuals/anjuta-build-tutorial/C/figures/library-add-properties.png,
	(added) manuals/anjuta-build-tutorial/C/figures/autotools-process.png,
	(added)
	manuals/anjuta-build-tutorial/C/figures/new-project-options.png,
	(added)
	manuals/anjuta-build-tutorial/C/figures/new-project-summary.png,
	manuals/anjuta-build-tutorial/C/figures/new-project-select.png:
	Update and improve old Anjuta Advanced Tutorial

2008-09-26  Johannes Schmid  <jhs@gnome.org>

	* configure.in: Post release version bump to 2.25.0

=== Anjuta 2.24.0.1 ===

2008-09-23  Johannes Schmid <jhs@gnome.org>

	* configure.in: Bumped version. Tarball was broken because it was
	build without graphviz beeing enabled

=== Anjuta 2.24.0 ===

2008-09-22  Johannes Schmid  <jhs@gnome.org>

	* NEWS: Updated
	* configure.in: Bumped version

2008-09-20  James Liggett  <jrliggett@cox.net>

	* plugins/subversion/subversion-ui-utils.c (get_log_from_textview):
	Don't escape quotation characters (i.e. ', ") in commit logs.

2008-09-14  Massimo Cora'  <maxcvs@email.it>

	* plugins/symbol-browser/an_symbol_iter.c (isymbol_iter_next):
	removed some debug messages.

	* plugins/symbol-db/anjuta-symbol-db.glade:
	converted the GtkFileChooser into GtkComboBoxEntry because of bug #551384.

	* plugins/symbol-db/plugin.c (g_list_compare), (on_session_load),
	(do_check_offline_files_changed), (on_project_root_added):
	* plugins/symbol-db/symbol-db-engine-iterator-node.c
	(symbol_db_engine_iterator_node_set_data):
	* plugins/symbol-db/symbol-db-engine-iterator.c
	(symbol_db_engine_iterator_new):
	* plugins/symbol-db/symbol-db-engine.c (sdb_engine_cache_lookup),
	(sdb_engine_insert_dyn_query_node_by_id),
	(sdb_engine_get_tuple_id_by_unique_name),
	(sdb_engine_get_tuple_id_by_unique_name2),
	(sdb_engine_get_tuple_id_by_unique_name3),
	(sdb_engine_get_tuple_id_by_unique_name4),
	(sdb_engine_ctags_output_callback_1), (sdb_engine_init),
	(symbol_db_engine_add_new_workspace),
	(symbol_db_engine_add_new_project), (sdb_engine_add_new_language),
	(sdb_engine_add_new_file), (sdb_engine_add_new_sym_type),
	(sdb_engine_add_new_sym_kind), (sdb_engine_add_new_sym_access),
	(sdb_engine_add_new_sym_implementation),
	(sdb_engine_add_new_heritage),
	(sdb_engine_add_new_scope_definition),
	(sdb_engine_add_new_tmp_heritage_scope),
	(sdb_engine_second_pass_update_scope_1),
	(sdb_engine_second_pass_update_scope),
	(sdb_engine_second_pass_update_heritage),
	(sdb_engine_add_new_symbol), (sdb_engine_detects_removed_ids),
	(sdb_engine_update_file), (on_scan_update_files_symbols_end),
	(symbol_db_engine_update_project_symbols),
	(symbol_db_engine_remove_file), (symbol_db_engine_remove_files),
	(sdb_engine_walk_down_scope_path),
	(symbol_db_engine_get_files_with_zero_symbols),
	(sdb_engine_prepare_file_info_sql),
	(symbol_db_engine_get_class_parents_by_symbol_id),
	(symbol_db_engine_get_class_parents),
	(symbol_db_engine_get_global_members_filtered),
	(symbol_db_engine_get_scope_members_by_symbol_id_filtered),
	(symbol_db_engine_get_scope_members_by_symbol_id),
	(symbol_db_engine_get_scope_members),
	(symbol_db_engine_get_current_scope),
	(symbol_db_engine_get_file_symbols),
	(symbol_db_engine_get_symbol_info_by_id),
	(symbol_db_engine_find_symbol_by_name_pattern),
	(symbol_db_engine_get_parent_scope_id_by_symbol_id),
	(symbol_db_engine_find_symbol_by_name_pattern_filtered),
	(symbol_db_engine_get_files_for_project):
	* plugins/symbol-db/symbol-db-engine.h:
	* plugins/symbol-db/symbol-db-prefs.c
	(on_prefs_executable_changed), (sdb_prefs_init1):
	* plugins/symbol-db/symbol-db-prefs.h:
	* plugins/symbol-db/symbol-db-view-locals.c
	(symbol_db_view_locals_update_list):
	* plugins/symbol-db/symbol-db-view.c (symbol_db_view_get_pixbuf):
	ported to libgda-svn 3204. Still some bugs due to libgda remain but
	they are being squashed.

2008-09-12  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/symbol-browser/plugin.c,
	plugins/debug-manager/breakpoints.c,
	plugins/document-manager/plugin.c,
	plugins/editor/plugin.c:
	Fix warnings, some documents could have no associated file

	* plugins/indent/plugin.c:
	Need to use a different watch name to track current editor

2008-09-10  Rob Bradford  <rob@robster.org.uk>

	* libanjuta/anjuta-status.c (anjuta_status_dispose),
	anjuta_status_instance_init), (anjuta_status_progress_add_ticks):
	Fix #529468: Use weak pointers to avoid acting on widgets that have
	been destroyed.

2008-09-03  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>
 
	* configure.ac:
	Improved subversion detection (#550628)

2008-09-11  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/macro/macro-dialog.c:
	Fix a bug (dialog will never be displayed again) when closing
	macro dialog with close button

	* plugins/macro/plugin.c:
	Use correct variable to track current editor

	* plugins/macro/macro-util.c,
	plugins/macro/macro-db.c:
	Fix some memory leaks 

2008-09-11  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/project-wizard/templates/anjuta-plugin.wiz,
	plugins/project-wizard/templates/anjuta-plugin-vala.wiz,
	plugins/project-wizard/templates/cpp.wiz,
	plugins/project-wizard/templates/django.wiz,
	plugins/project-wizard/templates/gcj.wiz,
	plugins/project-wizard/templates/gnome.wiz,
	plugins/project-wizard/templates/gtk.wiz,
	plugins/project-wizard/templates/gtkmm.wiz,
	plugins/project-wizard/templates/java.wiz,
	plugins/project-wizard/templates/mkfile.wiz,
	plugins/project-wizard/templates/minimal.wiz,
	plugins/project-wizard/templates/python.wiz,
	plugins/project-wizard/templates/sdl.wiz,
	plugins/project-wizard/templates/terminal.wiz,
	plugins/project-wizard/templates/wxwin.wiz,
	plugins/project-wizard/templates/xlib.wiz,
	plugins/project-wizard/templates/xlib-dock.wiz,
	plugins/project-wizard/templates/extract-translatable-strings.pl,
	plugins/project-wizard/templates/translatable-strings.h:
	Fix #551574 Project names and descriptions are not translatable

2008-09-10  Rob Bradford  <rob@linux.intel.com>

	* libanjuta/anjuta-version.h.in:
	* configure.in:
	Fix #551684: Wrong AC substitutions in anjuta-version.h.

2008-09-10  Johannes Schmid  <jhs@gnome.org>

	* plugins/sourceview/sourceview-io.c (sourceview_io_init),
	(on_read_finished):
	* plugins/sourceview/sourceview-io.h:
	Fixed a problem with async file loading. (Remember never to use
	static variables in method that could be used by different objects...)
	
	* plugins/sourceview/sourceview.c (on_open_failed),
	(on_save_failed):
	Fixed some (new) warnings

2008-09-09  Rob Bradford  <rob@linux.intel.com>

	* libanjuta/anjuta-launcher.c (anjuta_launcher_fork):
	Fix #551527: Memory leak in anjuta-launcher.c

2008-09-08  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/document-manager/anjuta-docman.c:
	Fix #551261 Crash when closing a moved editor

2008-09-06  Sébastien Granjoux  <seb.sfo@free.fr>

	* manuals/reference/libanjuta/libanjuta-docs.sgml,
	manuals/reference/libanjuta/Makefile.am,
	manuals/reference/libanjuta/libanjuta-sections.txt,
	manuals/reference/libanjuta/libanjuta.types,
	libanjuta/interfaces/libanjuta.idl,
	libanjuta/interfaces/anjuta-idl-compiler.pl,
	libanjuta/anjuta-plugin-description.h,
	libanjuta/anjuta-command.c,
	libanjuta/anjuta-preferences.c,
	libanjuta/anjuta-preferences-dialog.c,
	libanjuta/anjuta-ui.c:
	Fix libanjuta API documentation

2008-09-03  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/editor/text_editor.c:
	Fix #549857 - goto-line does not provide a mark on left side of editor

2008-09-03  Johannes Schmid  <jhs@gnome.org>

	* AUTHORS:
	* plugins/symbol-browser/images/*
	* plugins/symbol-browser/an_symbol_info.c (sv_load_symbol_pixbufs):
	* plugins/symbol-db/symbol-db-view.c:
	Imported new symbol icons from MonoDevelop. The old one (originally in
	SharpDevelop are very close to the Visual Studio icons which could cause
	problems. The new icons are Tango icons and are MIT/X11 licensed.

2008-09-02  James Liggett  <jrliggett@cox.net>

	reviewed by: Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/git/git-command.c:
	Fix #550322 - Newlines should be placed at the end of error messages
	lines

2008-09-02  James Liggett  <jrliggett@cox.net>

	reviewed by: Sébastien Granjoux  <seb.sfo@free.fr>

	* libanjuta/anjuta-sync-command.c,
	libanjuta/anjuta-command.c,
	manuals/reference/libanjuta/libanjuta-docs.sgml:
	Update documentation

2008-08-28  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	reviewed by: Sébastien Granjoux  <seb.sfo@free.fr>

	* libanjuta/anjuta-message-area.c,
	manuals/reference/libanjuta/libanjuta-docs.sgml,
	manuals/reference/libanjuta/libanjuta-sections.txt:
	Added documentation.

2008-09-02  Yuriy Penkin <yuriy.penkin@gmail.com>

	reviewed by: Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/build-basic-autotools/plugin.c:
	Fix #550470 - Crash: Executing file through popup menu

2008-09-02  Johannes Schmid  <jhs@gnome.org>

	* plugins/document-manager/plugin.c
	(update_document_ui_interface_items):
	Do not show "Indentation Guides" menuitem for sourceview
	
	* plugins/sourceview/anjuta-editor-sourceview.glade:
	* plugins/sourceview/sourceview-prefs.c
	(on_gconf_notify_view_spaces), (on_gconf_notify_view_eols),
	(on_gconf_notify_line_wrap), (sourceview_prefs_init):
	Use the View->Editor->* menu items for view spaces, view eol and
	line wrap (new) option instead of the preferences.

2008-09-02  Johannes Schmid  <jhs@gnome.org>

	* configure.in:
	* plugins/symbol-browser/an_symbol_view.c
  Do not depend on gdl-gnome anymore  
  
	* libanjuta/anjuta-convert.c (anjuta_convert_to_utf8_from_charset),
	(anjuta_convert_to_utf8):
	Marked two strings for translation
	
	* plugins/sourceview/sourceview-io.c (append_buffer),
	(on_read_finished):
	Fixed file loading bug
	
	* plugins/symbol-browser/an_symbol_info.c (sv_load_symbol_pixbufs):
	(on_symbol_view_row_expanded):
	Fixed Gtk-Criticals

2008-08-20  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>
 
  * plugins/subversion/svn-copy-command.h:
  * plugins/subversion/svn-copy-command.c:
  * plugins/subversion/svn-commit-command.c:
  * plugins/subversion/svn-commit-command.h:
  * plugins/subversion/svn-status-command.c:
  * plugins/subversion/svn-status-command.h:
  * plugins/subversion/svn-cat-command.c:
  * plugins/subversion/svn-cat-command.h:
  * plugins/subversion/svn-log-command.c:
  * plugins/subversion/svn-log-command.h:
  * plugins/subversion/svn-update-command.c:
  * plugins/subversion/svn-update-command.h:
  * plugins/subversion/svn-add-command.c:
  * plugins/subversion/svn-add-command.h:
  * plugins/subversion/svn-remove-command.c:
  * plugins/subversion/svn-remove-command.h:
  * plugins/subversion/svn-command.c:
  * plugins/subversion/svn-command.h:
  * plugins/subversion/svn-switch-command.h:
  * plugins/subversion/svn-switch-command.c:
  * plugins/subversion/svn-merge-command.c:
  * plugins/subversion/svn-merge-command.h:
  * plugins/subversion/svn-diff-command.c:
  * plugins/subversion/svn-diff-command.h:
  Added const attribute. (#548649)

2008-09-02  Yuriy Penkin <yuriy.penkin@gmail.com>

	reviewed by: Johannes Schmid  <jhs@gnome.org>

	* libanjuta/anjuta-profile.c (anjuta_profile_select_plugins):
	* plugins/debug-manager/registers.c (create_cpu_registers_gui):
	* plugins/file-loader/plugin.c (launch_application_failure):
	* plugins/git/anjuta-git.glade:
	* plugins/macro/macro-dialog.c (on_macro_selection_changed):
	* plugins/patch/patch-plugin.c (on_ok_clicked),
	(on_patch_terminated):
	
	Remove some "gtk-*" strings from translation and add some missing stings

2008-08-30  Massimo Cora'  <maxcvs@email.it>

	* plugins/symbol-db/anjuta-symbol-db.glade:
	fix bug #549518
	* plugins/symbol-db/symbol-db-engine.c
	(sdb_engine_free_cached_queries), (sdb_engine_get_file_defined_id),
	(sdb_engine_finalize), (symbol_db_engine_new),
	(symbol_db_engine_file_exists), (symbol_db_engine_project_exists),
	(symbol_db_engine_add_new_project), (sdb_engine_add_new_language),
	(sdb_engine_add_new_file), (sdb_engine_add_new_sym_type),
	(sdb_engine_add_new_sym_kind), (sdb_engine_add_new_sym_access),
	(sdb_engine_add_new_sym_implementation),
	(sdb_engine_add_new_scope_definition),
	(sdb_engine_second_pass_update_scope_1),
	(sdb_engine_second_pass_update_heritage),
	(sdb_engine_add_new_symbol),
	(symbol_db_engine_update_project_symbols):
	* plugins/symbol-db/symbol-db-prefs.c (on_autoscan_button_toggled),
	(on_parallel_button_toggled), (sdb_prefs_init1):
	fixed on_parallel signal and preferences saving.
	used g_value_set_static_string () which is quicker than its brother
	g_value_set_string ().
	
	* configure.in: Require libgda 3.99.4

2008-09-01  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/editor/text_editor.c:
	Fix #549950 - crash while saving a file

=== anjuta 2.23.91 ===

2008-09-01  Naba Kumar  <naba@gnome.org>

	* configure.in: Bumped version to 2.23.91
	* NEWS: Updated

2008-09-01  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/gdb/plugin.c,
	plugins/run-program/execute.c:
	Use gnome-terminal if terminal plugin is missing

2008-09-01  Johannes Schmid  <jhs@idefix>

	Patch from  Mikel Olasagasti <hey_neken@mundurat.net>
	* configure.in:
	#548984 – Use AC_HELP_STRING macro

2008-08-29  Naba Kumar  <naba@gnome.org>

	Patch from: James Liggett  <jrliggett@cox.net>

	* plugins/git/Makefile.am:
	* plugins/git/anjuta-git.glade:
	* plugins/git/anjuta-git.ui:
	* plugins/git/git-add-command.c:
	* plugins/git/git-add-command.h:
	* plugins/git/git-add-dialog.c (on_fm_git_add):
	* plugins/git/git-add-dialog.h:
	* plugins/git/git-branch-checkout-command.c:
	* plugins/git/git-branch-checkout-command.h:
	* plugins/git/git-branch-list-command.c:
	* plugins/git/git-branch-list-command.h:
	* plugins/git/git-branch.c:
	* plugins/git/git-branch.h:
	* plugins/git/git-cat-blob-command.c (git_cat_blob_command_init),
	(git_cat_blob_command_finalize), (git_cat_blob_command_run),
	(git_cat_blob_command_class_init), (git_cat_blob_command_new):
	* plugins/git/git-cat-blob-command.h:
	* plugins/git/git-cat-file-menu.c (on_cat_command_finished),
	(on_list_tree_command_finished), (git_cat_file),
	(on_log_menu_git_cat_file), (git_cat_file_menu_set_sensitive):
	* plugins/git/git-cat-file-menu.h:
	* plugins/git/git-fetch-command.c:
	* plugins/git/git-fetch-command.h:
	* plugins/git/git-file-command.c:
	* plugins/git/git-file-command.h:
	* plugins/git/git-ignore-command.c:
	* plugins/git/git-ignore-command.h:
	* plugins/git/git-list-tree-command.c (git_list_tree_command_init),
	(git_list_tree_command_finalize), (git_list_tree_command_run),
	(git_list_tree_command_handle_output),
	(git_list_tree_command_class_init), (git_list_tree_command_new),
	(git_list_tree_command_get_blobs):
	* plugins/git/git-list-tree-command.h:
	* plugins/git/git-log-command.c (git_log_command_finalize),
	(git_log_command_run), (git_log_command_new):
	* plugins/git/git-log-command.h:
	* plugins/git/git-log-dialog.c (on_log_command_finished),
	(on_ref_command_finished), (on_log_view_button_clicked),
	(git_log_window_create), (on_fm_git_log), (git_log_get_path):
	* plugins/git/git-log-dialog.h:
	* plugins/git/git-log-message-command.c:
	* plugins/git/git-log-message-command.h:
	* plugins/git/git-merge-command.c:
	* plugins/git/git-merge-command.h:
	* plugins/git/git-pull-command.c:
	* plugins/git/git-pull-command.h:
	* plugins/git/git-remove-command.c:
	* plugins/git/git-remove-command.h:
	* plugins/git/git-remove-dialog.c (on_fm_git_remove):
	* plugins/git/git-remove-dialog.h:
	* plugins/git/git-revert-command.c:
	* plugins/git/git-revert-command.h:
	* plugins/git/git-revision.c:
	* plugins/git/git-revision.h:
	* plugins/git/plugin.c (on_project_root_added),
	(on_project_root_removed), (on_fm_file_added),
	(on_fm_file_removed), (git_activate_plugin),
	(git_deactivate_plugin):
	* plugins/git/plugin.h:
	* plugins/language-support-cpp-java/plugin.c
	(on_editor_char_inserted_cpp):

	GSoC Git plugin: Beta 1 completes the agreed-upon feature set in
	the proposal. Specifically, this patch adds:

	- Support for viewing logs of individual files or folders
	- Support for viewing files at any revision (or "blobs" as git calls them)
	- File manager integration for log viewing and adding and removing files

	This release also fixes some minor bugs:

	- Fixes problems with input checking, error dialogs, and widget
	focusing when user doesn't enter a path in the log viewer when
	not viewing the log of the whole project
	- Memory leak fixes
	- Copyright header fixes 

	It's finally done!! :-)
	http://bugzilla.gnome.org/show_bug.cgi?id=529270

2008-08-23  Massimo Cora'  <maxcvs@email.it>

	* plugins/symbol-browser/plugin.c (on_editor_destroy),
	(deactivate_plugin):
	fix #522032

	* plugins/symbol-db/anjuta-symbol-db.glade:
	added two checkboxes: one is for parallel scan control, the other is for
	the buffer updating control.

	* plugins/symbol-db/plugin.c
	(on_editor_buffer_symbols_update_timeout), (on_editor_destroy),
	(on_editor_update_ui), (on_char_added), (on_editor_saved),
	(value_added_current_editor), (on_session_load),
	(value_removed_current_editor), (on_importing_project_end),
	(do_import_system_src_after_abort),
	(do_import_project_src_after_abort), (do_import_project_sources),
	(on_received_project_import_end), (on_project_root_added),
	(on_project_root_removed), (symbol_db_activate),
	(symbol_db_deactivate), (symbol_db_class_init),
	(on_prefs_buffer_update_toggled), (ipreferences_merge):
	* plugins/symbol-db/plugin.h:
	* plugins/symbol-db/symbol-db-engine-iterator-node.c:
	* plugins/symbol-db/symbol-db-engine-iterator-node.h:
	* plugins/symbol-db/symbol-db-engine-iterator.c:
	* plugins/symbol-db/symbol-db-engine-iterator.h:
	* plugins/symbol-db/symbol-db-engine.c
	(sdb_engine_populate_db_by_tags), (sdb_engine_ctags_output_thread),
	(sdb_engine_thread_monitor), (sdb_engine_ctags_output_callback_1),
	(on_scan_files_end_1), (sdb_engine_init),
	(sdb_engine_unref_removed_launchers),
	(sdb_engine_terminate_threads), (sdb_engine_finalize),
	(symbol_db_engine_set_ctags_path), (symbol_db_engine_close_db):
	* plugins/symbol-db/symbol-db-engine.h:
	fix #548606 now engine exits cleanly even if it's in scanning mode.
	It still remains the libgda bug anyway, bug #545979.
	Fixed bug #522032 also for symbol-db.

	* plugins/symbol-db/symbol-db-prefs.c (on_update_button_toggled),
	(sdb_prefs_init1), (sdb_prefs_class_init):
	* plugins/symbol-db/symbol-db-prefs.h:
	* plugins/symbol-db/symbol-db-view-locals.c (sdb_view_locals_init),
	(do_add_root_symbol_to_view), (do_add_child_symbol_to_view),
	(on_scan_end), (on_symbol_removed), (on_symbol_scope_updated),
	(on_symbol_inserted), (symbol_db_view_locals_display_nothing),
	(symbol_db_view_locals_update_list):
	* plugins/symbol-db/symbol-db-view-locals.h:
	* plugins/symbol-db/symbol-db-view-search.c:
	* plugins/symbol-db/symbol-db-view-search.h:
	* plugins/symbol-db/symbol-db-view.c:
	* plugins/symbol-db/symbol-db-view.h:
	headers update.

2008-08-26  Yuriy Penkin <yuriy.penkin@gmail.com>

	reviewed by: Johannes Schmid <jhs@gnome.org>

	* plugins/symbol-browser/plugin.c (update_editor_symbol_model):
	#549405 – There are warnings when I create a new file

2008-08-23  Yuriy Penkin <yuriy.penkin@gmail.com>

	reviewed by: Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/patch/plugin.c,
	plugins/patch/plugin.h:
	Fix #549105 Patch plugin icon not loaded

2008-08-23  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/document-manager/plugin.c:
	Fix #548646 Delete key press is routed to editor window
	when terminal window is active (remove shortcut)

2008-08-22  Sébastien Granjoux  <seb.sfo@free.fr>

	* manuals/anjuta-manual/C/projects.xml,
	manuals/anjuta-manual/C/anjuta-manual.xml,
	(added) manuals/anjuta-manual/C/build.xml,
	manuals/anjuta-manual/Makefile.am:
	Update build documentation

2008-08-21  Sébastien Granjoux  <seb.sfo@free.fr>

	* manuals/anjuta-manual/C/debugger.xml,
	(deleted) manuals/anjuta-manual/C/figures/arguments.png,
	manuals/anjuta-manual/C/projects.xml,
	manuals/anjuta-manual/Makefile.am:
	Update debugger documentation

2008-08-21  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/debug-manager/command.c,
	plugins/gdb/plugin.c,
	libanjuta/interfaces/libanjuta.idl:
	Keep const gchar* instead of GFile in debugger interface

	* libanjuta/libanjuta.h,
	libanjuta/Makefile.am:
	All public libanjuta header files should be included in libanjuta.h
	Install anjuta-version.h too

	* (removed) libanjuta/libanjuta-2.0.pc:
	Fix #546109 - Spurious libanjuta-2.0.pc file

2008-08-21  Johannes Schmid  <jhs@gnome.org>

	* plugins/message-view/plugin.c (activate_plugin),
	(deactivate_plugin), (ianjuta_msgman_add_view):
	* plugins/message-view/plugin.h:
	Fixed critical on plugin deactivation

	* plugins/symbol-db/symbol-db-engine.c (sdb_engine_finalize):
	Do not free mutex because that crashes 50% of the time.

2008-08-20  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/build-basic-autotools/build-options.c:
	#548622 – sun cc can not compile build-options.c

2008-08-20  Johannes Schmid  <jhs@gnome.org>

	* configure.in:
	* manuals/reference/libanjuta/writing-plugins-vala.sgml:
	* manuals/reference/libanjuta/libanjuta-docs.sgml:
	Removed Vala leftovers (#548629)

	* plugins/build-basic-autotools/build-options.c:
	#548622 – sun cc can not compile build-options.c

2008-08-20  Johannes Schmid  <jhs@gnome.org>

	* plugins/symbol-db/symbol-db-engine.c
	(sdb_engine_populate_db_by_tags):
	Fixed a crasher in symbol-db due to use of uninitialised memory

=== anjuta 2.5.90 ===

2008-08-18  Naba Kumar  <naba@gnome.org>

	* NEWS: Updated for release
	* configure.in: Updated version to 2.5.90
	* configure.in: Fixed make distcheck

2008-08-18  Johannes Schmid  <jhs@gnome.org>

	* plugins/search/search-replace_backend.c (get_next_match):
	Use uf8_strlen instead of strlen to avoid selection problem with
	non-ASCII search strings (see #440637 comment 15)

2008-08-16  Massimo Cora'  <maxcvs@email.it>

	* libanjuta/anjuta-launcher.c (anjuta_launcher_send_ptyin):
	fixed a crasher, or at least added a warning.

	* libanjuta/interfaces/libanjuta.idl:
	* plugins/symbol-browser/an_symbol.c (anjuta_symbol_set_tag),
	(isymbol_get_id), (isymbol_iface_init):
	* plugins/symbol-browser/an_symbol_iter.c (isymbol_iter_first),
	(isymbol_iter_next), (isymbol_iter_previous),
	(isymbol_iter_foreach), (isymbol_iter_set_position),
	(isymbol_iter_get_position), (isymbol_iter_get_length):
	* plugins/symbol-browser/plugin.c (isymbol_manager_get_members),
	(isymbol_manager_get_class_parents),
	(isymbol_manager_get_parent_scope),
	(isymbol_manager_get_symbol_more_info),
	(isymbol_manager_get_symbol_by_id), (isymbol_manager_iface_init):
	* plugins/symbol-db/plugin.c (on_session_load),
	(on_importing_project_end), (on_project_root_added),
	(isymbol_manager_search), (isymbol_manager_get_members),
	(isymbol_manager_get_class_parents),
	(isymbol_manager_get_parent_scope),
	(isymbol_manager_get_symbol_more_info),
	(isymbol_manager_get_symbol_by_id), (isymbol_manager_iface_init):
	* plugins/symbol-db/symbol-db-engine-iterator-node.c
	(isymbol_get_id), (isymbol_iface_init):
	* plugins/symbol-db/symbol-db-engine.c (sdb_engine_clear_caches),
	(sdb_engine_get_statement_by_query_id),
	(sdb_engine_get_tuple_id_by_unique_name4),
	(sdb_engine_udpated_scope_gtree_populate),
	(sdb_engine_populate_db_by_tags), (sdb_engine_ctags_output_thread),
	(sdb_engine_timeout_trigger_signals), (sdb_engine_thread_monitor),
	(sdb_engine_ctags_output_callback_1), (sdb_engine_scan_files_1),
	(sdb_engine_init), (sdb_engine_finalize), (symbol_db_engine_new),
	(sdb_engine_connect_to_db), (sdb_engine_add_new_sym_type),
	(sdb_engine_add_new_symbol), (on_scan_update_buffer_end),
	(symbol_db_engine_update_buffer_symbols),
	(symbol_db_engine_get_class_parents_by_symbol_id),
	(symbol_db_engine_get_scope_members_by_symbol_id),
	(symbol_db_engine_find_symbol_by_name_pattern_filtered):
	* plugins/symbol-db/symbol-db-engine.h:
	many bugfixes, for instance on search queries.
	Added some new interface methods to let the use of IAnjutaSymbolManager easier.
	
	* plugins/symbol-db/anjuta-symbol-db.glade:
	* plugins/symbol-db/symbol-db-prefs.c
	(on_prefs_executable_changed), (on_check_button_toggled),
	(sdb_prefs_init1):
	added an option on preferences to let user the choice of let autopopulation
	work or not on project opening.

	* plugins/symbol-db/symbol-db-prefs.h:
	* plugins/symbol-db/symbol-db-view-locals.c
	(sdb_view_locals_get_iter_from_row_ref),
	(symbol_db_view_locals_clear_cache), (sdb_view_locals_init),
	(sdb_view_locals_finalize), (traverse_on_scan_end),
	(trigger_on_symbol_inserted), (prepare_for_adding),
	(consume_symbols_inserted_queue_idle_destroy),
	(consume_symbols_inserted_queue_idle), (on_scan_end),
	(on_symbol_scope_updated),
	(symbol_db_view_locals_recv_signals_from_engine),
	(symbol_db_view_locals_update_list):
	* plugins/symbol-db/tables.sql:
	corrected trigger and added a new index. Fixed a bug that broke locals view
	when two structs had the same member name inside.

2008-08-16  Johannes Schmid  <jhs@gnome.org>

	* src/anjuta-app.c (on_add_merge_widget),
	(anjuta_app_instance_init):
	545624 – Toolbar broken
	It was caused by not using the bonobo-toolbar in a correct way after
	switching from GnomeApp to GtkWindow

2008-08-16  Johannes Schmid  <jhs@gnome.org>

	* plugins/message-view/plugin.c (activate_plugin),
	(ianjuta_msgman_add_view):
	Do not show an empty message pane on startup but create the widget on demand.
	* plugins/sourceview/sourceview-io.c:
	Only convert the full text because it could break otherwise with utf-8

2008-08-16  Massimo Cora'  <maxcvs@email.it>

	* plugins/symbol-db/plugin.c (on_system_scan_package_start),
	(do_import_system_src_after_abort), (on_project_root_added),
	(symbol_db_activate), (symbol_db_deactivate),
	(isymbol_manager_search):
	disconnected signals and re-enabled do_import_system_src_after_abort ().

	* plugins/symbol-db/symbol-db-engine.c
	(sdb_engine_get_dyn_query_node_by_id),
	(sdb_engine_insert_dyn_query_node_by_id),
	(sdb_engine_free_cached_queries),
	(sdb_engine_free_cached_dynamic_queries),
	(sdb_engine_disconnect_from_db), (sdb_engine_init),
	(symbol_db_engine_new), (symbol_db_engine_open_db),
	(symbol_db_engine_add_new_files),
	(symbol_db_engine_get_global_members_filtered),
	(symbol_db_engine_get_scope_members_by_symbol_id_filtered),
	(symbol_db_engine_get_file_symbols),
	(symbol_db_engine_get_parent_scope_id_by_symbol_id),
	(symbol_db_engine_find_symbol_by_name_pattern_filtered):
	test: removed mutex (actually set it to NULL). Libgda rev 3186 have
	sqlite 3.6.0beta compiled inside, which has thread support. More: GdaLockable
	interface has been written and implemented for GdaConnection and GdaSqlParser.
	Actually symbol-db-engine works without mutexes, but before removing all the 
	code associated this need some more wide tests.
	Completed implementation of searching symbols through session-enabled packages.
	A new feature on dynamic queries permits to filter up to 255 symbol kinds
	and up to 255 session packages. Was used a internal integer mapping.

	* plugins/symbol-db/symbol-db-engine.h:
	* plugins/symbol-db/symbol-db-system.c
	(on_engine_package_single_file_scan_end), (sdb_system_finalize),
	(sdb_system_do_engine_scan), (on_pkg_config_exit):
	* plugins/symbol-db/symbol-db-view-locals.c
	(sdb_view_locals_create_new_store):
	* plugins/symbol-db/symbol-db-view-locals.h:
	* plugins/symbol-db/symbol-db-view-search.c
	(sdb_view_search_dispose):
	disconnected signals

2008-08-15  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/project-manager/plugin.c,
	plugins/project-manager/plugin.h:
	Fix #493818 Close project with opened target properties dialog opened
	crash Anjuta

2008-08-15  Johannes Schmid  <jhs@gnome.org>

	* configure.in:
	* plugins/sourceview/sourceview.c (on_open_failed),
	(on_save_failed):
	Use a fallback dialog if the document was not added to the document-manager
	yet (#545557 – Crash pressing on message view)

2008-08-15  Johannes Schmid  <jhs@gnome.org>

	* plugins/editor/text_editor.c: save in correct encoding (fixes build warnings)
	* plugins/sourceview/sourceview-io.c (sourceview_io_init),
	(sourceview_io_save_as), (append_buffer):
	* plugins/sourceview/sourceview-io.h:
	* plugins/sourceview/sourceview.c (on_overwrite_toggled),
	(sourceview_instance_init):
	- #420279 – INS and OVR do not immediately change in status bar
	- Save files in their original encoding

2008-08-15  Johannes Schmid  <jhs@gnome.org>

	Patch by Koop Mast <kwm@freebsd.org>

	* plugins/build-basic-autotools/plugin.c (on_build_mesg_format):
	* plugins/scratchbox/Makefile.am:
	* plugins/git/git-command.h:
	* plugins/git/Makefile.am:
	#546620 – Build- and make dist fixes
	(with some small changes)

2008-08-15  Yuriy Penkin <yuriy.penkin@gmail.com>

	reviewed by: Johannes Schmid <jhs@gnome.org>

	* plugins/symbol-browser/an_symbol.c (isymbol_get_file):
	#545673 – A bug in isymbol_get_file function
	Use g_file_new_for_uri() instead of g_file_new_for_path

2008-08-15  Yuriy Penkin <yuriy.penkin@gmail.com>

	* plugins/subversion/svn-diff-command.c (get_full_str),
	(svn_diff_command_run):
	#542432 – Svn diff doesn't work correctly
	Convert the output of svn diff from localce to utf-8

2008-08-05  Rob Bradford  <rob@openedhand.com>
 
	* libanjuta/Makefile.am:
	pull GIO into the libraries that libanjuta links against. 
	(Bug #546394)

2008-08-15  Johannes Schmid  <jhs@gnome.org>

	* configure.in: Bump gtksourceview requirement to 2.3.1
	
	* plugins/sourceview/anjuta-editor-sourceview.glade:
	* plugins/sourceview/sourceview-prefs.c
	(on_gconf_notify_visible_spaces), (sourceview_prefs_init):
	Add a preference for the new visible whitespace feature of gtksourceview

2008-08-07  Naba Kumar  <naba@gnome.org>

	* configure.in: Disable scintilla plugin by default
	* libanjuta/anjuta-version.h.in: Rename ANJUTA_*_VERSION
	to LIBANJUTA_*_VERSION and ANJUTA_VERSION* to LIBANJUTA_VERSION*
	to avoid conflict with ones defined in config.h
	* plugins/subversion/subversion-ui-utils.c: Fixed a build break.

2008-08-03  Rob Bradford  <rob@robster.org.uk>

	Reviewed by Naba Kumar  <naba@gnome.org>:
	* configure.in:
	* libanjuta/anjuta-version.h.in:
	Add header file to expose versioning information.

2008-07-10  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	reviewed by Naba Kumar  <naba@gnome.org>:

	* libanjuta/anjuta-vcs-status-tree-view.c:
	* plugins/subversion/subversion-diff-dialog.c:
	Marked string for translation.
	* plugins/subversion/subversion-ui-utils.c:
	Fixed memory leak.

2008-08-04  Naba Kumar  <naba@gnome.org>

	Patch from James Liggett:

	* configure.in:
	* libanjuta/Makefile.am:
	* libanjuta/anjuta-async-command.c
	(anjuta_async_command_notification_poll), (notify_progress),
	(anjuta_async_command_class_init):
	* libanjuta/anjuta-command.c (anjuta_command_class_init),
	(anjuta_command_notify_progress):
	* libanjuta/anjuta-command.h:
	* libanjuta/anjuta-glade.xml:
	* libanjuta/anjuta-status.c
	(anjuta_status_progress_increment_ticks):
	* libanjuta/anjuta-status.h:
	* libanjuta/anjuta-sync-command.c (anjuta_sync_command_init),
	(anjuta_sync_command_finalize), (start_command),
	(notify_data_arrived), (notify_complete), (notify_progress),
	(anjuta_sync_command_class_init):
	* libanjuta/anjuta-sync-command.h:
	* libanjuta/anjuta-vcs-status-tree-view.c
	(anjuta_vcs_status_tree_view_add):
	* libanjuta/anjuta-vcs-status-tree-view.h:
	* plugins/Makefile.am:
	* plugins/git/Makefile.am:
	* plugins/git/anjuta-git.glade:
	* plugins/git/anjuta-git.ui:
	* plugins/git/giggle-graph-renderer.c
	(giggle_graph_renderer_class_init), (giggle_graph_renderer_init),
	(giggle_graph_renderer_finalize),
	(giggle_graph_renderer_get_property),
	(giggle_graph_renderer_set_property),
	(giggle_graph_renderer_get_size), (giggle_graph_renderer_render),
	(giggle_graph_renderer_new), (find_free_path),
	(get_initial_status_foreach), (get_initial_status),
	(free_paths_state),
	(giggle_graph_renderer_calculate_revision_state),
	(giggle_graph_renderer_validate_model):
	* plugins/git/giggle-graph-renderer.h:
	* plugins/git/git-add-command.c (git_add_command_init),
	(git_add_command_finalize), (git_add_command_run),
	(git_add_command_class_init), (git_add_command_new_path),
	(git_add_command_new_list):
	* plugins/git/git-add-command.h:
	* plugins/git/git-add-dialog.c (on_add_command_finished),
	(on_add_dialog_response), (add_dialog), (on_menu_git_add):
	* plugins/git/git-add-dialog.h:
	* plugins/git/git-add-remote-dialog.c
	(on_remote_add_command_finished), (on_add_remote_dialog_response),
	(add_remote_dialog), (on_menu_git_add_remote):
	* plugins/git/git-add-remote-dialog.h:
	* plugins/git/git-bisect-dialog.c
	(on_bisect_start_dialog_response),
	(on_bisect_start_revision_radio_toggled), (bisect_start_dialog),
	(bisect_reset), (bisect_state), (update_bisect_menus),
	(on_bisect_file_monitor_changed), (on_menu_git_bisect_start),
	(on_menu_git_bisect_reset), (on_menu_git_bisect_good),
	(on_menu_git_bisect_bad), (on_log_menu_git_bisect_good),
	(on_log_menu_git_bisect_bad), (bisect_menus_init):
	* plugins/git/git-bisect-dialog.h:
	* plugins/git/git-bisect-reset-command.c
	(git_bisect_reset_command_init),
	(git_bisect_reset_command_finalize),
	(git_bisect_reset_command_run),
	(git_bisect_reset_command_class_init),
	(git_bisect_reset_command_new):
	* plugins/git/git-bisect-reset-command.h:
	* plugins/git/git-bisect-start-command.c
	(git_bisect_start_command_init),
	(git_bisect_start_command_finalize),
	(git_bisect_start_command_run),
	(git_bisect_start_command_class_init),
	(git_bisect_start_command_new):
	* plugins/git/git-bisect-start-command.h:
	* plugins/git/git-bisect-state-command.c
	(git_bisect_state_command_init),
	(git_bisect_state_command_finalize),
	(git_bisect_state_command_run),
	(git_bisect_state_command_class_init),
	(git_bisect_state_command_new):
	* plugins/git/git-bisect-state-command.h:
	* plugins/git/git-branch-checkout-command.c
	(git_branch_checkout_command_init),
	(git_branch_checkout_command_finalize),
	(git_branch_checkout_command_run),
	(git_branch_checkout_command_class_init),
	(git_branch_checkout_command_new):
	* plugins/git/git-branch-checkout-command.h:
	* plugins/git/git-branch-combo-model.c (git_branch_combo_data_new),
	(git_branch_combo_data_free), (git_branch_combo_model_new),
	(git_branch_combo_model_setup_widget),
	(git_branch_combo_model_append),
	(git_branch_combo_model_append_remote),
	(git_branch_combo_model_get_branch):
	* plugins/git/git-branch-combo-model.h:
	* plugins/git/git-branch-create-command.c
	(git_branch_create_command_init),
	(git_branch_create_command_finalize),
	(git_branch_create_command_run),
	(git_branch_create_command_class_init),
	(git_branch_create_command_new),
	(git_branch_create_command_get_branch_name):
	* plugins/git/git-branch-create-command.h:
	* plugins/git/git-branch-delete-command.c
	(git_branch_delete_command_init),
	(git_branch_delete_command_finalize),
	(git_branch_delete_command_run),
	(git_branch_delete_command_class_init),
	(git_branch_delete_command_new),
	(git_branch_delete_command_get_branch_name):
	* plugins/git/git-branch-delete-command.h:
	* plugins/git/git-branch-list-command.c
	(git_branch_list_command_init), (git_branch_list_command_finalize),
	(git_branch_list_command_run),
	(git_branch_list_command_handle_output),
	(git_branch_list_command_class_init),
	(git_branch_list_command_new),
	(git_branch_list_command_get_output):
	* plugins/git/git-branch-list-command.h:
	* plugins/git/git-branch.c (git_branch_init),
	(git_branch_finalize), (git_branch_class_init), (git_branch_new),
	(git_branch_get_name), (git_branch_is_active):
	* plugins/git/git-branch.h:
	* plugins/git/git-checkout-files-command.c
	(git_checkout_files_command_run),
	(git_checkout_files_command_init),
	(git_checkout_files_command_finalize),
	(git_checkout_files_command_class_init),
	(git_checkout_files_command_new):
	* plugins/git/git-checkout-files-command.h:
	* plugins/git/git-checkout-files-dialog.c
	(on_checkout_files_command_finished),
